<%@ Page Language="VB" Explicit="False" %>

<%@ Import Namespace="PDshop10" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public mainpage, demopoweredmessage As String
    Public pd As New PDshopFunctions
    
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd.browserNoCache()
        pd.loginredirect = "default"
        pd.LoadPDadminDefault(3)
        
        If Not (Page.IsPostBack) Then
            
            'Handle OrderView Links
            If IsNumeric(pd.getrequest("oid")) Then
                pd.saveCookie("oid", pd.getrequest("oid"), 0)
            End If
            
        End If

        'If viewing order
        If IsNumeric(pd.getcookie("oid")) = True Then
            mainpage = "editorder.aspx?id=" & pd.getcookie("oid")
        ElseIf IsNumeric(pd.getrequest("oid")) = True Then
            mainpage = "editorder.aspx?id=" & pd.getrequest("oid")
        Else
            mainpage = "home.aspx?reload=" & pd.getrandseq()
        End If

        'Redirect to Database Tools
        If pd.getrequest("dbtab") = "Y" Then
            mainpage = "dbsetup.aspx?dbtab=dbtest"
        End If
            
        'Redirect to Normal view
        pd.pdRedirect(mainpage)

        
    End Sub
          
    Sub Page_UnLoad(ByVal Sender As Object, ByVal E As EventArgs)
        
        pd.UnloadPDadmin()

    End Sub
    

</script>
