<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
             
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    smallimage.Text = pd.ReadData("smallimage")
                    largeimage.Text = pd.ReadData("largeimage")
                    If pd.ReadData("imgresize") = "ON" Then imgresize.Checked = True
                    If pd.ReadData("imgwrap") = "OFF" Then imgwrap.Checked = True
                     
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If

        End If
  

       
        If (Page.IsPostBack) Then
            
            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("items")
            Else
                'Update Existing Record
                pd.OpenDataWriter("items WHERE id=" & id)
            End If
            
            pd.AddFormData("smallimage", smallimage.Text, "Thumbnail", "T", 0, 255)
            pd.AddFormData("largeimage", largeimage.Text, "Large Image", "T", 0, 255)
            If imgresize.Checked = True Then
                pd.AddData("imgresize", "ON", "T")
            Else
                pd.AddData("imgresize", "", "T")
            End If
            If imgwrap.Checked = True Then
                pd.AddData("imgwrap", "OFF", "T")
            Else
                pd.AddData("imgwrap", "", "T")
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
            End If
        End If
         
        
        If IsNumeric(id) Then
            
            'Open Database, get values
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
            If pd.ReadDataItem.Read Then

                'Text Inputs
                name.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
                vsmallimage = pd.ReadData("smallimage")
                vlargeimage = pd.ReadData("largeimage")
                     
            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()
            
            
            imageslist.DataSource = pd.bindthissql("SELECT itemimages.listord As listo, itemimages.id as recid, items.name, items.itemno, itemimages.smallimage As smalli, itemimages.largeimage As largei, itemimages.name As iname FROM itemimages INNER JOIN items on items.id=itemimages.itemid WHERE itemimages.itemid=" & id & " ORDER BY listord ASC")
            imageslist.DataBind()

        End If
         
        'Only show locally hosted images
        If Left(LCase(vsmallimage), 4) = "http" Then vsmallimage = ""
        If Left(LCase(vlargeimage), 4) = "http" Then vlargeimage = ""

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id %>" />
            <div>
                <%
                    pd.createadmintab("Details", "edititem.aspx?id=" & id)
                    pd.createadmintab("Categories", "edititem-category.aspx?id=" & id)
                    pd.createadmintab("Images", "edititem-images.aspx?id=" & id)
                    pd.createadmintab("Options", "edititem-options.aspx?id=" & id)
                    pd.createadmintab("Discounts", "edititem-discounts.aspx?id=" & id)
                    pd.createadmintab("Related Items", "edititem-related.aspx?id=" & id)
                    pd.createadmintab("Reviews", "edititem-reviews.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div id="theimages">
                    <% If vsmallimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vsmallimage%>')"><img
                        id="imgthumb" alt="Thumbnail Image: '<%=vsmallimage%>'" src="../images/<%=vsmallimage%>" /></a>
                    <% End If%>
                    <% If vlargeimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vlargeimage%>')"><img
                        id="imglarge" alt="Large Image: '<%=vlargeimage%>'" src="../images/<%=vlargeimage%>" /></a>
                    <% End If%>
                </div>
                <div class="pageheading1">
                    Item/Product Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Item No</div>
                <div>
                    <asp:TextBox class="roformfield2" ReadOnly="true" ID="itemno" runat="server" /></div>
                <div class="formheading">
                    Item Name
                </div>
                <div>
                    <asp:TextBox class="roformfield4" ReadOnly="true" ID="name" runat="server" /></div>
                <div class="pageheading2">
                    Primary Images</div>
                <div class="formheading">
                    Thumbnail Image</div>
                <div>
                    <asp:TextBox class="formfield1" ID="smallimage" runat="server" /><a href="javascript: insertimage('smallimage')"><img
                        align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                            href="javascript: uploadimage('smallimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                                alt="Upload Image"></a></div>
                <div class="formheading">
                    Large Image</div>
                <div>
                    <asp:TextBox class="formfield1" ID="largeimage" runat="server" /><a href="javascript: insertimage('largeimage')"><img
                        align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                            href="javascript: uploadimage('largeimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                                alt="Upload Image" /></a></div>
                <div>
                    <div class="pageheading2">
                        Additional Images</div>
                    <div class="helptext">
                        This item has the following other images</div>
                    <div class="inner_div">
                        <asp:Repeater ID="imageslist" runat="server">
                            <HeaderTemplate>
                                <div class="tdshead">
                                    Order</div>
                                <div class="tdlhead">
                                    Thumbnail</div>
                                <div class="tdlhead">
                                    Large Image</div>
                                <div class="tr">
                                </div>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <div class="tds">
                                    <a href="javascript: editimagelink('<%=id%>','<%# Container.DataItem("recid") %>')">
                                        <%# pd.dohtmlencode(Container.DataItem("listo"))%></a></div>
                                <div class="tdl">
                                    <a href="javascript: editimagelink('<%=id%>','<%# Container.DataItem("recid") %>')">
                                        <%# pd.dohtmlencode(Container.DataItem("smalli"))%></a>&nbsp;</div>
                                <div class="tdl">
                                    <a href="javascript: editimagelink('<%=id%>','<%# Container.DataItem("recid") %>')">
                                        <%# pd.dohtmlencode(Container.DataItem("largei"))%></a></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="editimagelink('<%=id%>', '')" value="Add Image" /></div>
                    </div>
                </div>
                <div class="pageheading2">
                    Other Settings</div>
                <div class="check_div">
                    <asp:CheckBox ID="imgresize" runat="server" />Resize Large image?</div>
                <div class="helptext">
                    (Check this box if your image is larger than 150 pixels in width)</div>
                <div class="check_div">
                    <asp:CheckBox ID="imgwrap" runat="server" />No Wrap?</div>
                <div class="helptext">
                    (Check this if you have inserted tables, or other formatting HTML in the description)</div>
                <div class="formbutton_div">
                    <asp:Button ID="Button1" class="formbutton" Text="Save Changes" runat="server" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
