<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        If IsNumeric(id) Then
            
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
            If pd.ReadDataItem.Read Then

                'Text Inputs
                name.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
                vsmallimage = pd.ReadData("smallimage")
                vlargeimage = pd.ReadData("largeimage")
                     
            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()
            
            optionitems.DataSource = pd.bindoptions(id)
            optionitems.DataBind()

        End If
         
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If
         
          
        'Only show locally hosted images
        If Left(LCase(vsmallimage), 4) = "http" Then vsmallimage = ""
        If Left(LCase(vlargeimage), 4) = "http" Then vlargeimage = ""

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id %>" />
            <div>
                <%
                    pd.createadmintab("Details", "edititem.aspx?id=" & id)
                    pd.createadmintab("Categories", "edititem-category.aspx?id=" & id)
                    pd.createadmintab("Images", "edititem-images.aspx?id=" & id)
                    pd.createadmintab("Options", "edititem-options.aspx?id=" & id)
                    pd.createadmintab("Discounts", "edititem-discounts.aspx?id=" & id)
                    pd.createadmintab("Related Items", "edititem-related.aspx?id=" & id)
                    pd.createadmintab("Reviews", "edititem-reviews.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div id="theimages">
                    <% If vsmallimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vsmallimage%>')"><img
                        id="imgthumb" alt="Thumbnail Image: '<%=vsmallimage%>'" src="../images/<%=vsmallimage%>" /></a>
                    <% End If%>
                    <% If vlargeimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vlargeimage%>')"><img
                        id="imglarge" alt="Large Image: '<%=vlargeimage%>'" src="../images/<%=vlargeimage%>" /></a>
                    <% End If%>
                </div>
                <div class="pageheading1">
                    Item/Product Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Item No</div>
                <div>
                    <asp:TextBox class="roformfield2" ReadOnly="true" ID="itemno" runat="server" /></div>
                <div class="formheading">
                    Item Name
                </div>
                <div>
                    <asp:TextBox class="roformfield4" ReadOnly="true" ID="name" runat="server" /></div>
                <div class="pageheading2">
                    Item Options</div>
                <div>
                    <asp:Repeater ID="optionitems" runat="server">
                        <ItemTemplate>
                            <div class="helptext">
                                <%# Container.DataItem("grouptypename") %>
                                Group</div>
                            <div class="editlinks">
                                <a href="javascript: editoptioncat('<%=id %>','<%# Container.DataItem("id") %>')">
                                    <%# Container.DataItem("name") %></a>
                            </div>
                            <div class="inner_div">
                                <div class="tdlhead">
                                    Options</div>
                                <div class="tdmhead">
                                    Price/Adj</div>
                                <div class="tdshead">
                                    Qty</div>
                                <div class="tr">
                                </div>
                                <asp:Repeater ID="childRepeater" runat="server" DataSource='<%# Container.DataItem.Row.GetChildRows("Optionitems") %>'>
                                    <ItemTemplate>
                                        <div class="tdl">
                                            <a href="javascript: editoptionitem('<%# Container.DataItem("optid") %>')">
                                                <%# Container.DataItem("itemname") %><%# Container.DataItem("optname") %></a></div>
                                        <div class="tdm">
                                            <a href="javascript: editoptionitem('<%# Container.DataItem("optid") %>')">
                                                <%# Container.DataItem("optpriceadj") %></a></div>
                                        <div class="tds">
                                            <%# Container.DataItem("optinvqty") %></div>
                                        <div class="tr">
                                        </div>
                                    </ItemTemplate>
                                </asp:Repeater>
                                <div class="button_div">
                                    <input type="button" class="formbutton" onclick="addoptionitem('<%# Container.DataItem("id") %>')"
                                        value="New Option"></div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="helptext">
                        To create a new Option Group</div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="editoptioncat('<%=id %>','')" value="New Group" /></div>
                </div>
                <% If id <> "" Then%>
                <div align="center" class="bottomhelptext">
                    <a href="javascript: copyoptions('<%=id %>')">Copy Item Options</a> (from another
                    item to this one)
                </div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
