<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        
        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If IsNumeric(id) Then
                
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    name.Text = pd.ReadData("name")
                    itemno.Text = pd.ReadData("itemno")
                    smallimage.Text = pd.ReadData("smallimage")
                    largeimage.Text = pd.ReadData("largeimage")
                    price.Text = pd.ReadDataC("price")
                    saleprice.Text = pd.ReadDataC("saleprice")
                    addqty.Text = pd.ReadDataN("addqty")
                    qtysold.Text = pd.ReadDataN("qtysold")
                    shipping.Text = pd.ReadDataC("shipping")
                    qty.Text = pd.ReadDataN("qty")
                    pgvisits.Text = pd.ReadDataN("pgvisits")
                    custom1.Text = pd.ReadData("custom1")
                    custom2.Text = pd.ReadData("custom2")
                    custom3.Text = pd.ReadData("custom3")
                    digfile.Text = pd.ReadData("digfile")
                    metaurl.Text = pd.ReadData("metaurl")
                    
                    'TextAreas
                    shortdesc.Value = pd.ReadData("shortdesc")

                    'Drop Downs
                    active.SelectedIndex = active.Items.IndexOf(active.Items.FindByValue(pd.ReadData("active")))
                    feature.SelectedIndex = feature.Items.IndexOf(feature.Items.FindByValue(pd.ReadData("feature")))
                    onsale.SelectedIndex = onsale.Items.IndexOf(onsale.Items.FindByValue(pd.ReadData("onsale")))
 
                    taxable.SelectedIndex = taxable.Items.IndexOf(taxable.Items.FindByValue(pd.ReadData("taxable")))
                    taxcode.Text = pd.ReadData("taxcode")
                    digital.SelectedIndex = digital.Items.IndexOf(digital.Items.FindByValue(pd.ReadData("digital")))

                    'CheckBoxes
                    If pd.ReadData("hidehead") = "" Then hidehead0.Checked = True
                    If pd.ReadData("hidehead") = "ON" Then hidehead1.Checked = True
                    If pd.ReadData("hidehead") = "OP" Then hidehead2.Checked = True
                     
                    If pd.ReadDataN("pgvisitson") = 1 Then pgvisitson.Checked = True
                    If pd.ReadDataN("hidesearch") = 1 Then hidesearch.Checked = True
                    If pd.ReadData("hideprice") = "ON" Then hideprice.Checked = True

                    If pd.ReadData("reviews") = "ON" Then reviews.Checked = True

                    'Weight Conversions
                    If pd.useoz = 1 Then
                        weightlbs.Text = Int(pd.ReadDataN("weight"))
                        weightoz.Text = (pd.ReadDataN("weight") - Int(pd.ReadDataN("weight"))) * 16
                    Else
                        weight.Text = pd.ReadDataN("weight")
                    End If

                    'Set Image variable (to show images)
                    vsmallimage = pd.ReadData("smallimage")
                    vlargeimage = pd.ReadData("largeimage")
                    
                    'Custom URL
                    tempurl.Text = pd.getitemurl(id, name.Text, metaurl.Text)
                    
                    If pd.demomode = "Yes" Then
                        tempurl.Text = "http://your domain name here/your-unique-url-to-page-here/"
                    End If
 
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
                'Default values when adding new record.
                'Text Input
                price.Text = pd.showNumC(0)
                saleprice.Text = pd.showNumC(0)

                addqty.Text = 1
                qty.Text = 0
                qtysold.Text = 0
                shipping.Text = pd.showNumC(0)
                pgvisits.Text = 0

                'Drop Downs
                onsale.SelectedIndex = onsale.Items.IndexOf(onsale.Items.FindByValue("No"))
                feature.SelectedIndex = feature.Items.IndexOf(feature.Items.FindByValue("No"))
                hidehead0.Checked = True
                    
                'Weight Conversions
                If pd.useoz = 1 Then
                    weightlbs.Text = 0
                    weightoz.Text = 0
                Else
                    weight.Text = 0
                End If

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                
                'Check for duplicate records
                If Len(itemno.Text) > 1 Then
                
                    pd.OpenDataReader("SELECT id FROM items WHERE itemno='" & pd.FormatSqlText(itemno.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Item No/Sku Already exists, New Item cannot be added!"
                    End If
                    pd.CloseData()
                    
                End If
                
                'Make sure no duplicate Urls exists.             
                If pd.urlrewriteon = "ON" And Len(metaurl.Text) > 0 Then
                    pd.OpenDataReader("SELECT id FROM items WHERE metaurl='" & pd.FormatSqlText(metaurl.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Friendly Url Name already used, Item cannot be updated!"
                    End If
                    pd.CloseData()
                End If
                                 
                'Add New Record
                pd.OpenDataWriter("items")
                pd.AddData("imgresize", "ON", "T")
                 
            Else
             
                'Make sure item number is not a duplicate.
                pd.OpenDataReader("SELECT id FROM items WHERE id<>" & id & " AND itemno='" & pd.FormatSqlText(itemno.Text) & "'")
                If pd.ReadDataItem.Read Then
                    pd.formerror = "Item No/Sku Already exists, Item cannot be updated - Please change Item Number!"
                End If
                pd.CloseData()
                
                'Make sure no duplicate Urls exists.             
                If pd.urlrewriteon = "ON" And Len(metaurl.Text) > 0 Then
                    pd.OpenDataReader("SELECT id FROM items WHERE id<>" & id & " AND metaurl='" & pd.FormatSqlText(metaurl.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Friendly Url Name already used, Item cannot be updated!"
                    End If
                    pd.CloseData()
                End If
             
                'Update Existing Record
                pd.OpenDataWriter("items WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("name", name.Text, "Name", "T", 1, 255)
            pd.AddFormData("itemno", itemno.Text, "Item No.", "T", 1, 50)
            pd.AddFormData("smallimage", smallimage.Text, "Thumbnail", "T", 0, 255)
            pd.AddFormData("largeimage", largeimage.Text, "Large Image", "T", 0, 255)
            pd.AddFormData("price", price.Text, "Price", "C", 1, 50)
            pd.AddFormData("saleprice", saleprice.Text, "Sale Price", "C", 1, 50)
 
             
            pd.AddFormData("addqty", addqty.Text, "Default QTY", "N", 1, 50)
            pd.AddFormData("shipping", shipping.Text, "Optional Shipping Charge", "C", 1, 50)
            pd.AddFormData("qty", qty.Text, "Current Inventory", "N", 1, 50)
            pd.AddFormData("qtysold", qtysold.Text, "Qty Sold", "N", 0, 0)
            pd.AddFormData("pgvisits", pgvisits.Text, "Page Views", "N", 1, 50)
            pd.AddFormData("custom1", custom1.Text, "Custom 1", "T", 0, 50)
            pd.AddFormData("custom2", custom2.Text, "Custom 2", "T", 0, 50)
            pd.AddFormData("custom3", custom3.Text, "Custom 3", "T", 0, 50)
            pd.AddFormData("digfile", digfile.Text, "File Name", "T", 0, 255)

            'Text Areas
            pd.AddFormData("shortdesc", shortdesc.Value, "Short Description", "T", 0, 255)

            'Drop Downs
            pd.AddFormData("active", active.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("feature", feature.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("onsale", onsale.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("taxable", taxable.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("digital", digital.SelectedItem.Value, "", "T", 0, 50)
            
            If pd.urlrewriteon = "ON" Then
                metaurl.Text = pd.checkmetaurl(metaurl.Text)
                pd.AddFormData("metaurl", metaurl.Text, "Meta Url-ReWrite", "T", 0, 100)
            End If
                        
            'Check Boxes
            If hideprice.Checked = True Then
                pd.AddData("hideprice", "ON", "T")
            Else
                pd.AddData("hideprice", "", "T")
            End If
             
            If reviews.Checked = True Then
                pd.AddData("reviews", "ON", "T")
            Else
                pd.AddData("reviews", "", "T")
            End If
             
            If hidehead0.Checked = True Then
                pd.AddData("hidehead", "", "T")
            ElseIf hidehead1.Checked = True Then
                pd.AddData("hidehead", "ON", "T")
            ElseIf hidehead2.Checked = True Then
                pd.AddData("hidehead", "OP", "T")
            End If
                         
            If pgvisitson.Checked = True Then
                pd.AddData("pgvisitson", "1", "T")
            Else
                pd.AddData("pgvisitson", "0", "T")
            End If
            
            If hidesearch.Checked = True Then
                pd.AddData("hidesearch", "1", "T")
            Else
                pd.AddData("hidesearch", "0", "T")
            End If
            

            'Weight Conversions
            If pd.useoz = 1 Then
                pd.checkForm(weightlbs.Text, "Weight LBS", "N", 1, 50)
                pd.checkForm(weightoz.Text, "Weight OZ", "N", 1, 50)
                If pd.formerror = "" Then
                    tempweight = (weightlbs.Text + weightoz.Text / 16)
                    pd.AddFormData("weight", tempweight, "Weight", "N", 1, 50)
                End If
            Else
                pd.AddFormData("weight", weight.Text, "Weight", "N", 1, 50)
            End If

            'Set Image variable (to show images)
            vsmallimage = smallimage.Text
            vlargeimage = largeimage.Text
 

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                
                'Custom URL
                tempurl.Text = pd.getitemurl(id, name.Text, metaurl.Text)
                
                If pd.demomode = "Yes" Then
                    tempurl.Text = "http://your domain name here/your-unique-url-to-page-here/"
                End If
                
                pd.gotonextpage()
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM catlinks WHERE itemid=" & id)
            pd.sqlexecute("DELETE FROM itemlinks WHERE itemid=" & id & " OR relitemid=" & id)
            pd.sqlexecute("DELETE FROM optionitem WHERE optionitem.optcatid IN (SELECT id FROM optioncat WHERE optioncat.itemid=" & id & ")")
            pd.sqlexecute("DELETE FROM optioncat WHERE itemid=" & id)
            pd.sqlexecute("DELETE FROM optionitem WHERE itemid=" & id)
            pd.sqlexecute("DELETE FROM items WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If
         
        'Only show locally hosted images
        If Left(LCase(vsmallimage), 4) = "http" Then vsmallimage = ""
        If Left(LCase(vlargeimage), 4) = "http" Then vlargeimage = ""
        
        'Handle Tax Cloud TaxCode
        If IsNumeric(id) Then
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                taxcode.Text = pd.ReadData("taxcode")
            End If
            pd.CloseData()
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Item has been Deleted!', 'edititem.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id %>" />
            <% If IsNumeric(id) = False Then%>
            <div>
                <%
                    'pd.createadmintab("Home", "search.aspx?showdiv=items")
                    pd.createadmintab("Details", "edititem.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <% Else%>
            <div>
                <%
                    pd.createadmintab("Details", "edititem.aspx?id=" & id)
                    pd.createadmintab("Categories", "edititem-category.aspx?id=" & id)
                    pd.createadmintab("Images", "edititem-images.aspx?id=" & id)
                    pd.createadmintab("Options", "edititem-options.aspx?id=" & id)
                    pd.createadmintab("Discounts", "edititem-discounts.aspx?id=" & id)
                    pd.createadmintab("Related Items", "edititem-related.aspx?id=" & id)
                    pd.createadmintab("Reviews", "edititem-reviews.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <% End If%>
            <div class="forms">
                <div id="theimages">
                    <% If vsmallimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vsmallimage%>')"><img
                        id="imgthumb" alt="Thumbnail Image: '<%=vsmallimage%>'" src="../images/<%=vsmallimage%>" /></a>
                    <% End If%>
                    <% If vlargeimage <> "" Then%><a href="javascript: popuphelp('../images/<%=vlargeimage%>')"><img
                        id="imglarge" alt="Large Image: '<%=vlargeimage%>'" src="../images/<%=vlargeimage%>" /></a>
                    <% End If%>
                </div>
                <div class="pageheading1">
                    Item/Product Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Item No</div>
                <div>
                    <asp:TextBox class="formfield2" ID="itemno" runat="server" /></div>
                <div class="formheading">
                    Item Name
                </div>
                <div>
                    <asp:TextBox class="formfield4" ID="name" runat="server" /></div>
                <% If IsNumeric(id) = True Then%>
                <div class="formheading">
                    Url</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="tempurl" runat="server" />
                </div>
                <% End If%>
                <div class="td">
                    <div class="formheading">
                        Active</div>
                    <div>
                        <asp:DropDownList ID="active" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                </div>
                <div class="td">
                    <div class="formheading">
                        Featured Item</div>
                    <div>
                        <asp:DropDownList ID="feature" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                </div>
                <div class="tr">
                </div>
                <div class="td">
                    <div class="formheading">
                        Price</div>
                    <div>
                        <asp:TextBox class="formfieldnumber" ID="price" runat="server" />
                    </div>
                </div>
                <div class="td">
                    <div class="formheading">
                        Sale Price</div>
                    <div>
                        <asp:TextBox class="formfieldnumber" ID="saleprice" runat="server" />
                    </div>
                </div>
                <div class="td">
                    <div class="formheading">
                        On Sale?</div>
                    <div>
                        <asp:DropDownList ID="onsale" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                </div>
                <div class="tr">
                </div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="hideprice" runat="server" />Hide Price?</div>
                    <div class="helptext">
                        (Check this box to conceal the price or if this item cannot be purchased online.)</div>
                </div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="hidesearch" runat="server" />Hide from search?</div>
                    <div class="helptext">
                        (Check this box to prevent item from appearing in searches. Item will still appear
                        in assigned categories.)</div>
                </div>
                <div class="td">
                    <div class="formheading">
                        Taxable</div>
                    <div>
                        <asp:DropDownList ID="taxable" runat="server">
                            <asp:ListItem Value="Yes" Text="Yes" />
                            <asp:ListItem Value="No" Text="No" />
                        </asp:DropDownList>
                    </div>
                </div>
                <% If pd.tcen = 1 And id <> "" Then%>
                <div class="td">
                    <div class="formheading">
                        Taxability Information Code (TIC)</div>
                    <div>
                        <asp:TextBox ReadOnly="true" class="roformfieldnumber" ID="taxcode" runat="server" />
                        <input type="button" class="formbutton" onclick="openpdwindow('popup_taxcloud-tic.aspx?id=<%=id %>', 600, 450, null);"
                            value="Select" />
                    </div>
                </div>
                <% End If%>
                <div class="tr">
                </div>
                <div class="formheading">
                    Default 'Add to Cart' Qty</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="addqty" runat="server" /></div>
                <% If pd.useoz = 1 Then%>
                <div class="formheading">
                    Weight LBS (Pounds)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="weightlbs" runat="server" /></div>
                <div class="formheading">
                    Weight OZ (ounces)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="weightoz" runat="server" /></div>
                <%Else%>
                <div class="formheading">
                    Weight</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="weight" runat="server" /></div>
                <%End If%>
                <div class="formheading">
                    Optional Shipping Charge</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="shipping" runat="server" /></div>
                <div class="helptext">
                    (Only used when you setup a Service / Carrier with "Per Item Shipping" selected
                    as the Rate Method)</div>
                <div class="formheading">
                    Current Inventory</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="qty" runat="server" /></div>
                <div class="formheading">
                    QTY Sold</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="qtysold" runat="server" /></div>
                <div class="formheading">
                    Short Description</div>
                <div>
                    <textarea class="formtextarea" id="shortdesc"   rows="3" cols="55"
                        runat="server"></textarea></div>
                <div class="pageheading2">
                    Detailed Description</div>
                <div class="formheading">
                    <a href="javascript: popeditor('item','<%=id%>','500')">
                        <img src="img/butt-admin-edit.gif"></a>Edit with Content Editor
                </div>
                <div>
                    <div class="formheading">
                        <a href="javascript: poptexteditor('item','<%=id%>','500')">
                            <img src="img/butt-admin-edittext.gif"></a>Edit as Plain Text/Raw HTML</div>
                </div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="hidehead" ID="hidehead0" runat="server" />Display Normally</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="hidehead" ID="hidehead2" runat="server" />Only show
                        Detailed Description (still allow purchase)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="hidehead" ID="hidehead1" runat="server" />Only show
                        Detailed Description (Item cannot be purchased!)</div>
                </div>
                <div class="pageheading2">
                    Customer Reviews</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="reviews" runat="server" />Enable Item Reviews?</div>
                    <div class="helptext">
                        (This may be overwritten on the main Item "Settings" page)</div>
                </div>
                <div class="pageheading2">
                    Page Counter</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="pgvisitson" runat="server" />Count Page Visits?</div>
                    <div class="formheading">
                        Page Views</div>
                    <div>
                        <asp:TextBox class="formfieldnumber" ID="pgvisits" runat="server" /></div>
                </div>
                <div class="pageheading2">
                    Primary Image</div>
                <div class="formheading">
                    Thumbnail Image</div>
                <div>
                    <asp:TextBox class="formfield1" ID="smallimage" runat="server" /><a href="javascript: insertimage('smallimage')"><img
                        align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                            href="javascript: uploadimage('smallimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                                alt="Upload Image"></a></div>
                <div class="formheading">
                    Large Image</div>
                <div>
                    <asp:TextBox class="formfield1" ID="largeimage" runat="server" /><a href="javascript: insertimage('largeimage')"><img
                        align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                            href="javascript: uploadimage('largeimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                                alt="Upload Image"></a></div>
                <div class="helptext">
                    (For additional images and other image settings, click the Images Tab)</div>
                <div class="pageheading2">
                    Custom Fields</div>
                <div class="formheading">
                    Custom 1</div>
                <div>
                    <asp:TextBox class="formfield1" ID="custom1" runat="server" /></div>
                <div class="formheading">
                    Custom 2</div>
                <div>
                    <asp:TextBox class="formfield1" ID="custom2" runat="server" /></div>
                <div class="formheading">
                    Custom 3</div>
                <div>
                    <asp:TextBox class="formfield1" ID="custom3" runat="server" /></div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="openpdwindow('popup_editgooglefields.aspx?id=<%=id %>', 600, 600, null);"
                        value="Google Feed" /></div>
                <div class="formheading">
                    Item Type</div>
                <div>
                    <asp:DropDownList ID="digital" runat="server">
                        <asp:ListItem Value="" Text="Regular" />
                        <asp:ListItem Value="NO" Text="Regular - No Shipping Required" />
                        <asp:ListItem Value="ON" Text="Digital Download" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Digital Download File Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="digfile" runat="server" /></div>
                <div class="helptext">
                    (enter filename located in your "downloads" folder, ex. "filename.pdf")</div>
                <% If pd.urlrewriteon = "ON" Then%>
                <div class="pageheading2">
                    Search Engine Related</div>
                <div class="formheading">
                    Re-Write/Friendly Url Name</div>
                <div>
                    <asp:TextBox class="formfield6" ID="metaurl" runat="server" /></div>
                <div class="helptext">
                    Optional folder/Path, for example entering "your-product-name" would mean the Url
                    would be similiar to this "www.yourshop.com/page.aspx/your-product-name/"</div>
                <% End If%>
                <div class="formbutton_div">
                    <asp:Button class="formbutton" Text="Save Changes" runat="server" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div>
                    <div class="check_div">
                        <input type="checkbox" name="deleterecord" value="yes" />
                        Delete this Item?</div>
                </div>
                <% End If%><% If id <> "" Then%>
                <div class="bottomhelptext">
                    <a href="javascript: copyitem('<%=id %>')">Duplicate Item</a> (Make an exact copy
                    of this item)</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
