<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public reviewcount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


        End If
  
        itemreviews.DataSource = pd.binditemreviews("ALL", 2, 50)
        itemreviews.DataBind()
        'If itemreviews.Items.Count=0 Then itemreviews.Visible = False
        reviewcount = itemreviews.Items.Count
        
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    If pd.adminlevel = 1 Then pd.createadmintab("Settings", "setup-reviews.aspx")
                    pd.createadmintab("Awaiting Approval", "editreview-pending.aspx")
                    pd.createadmintab("Approved", "editreview-approved.aspx")
                    pd.createadmintab("Rejected", "editreview-rejected.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Item/Product Reviews</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Rejected</div>
                <div>
                    <div class="helptext">
                        Below are reviews</div>
                    <div class="inner_div">
                        <asp:Repeater ID="itemreviews" runat="server">
                            <HeaderTemplate>
                                <div class="tdshead">
                                    Rating</div>
                                <div class="tds2head">
                                    Item No</div>
                                <div class="tdlhead">
                                    Title</div>
                                <div class="tr">
                                </div>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <div class="tds">
                                    <a href="editreview.aspx?id=<%# Container.DataItem("revid") %>&gobacktoitem=R">
                                        <%# Container.DataItem("revrating") %></a></div>
                                <div class="tds2">
                                    <a href="editreview.aspx?id=<%# Container.DataItem("revid") %>&gobacktoitem=R">
                                        <%# Container.DataItem("revitemno") %></a></div>
                                <div class="tdl">
                                    <a href="editreview.aspx?id=<%# Container.DataItem("revid") %>&gobacktoitem=R">
                                        <%# Container.DataItem("revtitle") %></a></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                    <% If reviewcount > 50 Then%>
                    <div class="helptext">
                        There are more than 50 reviews, to view more <a href="searchresults.aspx?table=reviews&field=status,rating,title,itemid&data=2&sortby=id DESC">
                            Click Here</a></div>
                    <% End If%>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
