<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public affillink, status, startdate, enddate, mainpage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        If Not (Page.IsPostBack) Then
        End If

        status = pd.getrequest("status")
        startdate = pd.getrequest("startdate")
        enddate = pd.getrequest("enddate")

        searchrepeater.DataSource = pd.binditemreport(startdate, enddate, status)
        searchrepeater.DataBind()

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">

            <div>
                <%
                    pd.createadmintab("Report", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">

                <div>
                    <div class="pageheading1" style="float: left;">
                        Item Sales Summary Report
                    </div>
                    <div class="nonprint" style="float: right;">
                        <input type="button" class="formbutton" onclick="window.print()" value="Print" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="message">
                        <%=pd.getFormError()%>
                    </div>
                </div>
                <asp:Repeater ID="searchrepeater" runat="server">
                    <HeaderTemplate>
                        <div align="left" class="reportheading2">
                            Order Status:
                            <%=status%><br />
                            Dates:
                            <%=startdate%>
                            -
                            <%=enddate%>
                        </div>
                        <div class="reportheader" style="width: 100%;">
                            <div class="ireportcolumn_1">
                                Item No.
                            </div>
                            <div class="ireportcolumn_2">
                                Item Name
                            </div>
                            <div class="ireportcolumn_3">
                                &nbsp;
                            </div>
                            <div class="ireportcolumn_4">
                                &nbsp;
                            </div>
                            <div class="ireportcolumn_5">
                                &nbsp;Qty
                            </div>
                            <div class="ireportcolumn_6">
                                &nbsp;Avg. Price
                            </div>
                            <div class="ireportcolumn_7">
                                &nbsp;Total
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div class="reporttxt" style="width: 100%;">
                            <div class="ireportcolumn_1">
                                <%# Container.DataItem("itemno") %>
                            </div>
                            <div class="ireportcolumn_2">
                                <%# Container.DataItem("itemname") %>
                            </div>
                            <div class="ireportcolumn_3">
                                &nbsp;
                            </div>
                            <div class="ireportcolumn_4">
                                &nbsp;
                            </div>
                            <div class="ireportcolumn_5">
                                <%# Container.DataItem("orderqty") %>
                            </div>
                            <div class="ireportcolumn_6">
                                <%# Container.DataItem("orderprice") %>
                            </div>
                            <div class="ireportcolumn_7">
                                <%# Container.DataItem("ordersubtotal") %>
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </ItemTemplate>
                    <FooterTemplate>
                        <div class="reportheader" style="width: 100%;">
                            &nbsp;
                        </div>
                        <div class="reporttxt" style="width: 100%;">
                            <div class="ireportcolumn_1">
                                &nbsp;
                            </div>
                            <div class="ireportcolumn_2">
                                &nbsp;
                            </div>
                            <div class="ireportcolumn_3">
                                &nbsp;<%=pd.sfoot1%>
                            </div>
                            <div class="ireportcolumn_4">
                                &nbsp;
                                <%=pd.sfoot2%>
                            </div>
                            <div class="ireportcolumn_5">
                                &nbsp;<%=pd.sfoot3%>
                            </div>
                            <div class="ireportcolumn_6">
                                &nbsp;<%=pd.sfoot4%>
                            </div>
                            <div class="ireportcolumn_7">
                                &nbsp;<%=pd.sfoot5%>
                            </div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </FooterTemplate>
                </asp:Repeater>
                <div align="center" class="paginglinks">
                    <br />
                    <%=pd.paginglinks%><br />
                    <br />
                </div>

            </div>

        </div>
    </div>
</asp:Content>
