<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, optcatid, search As String
    Public closewin As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        'Get Record IDs
        itemid = pd.getrequest("itemid")
        optcatid = pd.getrequest("optcatid")
        search = pd.getrequest("search")

        'Handle Task
        If search <> "" Then

            itemsearch.DataSource = pd.bindcategoryitems("S", 1000)
            itemsearch.DataBind()

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" action="popup_addoptionitem.aspx" id="aspnetForm" name="aspnetForm">
        <input type="hidden" name="optcatid" value="<%=optcatid%>" />
        <input type="hidden" name="sfield" value="keywords" />
        <input type="hidden" name="sortby" value="name" />
        <div class="pageheading2">
            Add Regular Option</div>
        <div>
            <div class="helptext">
                Create a regular option (simpler):&nbsp;&nbsp;</div>
            <div>
                <input type="button" class="formbutton" onclick="window.location='popup_editoptionitem.aspx?nexttask=add&optcatid=<%=optcatid%>&itemid=0'"
                    value="Regular" /></div>
        </div>
        <div class="pageheading2">
            -- OR --</div>
        <div class="pageheading2">
            Add Existing Item</div>
        <div class="helptext">
            Search for an existing Item No/Sku (another item will be an option)</div>
        <div>
            <%=pd.getFormError()%></div>
        <div>
            <input type="text" size="25" name="search" value="<%=search%>" />
            <input type="submit" value="Submit" class="formbutton" /><input class="formbutton"
                onclick="document.aspnetForm.search.value='_'" type="submit" value="Show All" />
        </div>
        <div>
            <asp:Repeater ID="itemsearch" runat="server">
                <HeaderTemplate>
                    <div class="tdshead">
                        Item No.</div>
                    <div class="tdm2head">
                        Name</div>
                    <div class="tr">
                    </div>
                </HeaderTemplate>
                <ItemTemplate>
                    <div class="tds">
                        <a href="popup_editoptionitem.aspx?nexttask=add&optcatid=<%=optcatid%>&itemid=<%# Container.DataItem("theid")%>">
                            <%# Container.DataItem("itemno") %></a></div>
                    <div class="tdm2">
                        <a href="popup_editoptionitem.aspx?nexttask=add&optcatid=<%=optcatid%>&itemid=<%# Container.DataItem("theid")%>">
                            <%# Container.DataItem("name") %></a></div>
                    <div class="tr">
                    </div>
                </ItemTemplate>
                <FooterTemplate>
                </FooterTemplate>
            </asp:Repeater>
        </div>
        </form>
    </div>
</asp:Content>
