<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public showlog, showformagain As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadminSetup(0)

        
        If (Page.IsPostBack) Then
                 
            showlog = "Yes"
            statusmessage = ""
            
            'Verify Captcha
            pd.formerror = ""
            If pd.passAdminCaptcha(pd.getform("captcha")) = False Then
                pd.formerror = "Please try again, you must enter the correct Verification Code that was shown!"
                statusmessage = "Invalid Verification Code!"
            End If

            'Procedures Run on this page
            If pd.formerror = "" Then
             
                'Verify Posted Username & Password
                If pd.verifyadmin() = True Then
                  
                    pd.dbformat()
                     
                    If pd.formaterror = "Yes" Then
                        statusmessage = "Task Completed but with ERRORS - An error may have occurred, check Log file!"
                    Else
                        statusmessage = "Task Completed Successfully!"
                        showformagain = "No"
                    End If
                 
                Else
                    statusmessage = "Access Denied!"
                    pd.formaterror = "Yes"
                End If
                         
            End If

            'Clear Cache.
            pd.clearpdshopcache()
            
        End If
  
    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
        // Set this page as the default/frames page... must proceed the admin.js javascript
        var pdshopdefaultpage = "Yes";
  
    </script>
    <div id="pleasewait" style="display: none;">
        <div class="errors2">
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
            Working... Please Wait!<br />
            <br />
            <br />
            <!-- <img src="img/loadingpage.gif"> -->
            <br />
            <br />
            <br />
        </div>
    </div>
    <div id="entirepage" class="popupbody_div">
        <form method="POST" action="popup_dbformat.aspx" runat="server" id="aspnetForm">
        <div class="pageheading2">
            Database Format/Upgrade Tool
        </div>
        <div class="helptext">
            This tool will check your database for any problems. Run this tool immediately after
            installation or upgrading (also run immediately after installing an update)!<br />
            <br />
        </div>
        <div id="showlog">
            <% If showlog = "Yes" Then%>
            <div class="pageheading2">
                Procedure Log</div>
            <div class="inner_div">
                <% If pd.formaterror = "Yes" Then%>
                <div class="errors2">
                    ERRORS MAY HAVE OCCURRED, SEE LOG BELOW!</div>
                <% Else%>
                <div class="errors2">
                    Task Completed successfully!</div>
                <% End If%>
                <div class="helptext" style="height: 100px; overflow: auto;">
                    <%=pd.formerror%><br />
                    <br />
                    ---- END OF LOG----</div>
            </div>
            <% End If%>
        </div>
        <% If showformagain <> "No" Then%>
        <div id="dbformat">
            <div>
                <input type="hidden" id="dbprocedure" name="dbprocedure" value="dbformat" />
                <input type="hidden" name="confirm" value="yes" />
                <input type="hidden" value="A" name="mode_settings" />
            </div>
        </div>
        <div id="loginboxes">
            <div class="formheading">
                Admin User Name</div>
            <div class="formheading">
                <input type="text" id="username" name="username" size="20" /></div>
            <div class="formheading">
                Admin Password</div>
            <div>
                <input type="password" id="password" name="password" size="10" /></div>
            <% If pd.admincaptcha = "ON" Then%>
            <div class="captcha_div">
                <div class="formheading">
                    Verification Code</div>
                <div>
                    <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" />
                </div>
                <div class="formheading">
                    Enter Verification Code</div>
                <div class="captchaimg_div">
                    <input type="text" id="captcha" name="captcha" size="10" />
                </div>
                <% If pd.shopdemomode = "Yes" Then%>
                <div class="helptext">
                    DEMO NOTE: This is one of many optional security features.
                </div>
                <% End If%>
            </div>
            <% End If%>
            <div class="button_div">
                <input class="formbutton" type="submit" onclick="document.all.entirepage.style.display='none'; document.all.pleasewait.style.display='block';"
                    value="Run Procedure" />
            </div>
        </div>
        <% Else%>
        <div class="button_div">
            <input class="formbutton" type="submit" onclick="window.opener.location.reload();window.close();"
                value="Close Window" />
        </div>
        <% End If%>
        </form>
    </div>
</asp:Content>
