<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">


    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public statusmessage, task As String
    Public recryptcustid, recryptorderid, recryptadminid, recryptotherid As Integer

    Public pd As Object
    
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)
    
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(1)
    
        'Determine the next Task
        task = pd.getform("task")
    
        'Handle Demo Mode
        If pd.demomode = "Yes" Then
            task = ""
            pd.formerror = "You are in Demo Mode, you cannot perform this function!"
        End If
    
        'Run Process
        If task = "runningprocess" Then
            If pd.dorecrypt(100) = True Then
                task = "runningprocess"
            Else
                task = "done"
                pd.dorecryptcleanup()
            End If
        End If
    
        'Confirm Key
        If task = "confirmenckey" Then
        
            If pd.verifyadmin() = True Then
                oldkey = oldenckey.Text
                newkey = newenckey.Text
            
                If Len(newkey) < 5 Then pd.formerror = "New Encryption Key is too short!"
                If pd.getWebConfigSetting("cryptpass") <> oldkey Then pd.formerror = "The Current Encryption Key is Incorrect!"
            
                If pd.formerror = "" Then
                    task = "runningprocess"
                    pd.dorecryptstart(newkey)
                End If
            
            Else
                pd.formerror = "Your Administrator User Name or Password is incorrect!"
            End If
        
        End If
    
        'If no task, begin new re-crypt!
        If task = "" Then
            task = "confirmenckey"
        End If
    
        
        If task = "runningprocess" Then
            Master.onloadhtml = "document.getElementById('aspnetForm').submit()"
        End If
        
        
    End Sub

    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <%If task = "confirmenckey" Then%>
        <input type="hidden" name="task" value="confirmenckey" />
        <div class="pageheading2">
            Re-Encrypt Data</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div class="formheading">
            Current Encryption Key</div>
        <div>
            <asp:TextBox class="formfield1" ID="oldenckey" runat="server" />
        </div>
        <div class="helptext">
            Enter the Password/Phrase value from the "cryptpass" key in your web.config.
        </div>
        <div class="formheading">
            New Encryption Key</div>
        <div>
            <asp:TextBox class="formfield1" ID="newenckey" runat="server" />
        </div>
        <div class="helptext">
            Enter the NEW Password/Phrase value
            <br />
            (that you will be using in your web.config AFTER this procedure).
        </div>
        <div class="formheading">
            User Name</div>
        <div>
            <asp:TextBox class="formfield2" ID="username" runat="server" />
        </div>
        <div class="formheading">
            Password</div>
        <div>
            <asp:TextBox class="formfield2" ID="password" runat="server" TextMode="password" />
        </div>
        <div class="errors">
            -- IMPORTANT INFORMATION BELOW --
            <br />
            Immediately after this process completes, you will need to update your server's
            WEB.CONFIG file to reflect the new Encryption ("cryptpass") Key. DO NOT INTERRUPT
            this process once it has started (doing so may corrupt/damage your database and
            render it unusable)! Also, you are required to make a current BACKUP COPY of your
            database before running this procedure!
        </div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Start Process" /></div>
        <% End If%>
        <%If task = "runningprocess" Then%>
        <input type="hidden" name="task" value="runningprocess" />
        <div class="pageheading2">
            Re-Encrypt Data</div>
        <div class="errors2">
            <br />
            Working... Please Wait!
            <br />
            DO NOT INTERRUPT!<br />
            <br />
        </div>
        <div class="pageheading2">
            <% =pd.formerror %></div>
        <% End If%>
        <% If task = "done" Then%>
        <div class="pageheading2">
            Re-Encrypt Data COMPLETED!</div>
        <div>
            <div class="formheading">
                <% =pd.formerror %><% = pd.pdm.formerror%></div>
            <div class="errors2">
                URGENT MESSAGE:
                <br />
                The procedure has completed, now you MUST immediately update your server's web.config
                to reflect the new Encryption ("cryptpass") Key value.
            </div>
        </div>
        <% End If%>
        </form>
    </div>
</asp:Content>
