<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, retfield, retsrc, listletter, listimages, task As String
    Public closewin As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        retsrc = Master.pd.getrequest("retsrc")
        retfield = pd.getrequest("retfield")
        listletter = pd.getrequest("listletter")
        listimages = pd.getrequest("listimages")

        'Check for saved preference
        If listimages = "" Then
            listimages = pd.getcookie("listimg")
            If listimages = "" Then
                listimages = "Y"
            End If
        Else
            pd.saveCookie("listimg", listimages, 0)
        End If

        'List all Images
        If listletter = "" Then listletter = "A"
        fileList.Text = pd.adminListImages(listletter, listimages)

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
<!--
function saveimage(simagename) {
  <% if retfield="src" then %>
  newsimgname = '../<%=pd.pdimagesfolder %>' + simagename;
    window.opener.updatefield('<%=retfield%>', newsimgname);
  <% ElseIf retsrc = "editor" Then%>
    window.opener.updatefield('<%=retfield%>', '../<%=Master.pd.pdimagesfolder %>' + simagename) 
  <% elseif retfield<>"" then %>
  window.opener.updatefield('<%=retfield%>',simagename)
  <% else %>
  window.opener.cmdExec("InsertImage", "../images/" + simagename)
  <% end if %>
  window.close();
  //window.close()

  }
// -->
    </script>
    <div class="popupbody_div" id="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">

        <% If retsrc = "editor" Then%>
            <div class="pageheading2">Upload Image
            </div>
            <div class="">
                <input type="button" value="Upload Image" onclick="window.location.href = 'popup_uploadimage.aspx?retsrc=editor&retfield=<%=retfield%>';"
                    class="formbutton" /></div>
            <% End If%>

        <div class="pageheading2">
            Insert Image <span class="helptext">
                <% If listimages = "" Or listimages = "N" Then%>
                <a href="popup_insertimage.aspx?listletter=<%=listletter%>&retfield=<%=retfield%>&listimages=Y&retsrc=<%=retsrc%>">
                    Show Images</a>
                <% Else%>
                <a href="popup_insertimage.aspx?listletter=<%=listletter%>&retfield=<%=retfield%>&listimages=N&retsrc=<%=retsrc%>">
                    Hide Images</a>
                <%End If%></span>
        </div>
        <div align="center" class="helptext">
            <% For i = 65 To 90%><a href="popup_insertimage.aspx?listletter=<%=chr(i)%>&retfield=<%=retfield%>&retsrc=<%=retsrc%>"><%=chr(i)%></a>&nbsp;
            <%Next%><% For i = 48 To 57%><a href="popup_insertimage.aspx?listletter=<%=chr(i)%>&retfield=<%=retfield%>&retsrc=<%=retsrc%>"><%=chr(i)%></a>&nbsp;
            <%Next%><a href="popup_insertimage.aspx?listletter=ALL&retfield=<%=retfield%>&retsrc=<%=retsrc%>">ALL</a></div>
        <div>
            <%=pd.getFormError()%></div>
        <div>
            <br>
            <asp:Label ID="fileList" runat="server" /></div>
        </form>
    </div>
</asp:Content>
