<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage, recalcneeded As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            'Fix Any items that have a null inventory 'qty'
            'pd.sqlexecute("UPDATE items SET qty=0 WHERE qty IS NULL")
            
            'Test if items require updating
            pd.OpenDataReader("SELECT id FROM items WHERE items.active='Yes' AND qtysold IS NULL")
            If pd.ReadDataItem.Read Then
                recalcneeded = "Y"
            End If
            pd.CloseData()
         
            pd.OpenSetupDataReader("setupxml", "setup")

            form_ord7.SelectedIndex = form_ord7.Items.IndexOf(form_ord7.Items.FindByValue(pd.ReadData("ord7")))
                
            pd.CloseData()
             
            pd.OpenSetupDataReader("setupxml", "design")
            
            form_bsitemhp.Text = pd.ReadDataN("bsitemhp")
            form_bsitemop.Text = pd.ReadDataN("bsitemop")
            form_bsitemhpcol.Text = pd.ReadDataN("bsitemhpcol")
            form_bsitemopcol.Text = pd.ReadDataN("bsitemopcol")
            
            bsconfig = pd.ReadData("bsconfig")
            If InStr(bsconfig, "AC") > 0 Then bsconfig1.Checked = True
            If InStr(bsconfig, "MD") > 0 Then bsconfig2.Checked = True
            If InStr(bsconfig, "SP") > 0 Then bsconfig3.Checked = True
            If InStr(bsconfig, "SD") > 0 Then bsconfig4.Checked = True
            If InStr(bsconfig, "SI") > 0 Then bsconfig5.Checked = True
            If InStr(bsconfig, "ST") > 0 Then bsconfig6.Checked = True
            If InStr(bsconfig, "SN") > 0 Then bsconfig7.Checked = True
            If InStr(bsconfig, "SS") > 0 Then bsconfig8.Checked = True
                 
            pd.CloseData()
             
             
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
            pd.AddFormData("ord7", form_ord7.SelectedItem.Value, "", "T", 0, 50)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
             
                pd.OpenSetupDataWriter("setupxml", "design")
                
                pd.AddFormData("bsitemhp", form_bsitemhp.Text, "How Many", "N", 0, 0)
                pd.AddFormData("bsitemop", form_bsitemop.Text, "How Many", "N", 0, 0)
                pd.AddFormData("bsitemhpcol", form_bsitemhpcol.Text, "Columns", "N", 0, 0)
                pd.AddFormData("bsitemopcol", form_bsitemopcol.Text, "Columns", "N", 0, 0)
                bsconfig = ""
                If bsconfig1.Checked = True Then bsconfig = bsconfig & ",AC"
                If bsconfig2.Checked = True Then bsconfig = bsconfig & ",MD"
                If bsconfig3.Checked = True Then bsconfig = bsconfig & ",SP"
                If bsconfig4.Checked = True Then bsconfig = bsconfig & ",SD"
                If bsconfig5.Checked = True Then bsconfig = bsconfig & ",SI"
                If bsconfig6.Checked = True Then bsconfig = bsconfig & ",ST"
                If bsconfig7.Checked = True Then bsconfig = bsconfig & ",SN"
                If bsconfig8.Checked = True Then bsconfig = bsconfig & ",SS"
                pd.AddFormData("bsconfig", bsconfig, "Config", "T", 0, 0)

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                    pd.gotonextpage()
                     
                End If
                 
            End If
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If recalcneeded = "Y" Then%>
    <script type="text/javascript">
<!--
        alert("Some Items do not have Qty Sold data.  It is recommended that you run the Calculate Best Sellers Tool now.");
//-->

    </script>
    <% End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-items.aspx")
                    pd.createadmintab("Inventory", "setup-inventory.aspx")
                    pd.createadmintab("Featured", "setup-featured.aspx")
                    pd.createadmintab("Best Sellers", "setup-bestsellers.aspx")
                    pd.createadmintab("Related Items", "setup-relateditems.aspx")
                    pd.createadmintab("Recommended", "setup-recommended.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Best Sellers</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    View Best Sellers</div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('searchresults.aspx?table=items&field=qtysold,name,itemno,price,active&sortby=qtysold DESC&data=0&datatype=numG')"
                        value="List All" /></div>
                <div class="pageheading2">
                    Default Sorting</div>
                <div class="formheading">
                    Best Sellers Items</div>
                <div>
                    <asp:DropDownList ID="form_ord7" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="pageheading2">
                    Calculate Best Sellers Data</div>
                <div class="inner_div">
                    <div class="helptext">
                        This tool is for use when upgrading from a previous version, or if you wish to re-calculate
                        your best seller data. This procedure re-calculates the 'Qty Sold' based on certain
                        critera, such as Date Range or Order Status.<br />
                        <br />
                    </div>
                    <div class="formheading">
                        Confirm</div>
                    <div class="check_div">
                        <input type="checkbox" value="yes" id="confirmbs" name="confirmbs" />
                        Check this box to Confirm that you want to run this procedure!</div>
                    <div class="button_div">
                        <input type="button" onclick="dobestsellers()" class="formbutton" value="Run Procedure" />
                    </div>
                </div>
                <div class="pageheading2">
                    Display Settings</div>
                <div class="helptext">
                    Where to Display</div>
                <div class="button_div">
                    <input type="button" onclick="editdetail('pg1')" class="formbutton" value="Page Layout" />
                </div>
                <div class="helptext">
                    <br>
                    How Many to Display</div>
                <div>
                    <div class="tds2head">
                    </div>
                    <div class="tds2head">
                        Middle Column</div>
                    <div class="tds2head">
                        L & R Columns</div>
                    <div class="tr">
                    </div>
                    <div class="tds2">
                        How Many</div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_bsitemhp" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_bsitemop" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tds2">
                        # of Columns</div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_bsitemhpcol" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_bsitemopcol" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <div class="helptext">
                    <br>
                    What to Display</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig1" runat="server" />
                        Buy Now (Add to Cart) button</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig2" runat="server" />
                        'More Details' button</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig3" runat="server" />
                        Price</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig4" runat="server" />
                        Description</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig8" runat="server" />
                        In/Out Stock Messages</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig7" runat="server" />
                        Item Name</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig5" runat="server" />
                        Item Number</div>
                    <div class="check_div">
                        <asp:CheckBox ID="bsconfig6" runat="server" />
                        Thumbmail (small image)</div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
