<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "design")

            form_pdfont.Text = pd.ReadData("pdfont")
            form_pdcolor1.Text = pd.ReadData("pdcolor1")
            form_pdcolor2.Text = pd.ReadData("pdcolor2")
            form_pdcolor3.Text = pd.ReadData("pdcolor3")
            form_pdcolor4.Text = pd.ReadData("pdcolor4")
            form_pdcolor5.Text = pd.ReadData("pdcolor5")
            form_formbgcolor.Text = pd.ReadData("formbgcolor")
            form_leftbgcolor.Text = pd.ReadData("leftbgcolor")
            form_midbgcolor.Text = pd.ReadData("midbgcolor")
            form_rightbgcolor.Text = pd.ReadData("rightbgcolor")
            temp1.Text = pd.ReadData("bgpage")
            temp2.Text = pd.ReadData("bgbanner1")
            temp3.Text = pd.ReadData("sbancolor")
            temp4.Text = pd.ReadData("bgbanner2")
            temp5.Text = pd.ReadData("bgbanner3")
            temp6.Text = pd.ReadData("bgbanner5")
            temp7.Text = pd.ReadData("bgbanner4")
            'temp16.Text = pd.ReadData("bordsecbot")
            temp16.Text = pd.ReadData("bgbotsec")
            'temp17.Text = pd.ReadData("bordsectop")
            temp17.Text = pd.ReadData("bgtopsec")
            form_mmtabalign.SelectedIndex = form_mmtabalign.Items.IndexOf(form_mmtabalign.Items.FindByValue(pd.ReadData("mmtabalign")))
            form_mmstyle.SelectedIndex = form_mmstyle.Items.IndexOf(form_mmstyle.Items.FindByValue(pd.ReadData("mmstyle")))
            form_hdstyle.SelectedIndex = form_hdstyle.Items.IndexOf(form_hdstyle.Items.FindByValue(pd.ReadData("hdstyle")))
            temp21.Text = pd.ReadData("hdtxcolor")
            temp22.Text = pd.ReadData("hdbgcolor")
            temp23.Text = pd.ReadData("hdbordcolor")
            temp24.Text = pd.ReadData("hdseccolor")
            temp25.Text = pd.ReadData("hdsecbord")
            temp31.Text = pd.ReadData("mmbgcolor")
            temp32.Text = pd.ReadData("mmtxcolor")
            form_buttstyletype.SelectedIndex = form_buttstyletype.Items.IndexOf(form_buttstyletype.Items.FindByValue(pd.ReadData("buttstyletype")))
            temp41.Text = pd.ReadData("butttxcolor")
            temp42.Text = pd.ReadData("buttbgcolor")
            temp43.Text = pd.ReadData("icolor1")
            temp44.Text = pd.ReadData("icolor2")
            temp45.Text = pd.ReadData("icolor3")
            temp46.Text = pd.ReadData("icolor4")
            temp47.Text = pd.ReadData("icolor5")
            temp48.Text = pd.ReadData("icolor6")
            temp49.Text = pd.ReadData("icolor7")
            temp50.Text = pd.ReadData("icolor8")
            temp51.Text = pd.ReadData("icolor9")
            temp52.Text = pd.ReadData("icolor10")

            pd.CloseData()
                                

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "design")

            pd.AddFormData("pdfont", form_pdfont.Text, "Font", "T", 1, 50)
            pd.AddFormData("pdcolor1", form_pdcolor1.Text, "Color", "T", 0, 8)
            pd.AddFormData("pdcolor2", form_pdcolor2.Text, "Color", "T", 0, 8)
            pd.AddFormData("pdcolor3", form_pdcolor3.Text, "Color", "T", 0, 8)
            pd.AddFormData("pdcolor4", form_pdcolor4.Text, "Color", "T", 0, 8)
            pd.AddFormData("pdcolor5", form_pdcolor5.Text, "Color", "T", 0, 8)
            pd.AddFormData("formbgcolor", form_formbgcolor.Text, "Color", "T", 0, 8)
            pd.AddFormData("leftbgcolor", form_leftbgcolor.Text, "Color", "T", 0, 8)
            pd.AddFormData("midbgcolor", form_midbgcolor.Text, "Color", "T", 0, 8)
            pd.AddFormData("rightbgcolor", form_rightbgcolor.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgpage", temp1.Text, "Color", "T", 1, 0)
            pd.AddFormData("bgbanner1", temp2.Text, "Color", "T", 0, 8)
            pd.AddFormData("sbancolor", temp3.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgbanner2", temp4.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgbanner3", temp5.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgbanner5", temp6.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgbanner4", temp7.Text, "Color", "T", 0, 8)
            'pd.AddFormData("bordsecbot", temp16.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgbotsec", temp16.Text, "Color", "T", 0, 8)
            'pd.AddFormData("bordsectop", temp17.Text, "Color", "T", 0, 8)
            pd.AddFormData("bgtopsec", temp17.Text, "Color", "T", 0, 8)
            pd.AddFormData("mmtabalign", form_mmtabalign.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("mmstyle", form_mmstyle.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("mmbgcolor", temp31.Text, "Color", "T", 0, 8)
            pd.AddFormData("mmtxcolor", temp32.Text, "Color", "T", 0, 8)
            pd.AddFormData("hdstyle", form_hdstyle.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("hdtxcolor", temp21.Text, "Color", "T", 0, 8)
            pd.AddFormData("hdbgcolor", temp22.Text, "Color", "T", 0, 8)
            pd.AddFormData("hdbordcolor", temp23.Text, "Color", "T", 0, 8)
            pd.AddFormData("hdseccolor", temp24.Text, "Color", "T", 0, 8)
            pd.AddFormData("hdsecbord", temp25.Text, "Color", "T", 0, 8)
            pd.AddFormData("buttstyletype", form_buttstyletype.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("butttxcolor", temp41.Text, "Color", "T", 0, 8)
            pd.AddFormData("buttbgcolor", temp42.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor1", temp43.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor2", temp44.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor3", temp45.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor4", temp46.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor5", temp47.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor6", temp48.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor7", temp49.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor8", temp50.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor9", temp51.Text, "Color", "T", 0, 8)
            pd.AddFormData("icolor10", temp52.Text, "Color", "T", 0, 8)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                 
                pd.gotonextpage()
            End If

        End If


        'Set color swatch in page
        form_pdcolor1a.Style.Value = "background-color: " & form_pdcolor1.Text
        form_pdcolor2a.Style.Value = "background-color: " & form_pdcolor2.Text
        form_pdcolor3a.Style.Value = "background-color: " & form_pdcolor3.Text
        form_pdcolor4a.Style.Value = "background-color: " & form_pdcolor4.Text
        form_pdcolor5a.Style.Value = "background-color: " & form_pdcolor5.Text
        form_formbgcolora.Style.Value = "background-color: " & form_formbgcolor.Text
        form_leftbgcolora.Style.Value = "background-color: " & form_leftbgcolor.Text
        form_midbgcolora.Style.Value = "background-color: " & form_midbgcolor.Text
        form_rightbgcolora.Style.Value = "background-color: " & form_rightbgcolor.Text
        temp1a.Style.Value = "background-color: " & temp1.Text
        temp2a.Style.Value = "background-color: " & temp2.Text
        temp3a.Style.Value = "background-color: " & temp3.Text
        temp4a.Style.Value = "background-color: " & temp4.Text
        temp5a.Style.Value = "background-color: " & temp5.Text
        temp6a.Style.Value = "background-color: " & temp6.Text
        temp7a.Style.Value = "background-color: " & temp7.Text

        temp16a.Style.Value = "background-color: " & temp16.Text
        temp17a.Style.Value = "background-color: " & temp17.Text
        temp21a.Style.Value = "background-color: " & temp21.Text
        temp22a.Style.Value = "background-color: " & temp22.Text
        temp23a.Style.Value = "background-color: " & temp23.Text
        temp24a.Style.Value = "background-color: " & temp24.Text
        temp25a.Style.Value = "background-color: " & temp25.Text
        temp31a.Style.Value = "background-color: " & temp31.Text
        temp32a.Style.Value = "background-color: " & temp32.Text
        temp41a.Style.Value = "background-color: " & temp41.Text
        temp42a.Style.Value = "background-color: " & temp42.Text
        temp43a.Style.Value = "background-color: " & temp43.Text
        temp44a.Style.Value = "background-color: " & temp44.Text
        temp45a.Style.Value = "background-color: " & temp45.Text
        temp46a.Style.Value = "background-color: " & temp46.Text
        temp47a.Style.Value = "background-color: " & temp47.Text
        temp48a.Style.Value = "background-color: " & temp48.Text
        temp49a.Style.Value = "background-color: " & temp49.Text
        temp50a.Style.Value = "background-color: " & temp50.Text
        temp51a.Style.Value = "background-color: " & temp51.Text
        temp52a.Style.Value = "background-color: " & temp52.Text
        
        
        'Check if CSS Override is enabled
        If pd.getWebConfigSetting("overrideadmincss") = "ON" Then
            pd.formerror = pd.formerror & "CSS Override is enabled via your web.config.  Some Colors, Styles, and other Attributes set below might not be applied."
        End If
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <style type="text/css">
        .tdboxhead
        {
            width: 20px;
            height: 24px;
            float: left;
            margin-right: 5px;
            padding-right: 10px;
            position: relative;
            margin-top: 5px;
            margin-left: 0px;
            float: left;
            color: #000000;
            font-family: Verdana;
            font-size: 10px;
            font-weight: normal;
        }
    </style>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-defaultcolors.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Default Colors</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Font</div>
                <div>
                    <div class="formheading">
                        Default Font Name</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="form_pdfont" runat="server" />
                    </div>
                </div>
                <div class="pageheading2">
                    Text</div>
                <div class="inner_div">
                    <div class="tdm">
                        Catgory Name</div>
                    <div class="tdbox" id="form_pdcolor1a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_pdcolor1" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_pdcolor1')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Catgory Short Description</div>
                    <div class="tdbox" id="form_pdcolor2a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_pdcolor2" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_pdcolor2')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Item Name</div>
                    <div class="tdbox" id="form_pdcolor3a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_pdcolor3" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_pdcolor3')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Item Descriptions</div>
                    <div class="tdbox" id="form_pdcolor4a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_pdcolor4" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_pdcolor4')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        System Text/Message</div>
                    <div class="tdbox" id="form_pdcolor5a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_pdcolor5" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_pdcolor5')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                </div>
                <div class="pageheading2">
                    Page Body</div>
                <div class="inner_div">
                    <div class="tdhead" style="position: relative; left: 238px; padding-bottom: 5px;">
                        Background Color
                    </div>
                    <div class="tdhead" style="position: relative; left: 285px; padding-bottom: 5px;">
                        Other Attributes
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Background Color</div>
                    <div class="tdbox" id="temp1a" bgcolor="<%=temp1a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp1" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp1')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','body')" value="More" /></div>
                    <div class="tr">
                    </div>
                </div>
                <div class="pageheading2">
                    Top Section</div>
                <div class="inner_div">
                    <div class="tdhead" style="position: relative; left: 238px; padding-bottom: 5px;">
                        Background Color
                    </div>
                    <div class="tdhead" style="position: relative; left: 285px; padding-bottom: 5px;">
                        Other Attributes
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Entire Top Section</div>
                    <div class="tdbox" id="temp17a" bgcolor="<%=temp17a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp17" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp17')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.topsec')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Top Banner</div>
                    <div class="tdbox" id="temp2a" bgcolor="<%=temp2a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp2" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp2')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.topbanner')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Button/Search Banner</div>
                    <div class="tdbox" id="temp3a" bgcolor="<%=temp3a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp3" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp3')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.searchbanner')"
                            value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Area 1</div>
                    <div class="tdbox" id="temp4a" bgcolor="<%=temp4a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp4" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp4')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.area1')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <!--
                        <div>
                            <input type="button" class="tinyformbutton" onclick="editcss('','.menutabs')" value="Menu Tabs" /></div>-->
                </div>
                <div class="pageheading2">
                    Middle Section</div>
                <div class="inner_div">
                    <div class="tdhead" style="position: relative; left: 238px; padding-bottom: 5px;">
                        Background Color
                    </div>
                    <div class="tdhead" style="position: relative; left: 285px; padding-bottom: 5px;">
                        Other Attributes
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Left Column</div>
                    <div class="tdbox" id="form_leftbgcolora" bgcolor="<%=leftbgcolora%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_leftbgcolor" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_leftbgcolor')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.leftcol')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Middle Column</div>
                    <div class="tdbox" id="form_midbgcolora" bgcolor="<%=midbgcolora%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_midbgcolor" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_midbgcolor')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.middlecol')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Middle Column Forms</div>
                    <div class="tdbox" id="form_formbgcolora" bgcolor="<%=formbgcolora%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_formbgcolor" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_formbgcolor')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.form_container')"
                            value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Right Column</div>
                    <div class="tdbox" id="form_rightbgcolora" bgcolor="<%=rightbgcolora%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="form_rightbgcolor" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('form_rightbgcolor')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.rightcol')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <!--<div>
                            <input type="button" class="tinyformbutton" onclick="editcss('','.columndata_container')"
                                value="Container" /></div>-->
                </div>
                <div class="pageheading2">
                    Bottom Section</div>
                <div class="inner_div">
                    <div class="tdhead" style="position: relative; left: 238px; padding-bottom: 5px;">
                        Background Color
                    </div>
                    <div class="tdhead" style="position: relative; left: 285px; padding-bottom: 5px;">
                        Other Attributes
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Entire Bottom Section</div>
                    <div class="tdbox" id="temp16a" bgcolor="<%=temp16a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp16" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp16')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.botsec')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Area 2</div>
                    <div class="tdbox" id="temp5a" bgcolor="<%=temp5a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp5" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp5')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.area2')" value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Link Banner</div>
                    <div class="tdbox" id="temp6a" bgcolor="<%=temp6a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp6" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp6')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.botbannermenu')"
                            value="More" /></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Bottom Banner</div>
                    <div class="tdbox" id="temp7a" bgcolor="<%=temp7a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp7" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp7')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="td">
                        <input type="button" class="tinyformbutton" onclick="editcss('','.botbanner')" value="More" /></div>
                    <div class="tr">
                    </div>
                </div>
                <div class="pageheading2">
                    Section Content</div>
                <div class="inner_div">
                    <div class="pageheading2">
                        Headings</div>
                    <div class="formheading">
                        Heading Style</div>
                    <div>
                        <asp:DropDownList ID="form_hdstyle" runat="server">
                            <asp:ListItem Value="2" Text="Rounded (variable width)" />
                            <asp:ListItem Value="4" Text="Tab Like (variable width)" />
                            <asp:ListItem Value="5" Text="Tab Like Large (variable width)" />
                            <asp:ListItem Value="1" Text="Block Small (variable width)" />
                            <asp:ListItem Value="10" Text="Block Medium (variable width)" />
                            <asp:ListItem Value="12" Text="Block Large (variable width)" />
                            <asp:ListItem Value="9" Text="Custom (use customheading class)" />
                        </asp:DropDownList>
                    </div>
                    <div class="tdm">
                        Heading Text</div>
                    <div class="tdbox" id="temp21a" bgcolor="<%=temp21a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp21" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp21')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Heading Background Color
                    </div>
                    <div class="tdbox" id="temp22a" bgcolor="<%=temp22a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp22" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp22')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Border Color
                    </div>
                    <div class="tdbox" id="temp23a" bgcolor="<%=temp23a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp23" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp23')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div>
                        <input type="button" class="tinyformbutton" onclick="editcss('','.headingtextS,.headingtext,.headingtextL,.customheading')"
                            value="Other Attributes" /></div>
                    <div class="tr">
                    </div>
                    <div class="pageheading2">
                        Content Container</div>
                    <div class="tdm">
                        Content Area Background Color</div>
                    <div class="tdbox" id="temp24a" bgcolor="<%=temp24a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp24" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp24')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Content Border Color
                    </div>
                    <div class="tdbox" id="temp25a" bgcolor="<%=temp25a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp25" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp25')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div>
                        <input type="button" class="tinyformbutton" onclick="editcss('','.section_container')"
                            value="Other Attributes" /></div>
                </div>
                <div class="pageheading2">
                    Menu Tabs</div>
                <div class="inner_div">
                    <div class="formheading">
                        Tab Alignment</div>
                    <div>
                        <asp:DropDownList ID="form_mmtabalign" runat="server">
                            <asp:ListItem Value="Left" Text="Left" />
                            <asp:ListItem Value="Right" Text="Right" />
                            <asp:ListItem Value="Center" Text="Center" />
                        </asp:DropDownList>
                    </div>
                    <div class="formheading">
                        Style/Size</div>
                    <div>
                        <asp:DropDownList ID="form_mmstyle" runat="server">
                            <asp:ListItem Value="10" Text="Custom Tab" />
                            <asp:ListItem Value="1" Text="Smooth Tab" />
                            <asp:ListItem Value="2" Text="Square Tab" />
                            <asp:ListItem Value="5" Text="Smooth Tab Large" />
                            <asp:ListItem Value="6" Text="Square Tab Large" />
                            <asp:ListItem Value="3" Text="Text Link" />
                            <asp:ListItem Value="4" Text="Text Link Large" />
                        </asp:DropDownList>
                    </div>
                    <div class="tdm">
                        Background Color</div>
                    <div class="tdbox" id="temp31a" bgcolor="<%=temp31a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp31" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp31')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Menu Text Color</div>
                    <div class="tdbox" id="temp32a" bgcolor="<%=temp32a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp32" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp32')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div>
                        <input type="button" class="tinyformbutton" onclick="editcss('','.custom_menutab')"
                            value="Other Attributes" /></div>
                </div>
                <div class="pageheading2">
                    DropDown Menu</div>
                <div class="inner_div">
                    <div class="helptext">
                        Main Menu</div>
                    <div class="tdm">
                        Background Color</div>
                    <div class="tdbox" id="temp43a" bgcolor="<%=temp43a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp43" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp43')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Background Color (hover)</div>
                    <div class="tdbox" id="temp44a" bgcolor="<%=temp44a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp44" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp44')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Border Color</div>
                    <div class="tdbox" id="temp45a" bgcolor="<%=temp45a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp45" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp45')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Text Color</div>
                    <div class="tdbox" id="temp46a" bgcolor="<%=temp46a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp46" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp46')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Text Color (hover)</div>
                    <div class="tdbox" id="temp47a" bgcolor="<%=temp47a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp47" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp47')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="helptext">
                        Sub Menu</div>
                    <div class="tdm">
                        Background Color</div>
                    <div class="tdbox" id="temp48a" bgcolor="<%=temp48a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp48" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp48')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Background Color (hover)</div>
                    <div class="tdbox" id="temp49a" bgcolor="<%=temp49a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp49" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp49')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Border Color</div>
                    <div class="tdbox" id="temp50a" bgcolor="<%=temp50a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp50" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp50')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Text Color</div>
                    <div class="tdbox" id="temp51a" bgcolor="<%=temp51a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp51" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp51')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Text Color (hover)</div>
                    <div class="tdbox" id="temp52a" bgcolor="<%=temp52a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp52" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp52')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div>
                        <input type="button" class="tinyformbutton" onclick="editcss('','.imenu')" value="Other Attributes" /></div>
                </div>
                <div class="pageheading2">
                    Buttons</div>
                <div class="inner_div">
                    <div class="formheading">
                        Style/Size</div>
                    <div>
                        <asp:DropDownList ID="form_buttstyletype" runat="server">
                            <asp:ListItem Value="1" Text="Classic" />
                            <asp:ListItem Value="2" Text="Standard" />
                            <asp:ListItem Value="9" Text="Custom (Use custombutton Class)" />
                        </asp:DropDownList>
                    </div>
                    <div class="tdm">
                        Button Text Color</div>
                    <div class="tdbox" id="temp41a" bgcolor="<%=temp41a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp41" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp41')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="tdm">
                        Background Color</div>
                    <div class="tdbox" id="temp42a" bgcolor="<%=temp42a%>" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp42" runat="server" />
                    </div>
                    <div class="td">
                        <a href="Javascript: insertcolor('temp42')">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div>
                        <input type="button" class="tinyformbutton" onclick="editcss('','.buttonsstandard,.custombutton,.classicbutton')"
                            value="Other Attributes" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
