<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")
             
            If pd.ReadDataN("discen") = 1 Then form_discen.Checked = True
            If pd.ReadDataN("disc2en") = 1 Then form_disc2en.Checked = True
                 
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            If form_discen.Checked = True Then
                pd.AddData("discen", 1, "N")
            Else
                pd.AddData("discen", 0, "N")
            End If
            If form_disc2en.Checked = True Then
                pd.AddData("disc2en", 1, "N")
            Else
                pd.AddData("disc2en", 0, "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                 
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
<!--


//-->
    </script>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-discounts.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Discount Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Discount Codes</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_discen" runat="server" />
                    Enable Coupons/Discounts?</div>
                <div class="helptext">
                    (Check this box to allow shoppers to apply discounts during checkout.)</div>
                <div class="pageheading2">
                    Item & Customer Discounts</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_disc2en" runat="server" />
                    Enable Quantity Based Discounts/Prices?</div>
                <div class="helptext">
                    (This will turn on and display the discount prices on the item detail page, where
                    applicable. Setup quantity prices on the item&#39;s page in the admin.</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
