<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, testno, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        testno = pd.getrequest("testno")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("passemail") = "ON" Then passemail.Checked = True
             
            pd.CloseData()
            pd.OpenSetupDataReader("otherxml", "email")

            emailfrom2.Text = pd.ReadData("emailfrom2")
            emailfromname2.Text = pd.ReadData("emailfromname2")
            emailsubject2.Text = pd.ReadData("emailsubject2")
            emailbody2.Value = pd.ReadData("emailbody2")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
        
            If passemail.Checked = True Then
                pd.AddData("passemail", "ON", "T")
            Else
                pd.AddData("passemail", "", "T")
            End If

            'If no errors, Prepare Database - Set array to Add or Update data
            If pd.formerror = "" Then
                pd.SaveData()

                pd.OpenSetupDataWriter("otherxml", "email")

                pd.AddFormData("emailfrom2", emailfrom2.Text, "From Email", "E", 0, 50)
                pd.AddFormData("emailfromname2", emailfromname2.Text, "Name", "T", 0, 50)
                pd.AddFormData("emailsubject2", emailsubject2.Text, "Subject", "T", 0, 50)
                pd.AddFormData("emailbody2", emailbody2.Value, "Message Body 2", "T", 0, 5000)

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                     
                    pd.gotonextpage()
                     
                End If
             
            End If

        End If


        'Send Test emails
        If testno <> "" Then
         
         
            If passemail.Checked = True Then
                pd.Sendemail(emailfrom2.Text, "", emailfrom2.Text, emailfromname2.Text, emailsubject2.Text, emailbody2.Value, "Text", "")
                pd.formerror = pd.formerror & pd.formaterror
            End If
            
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="testno" id="testno" />
            <div>
                <%
                    pd.createadmintab("Settings", "setup-email.aspx")
                    pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                    pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                    pd.createadmintab("Order Status", "setup-email-status.aspx")
                    pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                    pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                    pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                    pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Email Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Password Recovery</div>
                <div class="check_div">
                    <asp:CheckBox ID="passemail" runat="server" />Allow Password Recovery?</div>
                <div class="helptext">
                    (Check this box if want to allow users to retrieve lost passwords by email.)</div>
                <div class="formheading">
                    From Name: (ex. Store Name)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfromname2" runat="server" /></div>
                <div class="formheading">
                    From Email: (ex. you@yourdomain.com)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfrom2" runat="server" /></div>
                <div class="formheading">
                    Subject</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailsubject2" runat="server" /></div>
                <div class="formheading">
                    Message Body</div>
                <div class="helptext">
                    You can use these variables: ##CUSTNAME##, ##PASSWORD##, ##DATE##</div>
                <div>
                    <textarea class="formtextarea" rows="8" id="emailbody2" cols="55"  
                        runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" />
                    <input type="button" onclick="sendtest('NO')" class="formbutton" value="Save & Send Test" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
