<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")

            form_ord5.SelectedIndex = form_ord5.Items.IndexOf(form_ord5.Items.FindByValue(pd.ReadData("ord5")))
                
            pd.CloseData()
             
            pd.OpenSetupDataReader("setupxml", "design")
  
            form_fitemhp.Text = pd.ReadDataN("fitemhp")
            form_fitemop.Text = pd.ReadDataN("fitemop")
            form_fitemhpcol.Text = pd.ReadDataN("fitemhpcol")
            form_fitemopcol.Text = pd.ReadDataN("fitemopcol")
            
            ficonfig = pd.ReadData("ficonfig")
            If InStr(ficonfig, "AC") > 0 Then ficonfig1.Checked = True
            If InStr(ficonfig, "MD") > 0 Then ficonfig2.Checked = True
            If InStr(ficonfig, "SP") > 0 Then ficonfig3.Checked = True
            If InStr(ficonfig, "SD") > 0 Then ficonfig4.Checked = True
            If InStr(ficonfig, "SI") > 0 Then ficonfig5.Checked = True
            If InStr(ficonfig, "ST") > 0 Then ficonfig6.Checked = True
            If InStr(ficonfig, "SN") > 0 Then ficonfig7.Checked = True
            If InStr(ficonfig, "SS") > 0 Then ficonfig8.Checked = True
                 
            pd.CloseData()
             
             
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
            pd.AddFormData("ord5", form_ord5.SelectedItem.Value, "", "T", 0, 50)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
             
                pd.OpenSetupDataWriter("setupxml", "design")
                
                pd.AddFormData("fitemhp", form_fitemhp.Text, "How Many", "N", 0, 0)
                pd.AddFormData("fitemop", form_fitemop.Text, "How Many", "N", 0, 0)
                pd.AddFormData("fitemhpcol", form_fitemhpcol.Text, "Columns", "N", 0, 0)
                pd.AddFormData("fitemopcol", form_fitemopcol.Text, "Columns", "N", 0, 0)
                
                ficonfig = ""
                If ficonfig1.Checked = True Then ficonfig = ficonfig & ",AC"
                If ficonfig2.Checked = True Then ficonfig = ficonfig & ",MD"
                If ficonfig3.Checked = True Then ficonfig = ficonfig & ",SP"
                If ficonfig4.Checked = True Then ficonfig = ficonfig & ",SD"
                If ficonfig5.Checked = True Then ficonfig = ficonfig & ",SI"
                If ficonfig6.Checked = True Then ficonfig = ficonfig & ",ST"
                If ficonfig7.Checked = True Then ficonfig = ficonfig & ",SN"
                If ficonfig8.Checked = True Then ficonfig = ficonfig & ",SS"
                If ficonfig = "" Then
                    pd.formerror = pd.formerror & "At least one element under 'What to Display' must be selected!"
                End If
                
                pd.AddFormData("ficonfig", ficonfig, "Config", "T", 0, 0)
                 

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                    pd.gotonextpage()
                     
                End If
                 
            End If
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-items.aspx")
                    pd.createadmintab("Inventory", "setup-inventory.aspx")
                    pd.createadmintab("Featured", "setup-featured.aspx")
                    pd.createadmintab("Best Sellers", "setup-bestsellers.aspx")
                    pd.createadmintab("Related Items", "setup-relateditems.aspx")
                    pd.createadmintab("Recommended", "setup-recommended.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Featured Items</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    View Featured Items</div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('searchresults.aspx?table=items&field=feature,itemno,name,price,saleprice&data=Yes&sortby=name')"
                        value="List All" /></div>
                <div class="pageheading2">
                    Default Sorting</div>
                <div class="formheading">
                    Featured Items</div>
                <div>
                    <asp:DropDownList ID="form_ord5" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="pageheading2">
                    Display Settings</div>
                <div class="helptext">
                    Where to Display</div>
                <div class="button_div">
                    <input type="button" onclick="editdetail('pg1')" class="formbutton" value="Page Layout" />
                </div>
                <div class="helptext">
                    <br>
                    How Many to Display</div>
                <div>
                    <div class="tds2head">
                    </div>
                    <div class="tds2head">
                        Middle Column</div>
                    <div class="tds2head">
                        L & R Columns</div>
                    <div class="tr">
                    </div>
                    <div class="tds2">
                        How Many</div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_fitemhp" runat="server" /></div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_fitemop" runat="server" /></div>
                    <div class="tr">
                    </div>
                    <div class="tds2">
                        # of Columns</div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_fitemhpcol" runat="server" /></div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_fitemopcol" runat="server" /></div>
                    <div class="tr">
                    </div>
                </div>
                <div class="helptext">
                    <br>
                    What to Display</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig1" runat="server" />Buy Now (Add to Cart) button</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig2" runat="server" />'More Details' button</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig3" runat="server" />Price</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig4" runat="server" />Description</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig8" runat="server" />In/Out Stock Messages</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig7" runat="server" />Item Name</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig5" runat="server" />Item Number</div>
                    <div class="check_div">
                        <asp:CheckBox ID="ficonfig6" runat="server" />Thumbmail (small image)</div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
