<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage, checkallservicesval, largeusps As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        
        Dim i As Int32
        Dim rc As RepeaterItemCollection = itemrepeater.Items
  

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            fedexfromcountry.DataSource = pd.getcountrylist()
            fedexfromcountry.DataBind()

            pd.OpenSetupDataReader("setupxml", "shipping")

            If pd.ReadDataN("fedexen") = 1 Then fedexen.Checked = True

            If pd.ReadDataN("fedexrateerr") = 1 Then fedexrateerr1.Checked = True
            If pd.ReadDataN("fedexrateerr") = 2 Then fedexrateerr2.Checked = True
            If pd.ReadDataN("fedexrateerr") = 3 Then fedexrateerr3.Checked = True
            fedexkey.Text = pd.ReadData("fedexkey")
            fedexpass.Text = pd.ReadData("fedexpass")

            fedexfromcity.Text = pd.ReadData("fedexfromcity")
            fedexfromzip.Text = pd.ReadData("fedexfromzip")
            fedexfromstate.Text = pd.ReadData("fedexfromstate")
            fedexfromcountry.SelectedIndex = fedexfromcountry.Items.IndexOf(fedexfromcountry.Items.FindByText(pd.ReadData("fedexfromcountry")))

            fedexacc.Text = pd.ReadData("fedexacc")
            fedexmeter.Text = pd.ReadData("fedexmeter")
            
            fedexpickup.SelectedIndex = fedexpickup.Items.IndexOf(fedexpickup.Items.FindByValue(pd.ReadData("fedexpickup")))
            fedexpack.SelectedIndex = fedexpack.Items.IndexOf(fedexpack.Items.FindByValue(pd.ReadData("fedexpack")))
            fedexdimunit.SelectedIndex = fedexdimunit.Items.IndexOf(fedexdimunit.Items.FindByValue(pd.ReadData("fedexdimunit")))
            fedexinvoiced.SelectedIndex = fedexinvoiced.Items.IndexOf(fedexinvoiced.Items.FindByValue(pd.ReadData("fedexinvoiced")))
            fedexL.Text = pd.ReadDataN("fedexL")
            fedexW.Text = pd.ReadDataN("fedexW")
            fedexH.Text = pd.ReadDataN("fedexH")
            If pd.ReadDataN("fedexinsure") = 1 Then fedexinsure.Checked = True
            
            If pd.ReadDataN("fedextest") = 1 Then
                fedextest1.Checked = True
            Else
                fedextest0.Checked = True
            End If
            
            If pd.ReadDataN("fedexL") = 0 Then fedexL.Text = 10
            If pd.ReadDataN("fedexW") = 0 Then fedexW.Text = 10
            If pd.ReadDataN("fedexH") = 0 Then fedexH.Text = 10

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            
            
            'Check All services if necessary
            If checkallservices.Value = "Y" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = True
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            
            'Check All services if necessary
            If checkallservices.Value = "N" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = False
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "shipping")
             
            If fedexen.Checked = True Then
                pd.AddData("fedexen", 1, "N")
            Else
                pd.AddData("fedexen", 0, "N")
            End If
            If fedexinsure.Checked = True Then
                pd.AddData("fedexinsure", 1, "N")
            Else
                pd.AddData("fedexinsure", 0, "N")
            End If

            If fedextest1.Checked = True Then
                pd.AddData("fedextest", 1, "N")
            Else
                pd.AddData("fedextest", 0, "N")
            End If
            
            If fedexrateerr1.Checked = True Then pd.AddData("fedexrateerr", 1, "N")
            If fedexrateerr2.Checked = True Then pd.AddData("fedexrateerr", 2, "N")
            If fedexrateerr3.Checked = True Then pd.AddData("fedexrateerr", 3, "N")

            pd.AddFormData("fedexkey", fedexkey.Text, "Key", "T", 0, 25)
            pd.AddFormData("fedexpass", fedexpass.Text, "Password", "T", 0, 25)

            pd.AddFormData("fedexfromstate", fedexfromstate.Text, "State", "T", 0, 50)
            pd.AddFormData("fedexfromcity", fedexfromcity.Text, "City", "T", 0, 50)
            pd.AddFormData("fedexfromcountry", fedexfromcountry.SelectedItem.Text, "Country", "T", 0, 50)
            pd.AddFormData("fedexfromzip", fedexfromzip.Text, "Zip/Postal Code", "T", 0, 50)

            pd.AddFormData("fedexacc", fedexacc.Text, "FedEx Account", "T", 0, 50)
            pd.AddFormData("fedexmeter", fedexmeter.Text, "FedEx Meter", "T", 0, 50)
            
            pd.AddData("fedexpickup", fedexpickup.SelectedItem.Value, "T")
            pd.AddData("fedexinvoiced", fedexinvoiced.SelectedItem.Value, "T")
            pd.AddData("fedexpack", fedexpack.SelectedItem.Value, "T")

            pd.AddFormData("fedexL", fedexL.Text, "Dimension", "N", 0, 0)
            pd.AddFormData("fedexW", fedexW.Text, "Dimension", "N", 0, 0)
            pd.AddFormData("fedexH", fedexH.Text, "Dimension", "N", 0, 0)

            pd.AddFormData("fedexdimunit", fedexdimunit.SelectedItem.Value, "Unit", "T", 0, 50)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                 
                 
                pd.OpenSetupDataWriter("setupxml", "shipping/services")
                pd.AddData("fedex", "", "T")
                pd.SaveData()
                                             
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    If tempctrl.checked Then
                         
                        tempctrl = Item.FindControl("service")
                        pd.OpenSetupDataWriter("setupxml", "shipping/services/fedex/" & tempctrl.text)

                        tempctrl = Item.FindControl("altname")
                        pd.AddData("altname", tempctrl.text, "T")
                             
                        tempctrl = Item.FindControl("minimum")
                        pd.AddData("minimum", tempctrl.text, "N")
                             
                        tempctrl = Item.FindControl("handling")
                        pd.AddData("handling", tempctrl.text, "N")
                                                         
                        tempctrl = Item.FindControl("active")
                        pd.AddData("active", "Yes", "T")
                        pd.SaveData()
                             
                    End If

                    i = i + 1

                Next
                 
                 
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
                 
            End If

        End If

        'Force Password fields to show masked passwords.
        If Not fedexpass.Text = "" Then
            ViewState(fedexpass.Text) = fedexpass.Text
            fedexpass.Attributes.Add("value", ViewState(fedexpass.Text).ToString())
        End If
         
         
        If Not (Page.IsPostBack) Then
            itemrepeater.DataSource = pd.bindservicestoedit("FEDEX")
            itemcount = itemrepeater.DataSource.Count
            itemrepeater.DataBind()
        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" value="<% =checkallservicesval %>" id="checkallservices" runat="server" />
            <div>
                <%
                    pd.createadmintab("Custom Rates", "setup-shipping.aspx")
                    pd.createadmintab("USPS", "setup-usps.aspx")
                    pd.createadmintab("UPS", "setup-ups.aspx")
                    pd.createadmintab("FedEx", "setup-fedex.aspx")
                    pd.createadmintab("InterShipper", "setup-intershipper.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    FedEx Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="fedexen" runat="server" />
                        Enable FedEx Rates?</div>
                </div>
                <div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="shoprates('FEDEX')" value="Shop Rates"></div>
                </div>
                <div class="pageheading2">
                    Error Handling</div>
                <div class="helptext">
                    If an error occurs while processing rates, or the rate cannot be retrieved for a
                    carrier, how should the rate be displayed.</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="fedexrateerr" ID="fedexrateerr1" runat="server" />
                        Show "Minimum Charge"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="fedexrateerr" ID="fedexrateerr2" runat="server" />
                        Show Cost as "Unavailable"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="fedexrateerr" ID="fedexrateerr3" runat="server" />
                        Hide Selection (RECOMMENDED)</div>
                </div>
                <div class="pageheading2">
                    FedEx Web Service Credentials</div>
                <div class="formheading">
                    Key</div>
                <div>
                    <asp:TextBox class="formfield1" ID="fedexkey" runat="server" />
                </div>
                <div class="formheading">
                    Password</div>
                <div>
                    <asp:TextBox class="formfield1" TextMode="password" ID="fedexpass" runat="server" />
                </div>
                <div class="formheading">
                    FedEx Account</div>
                <div>
                    <asp:TextBox class="formfield1" ID="fedexacc" runat="server" />
                </div>
                <div class="formheading">
                    FedEx Meter Number</div>
                <div>
                    <asp:TextBox class="formfield1" ID="fedexmeter" runat="server" />
                </div>
                <div class="helptext">
                    Select whether you want to use the Production Server or Test Server.</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="fedextest" ID="fedextest0" runat="server" />
                        Test Server</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="fedextest" ID="fedextest1" runat="server" />
                        Production Server</div>
                </div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="shoprates('USPS')" value="Shop Rates" /></div>
                <div>
                    <div class="pageheading2">
                        Enable Services &nbsp; <span class="helptext"><a href="javascript: checkallshippingservices('Y');">
                            Check All</a> | <a href="javascript: checkallshippingservices('N');">UnCheck All</a></span></div>
                </div>
                <div class="inner_div">
                    <div class="tdl2head">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Display Name</div>
                    <div class="tdmhead">
                        Handling</div>
                    <div class="tdshead">
                        Minimum Charge</div>
                    <div class="tr">
                    </div>
                    <div xstyle="height: 400px; overflow: auto;">
                        <asp:Repeater ID="itemrepeater" runat="server">
                            <ItemTemplate>
                                <div class="td">
                                    <asp:TextBox Visible="false" ID="service" Text='<%# DataBinder.Eval(Container.DataItem,"service").ToString() %>'
                                        runat="server" />
                                    <asp:CheckBox ID="active" Checked='<%# DataBinder.Eval(Container.DataItem,"active").ToString() %>'
                                        runat="server" /><%# DataBinder.Eval(Container.DataItem,"name").ToString() %></div>
                                <div class="tr">
                                </div>
                                <div class="tdl2">
                                    &nbsp;&nbsp;&nbsp;
                                    <asp:TextBox class="formfield1" MaxLength="50" ID="altname" Text='<%# left(DataBinder.Eval(Container.DataItem,"altname").ToString(),50) %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="handling" Text='<%# DataBinder.Eval(Container.DataItem,"handling").ToString() %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="minimum" Text='<%# DataBinder.Eval(Container.DataItem,"minimum").ToString() %>'
                                        runat="server" /></div>
                                <div class="tr" style="height: 15px;">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                </div>
                <div class="helptext">
                    For a service to appear during checkout, you must enable it above.</div>
                <div class="pageheading2">
                    From Address</div>
                <div class="helptext">
                    The location from which you will be shipping.</div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="fedexfromcity" runat="server" />
                </div>
                <div class="formheading">
                    State/Province: (Abbreviation, "NY")</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="fedexfromstate" runat="server" />
                </div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="fedexfromzip" runat="server" />
                </div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:DropDownList ID="fedexfromcountry" runat="server" DataValueField="abbr" DataTextField="name" />
                </div>
                <div class="pageheading2">
                    Default Package Settings</div>
                <div class="formheading">
                    Ship Method</div>
                <div>
                    <asp:DropDownList ID="fedexpickup" runat="server">
                        <asp:ListItem Text="BUSINESS_SERVICE_CENTER" />
                        <asp:ListItem Text="DROP_BOX" />
                        <asp:ListItem Text="REGULAR_PICKUP" />
                        <asp:ListItem Text="REQUEST_COURIER" />
                        <asp:ListItem Text="STATION" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Rate Type</div>
                <div>
                    <asp:DropDownList ID="fedexinvoiced" runat="server">
                        <asp:ListItem Value="0" Text="ACCOUNT" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Package Type</div>
                <div>
                    <asp:DropDownList ID="fedexpack" runat="server">
                        <asp:ListItem Text="YOUR_PACKAGING" />
                        <asp:ListItem Text="FEDEX_10KG_BOX" />
                        <asp:ListItem Text="FEDEX_25KG_BOX" />
                        <asp:ListItem Text="FEDEX_BOX" />
                        <asp:ListItem Text="FEDEX_ENVELOPE" />
                        <asp:ListItem Text="FEDEX_PAK" />
                        <asp:ListItem Text="FEDEX_TUBE" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Dimensions</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="fedexL" runat="server" />
                    x<asp:TextBox class="formfieldnumber" ID="fedexW" runat="server" />x<asp:TextBox
                        class="formfieldnumber" ID="fedexH" runat="server" /></div>
                <div class="formheading">
                    Dimension Unit</div>
                <div>
                    <asp:DropDownList ID="fedexdimunit" runat="server">
                        <asp:ListItem Value="IN" Text="Inches" />
                        <asp:ListItem Value="CM" Text="Centimeters" />
                    </asp:DropDownList>
                </div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="fedexinsure" runat="server" />
                        Automatically Add Insurance to charge
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
