<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage, showalertmess As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenSetupDataReader("setupxml", "setup")

            form_curdec2.Text = pd.ReadData("curdec2")
            form_numdec2.Text = pd.ReadData("numdec2")
            form_datesep2.Text = pd.ReadData("datesep2")
            form_dateplaces2.SelectedIndex = form_dateplaces2.Items.IndexOf(form_dateplaces2.Items.FindByValue(pd.ReadData("dateplaces2")))

              
            If pd.ReadData("fixnuminsql") = "Y" Then
                form_fixnuminsql.Checked = True
            Else
                form_fixnuminsql.Checked = False
            End If
            
            
            'showalertmess = "1"
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            If pd.skipnumfmt = "N" Then
                pd.AddFormData("curdec2", form_curdec2.Text, "Currency Decimal", "T", 1, 5)
                pd.AddFormData("numdec2", form_numdec2.Text, "Number Decimal", "T", 1, 5)
                pd.AddFormData("datesep2", form_datesep2.Text, "Date Separator", "T", 1, 5)
                pd.AddFormData("dateplaces2", form_dateplaces2.SelectedItem.Value, "", "T", 0, 50)
            End If
             
            If form_fixnuminsql.Checked = True Then
                pd.AddData("fixnuminsql", "Y", "T")
            Else
                pd.AddData("fixnuminsql", "", "T")
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If showalertmess = "1" Then%>
    <script type="text/javascript">

        pdshopalert('CAUTION! These additional settings on the TROUBLESHOOTING tab are for correcting errors only, not for setting how currency/number/dates appear!', '');

    </script>
    <%End If%>
    <style type="text/css">
        .style1
        {
            text-decoration: underline;
        }
    </style>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-formatting.aspx")
                    pd.createadmintab("Troubleshooting", "setup-formatting2.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Database Compatibility (Error Correction)</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    The settings below are for database compatibility purposes only,&nbsp; re-formatting
                    of data when saving to your database for example.&nbsp; If you encounter error messages
                    when saving currency, numbers, or dates, you may need to alter these defaults.</div>
                <div class="pageheading2">
                    Fix Database Syntax Errors</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_fixnuminsql" runat="server" />
                        Fix Database related "Syntax" Error messages</div>
                </div>
                <%  If pd.skipnumfmt = "N" Then%>
                <div class="pageheading2">
                    Fix Database DateTime Format Errors</div>
                <div class="inner_div">
                    <div class="formheading">
                        Database Date Separator (Symbol):
                        <asp:TextBox class="formfield5" ID="form_datesep2" runat="server" /></div>
                    <div class="formheading">
                        Database Date Format:
                        <asp:DropDownList ID="form_dateplaces2" runat="server">
                            <asp:ListItem Value="M/D/Y" Text="Month, Day, Year" />
                            <asp:ListItem Value="D/M/Y" Text="Day, Month, Year" />
                            <asp:ListItem Value="Y/M/D" Text="Year, Month, Day" />
                        </asp:DropDownList>
                    </div>
                </div>
                <div class="pageheading2">
                    Fix Database Decimal placement Issues</div>
                <div class="inner_div">
                    <div class="formheading">
                        Database "Currency" Decimal (Symbol):
                        <asp:TextBox class="formfield5" ID="form_curdec2" runat="server" /></div>
                    <div class="formheading">
                        Database "Number" Decimal (Symbol):
                        <asp:TextBox class="formfield5" ID="form_numdec2" runat="server" /></div>
                </div>
                <% End If%>
                <div class="errors">
                    <br>
                    IMPORTANT: These settings will <span class="style1">NOT</span> affect how Numbers,
                    Currency, or Dates appear!&nbsp;&nbsp; Use the &quot;Settings&quot; instead.&nbsp;&nbsp;
                    This page is for correcting database errors related to your web server or database
                    server&#39;s regional settings.&nbsp; In most cases you do not need to change these
                    settings.&nbsp; Only change these settings if you are receiving an error message
                    or problem with the placement of a decimal.<br>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
