﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            pd.OpenSetupDataReader("setupxml", "setup")

            form_googleanprof.Text = pd.ReadData("googleanprof")
            If pd.ReadData("googleanon") = "ON" Then form_googleanon.Checked = True

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("googleanprof", form_googleanprof.Text, "Profile/Account", "T", 1, 25)
            If form_googleanon.Checked = True Then
                pd.AddData("googleanon", "ON", "T")
            Else
                pd.AddData("googleanon", "", "T")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                                 
            End If

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-googleanalytics.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Google Analytics</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Website Profile/Account Number (For example, UA-123456-1)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="form_googleanprof" runat="server" />
                </div>
                <div class="pageheading2">
                    Enable</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_googleanon" runat="server" />
                        Enable (Your site's pages will load the Google Analytics code)
                    </div>
                </div>
                <div class="helptext">
                    Please note: Contact Google for assistance with Google Analytics.&nbsp; We do not
                    provide support for Google Analytics.</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
