<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "design")

            If pd.ReadData("fiximgen") = "ON" Then form_fiximgen.Checked = True
            form_fimgw.Text = pd.ReadDataN("fimgw")
            form_fimgh.Text = pd.ReadDataN("fimgh")
            form_limgw.Text = pd.ReadDataN("limgw")
            form_limgh.Text = pd.ReadDataN("limgh")
            form_gimgw.Text = pd.ReadDataN("gimgw")
            form_gimgh.Text = pd.ReadDataN("gimgh")
            form_galimgw.Text = pd.ReadDataN("galimgw")
            form_galimgh.Text = pd.ReadDataN("galimgh")
            form_cimgw.Text = pd.ReadDataN("cimgw")
            form_cimgh.Text = pd.ReadDataN("cimgh")
            form_iimgw.Text = pd.ReadDataN("iimgw")
            form_iimgh.Text = pd.ReadDataN("iimgh")
            form_csimgw.Text = pd.ReadDataN("csimgw")
            form_csimgh.Text = pd.ReadDataN("csimgh")
            form_climgw.Text = pd.ReadDataN("climgw")
            form_climgh.Text = pd.ReadDataN("climgh")
            form_imgwinw.Text = pd.ReadDataN("imgwinw")
            form_imgwinh.Text = pd.ReadDataN("imgwinh")
                                    
            If pd.ReadData("hidecimg") = "ON" Then form_hidecimg.Checked = True
            If pd.ReadData("galleryon") = "ON" Then form_galleryon.Checked = True
            If pd.ReadData("popuptype") = "" Then form_popuptype.Checked = True
            
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "design")

            If form_fiximgen.Checked = True Then
                pd.AddData("fiximgen", "ON", "T")
            Else
                pd.AddData("fiximgen", "", "T")
            End If
             
            If form_hidecimg.Checked = True Then
                pd.AddData("hidecimg", "ON", "T")
            Else
                pd.AddData("hidecimg", "", "T")
            End If
            
            If form_galleryon.Checked = True Then
                pd.AddData("galleryon", "ON", "T")
            Else
                pd.AddData("galleryon", "", "T")
            End If
            
            If form_popuptype.Checked = True Then
                pd.AddData("popuptype", "", "T")
            Else
                pd.AddData("popuptype", "I", "T")
            End If
            

            pd.AddFormData("fimgw", form_fimgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("fimgh", form_fimgh.Text, "Height", "N", 0, 0)
            pd.AddFormData("limgw", form_limgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("limgh", form_limgh.Text, "Height", "N", 0, 0)
            
            pd.AddFormData("gimgw", form_gimgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("gimgh", form_gimgh.Text, "Height", "N", 0, 0)
            
            pd.AddFormData("galimgw", form_galimgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("galimgh", form_galimgh.Text, "Height", "N", 0, 0)
            
            pd.AddFormData("cimgw", form_cimgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("cimgh", form_cimgh.Text, "Height", "N", 0, 0)
            pd.AddFormData("iimgw", form_iimgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("iimgh", form_iimgh.Text, "Height", "N", 0, 0)
             
            pd.AddFormData("csimgw", form_csimgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("csimgh", form_csimgh.Text, "Height", "N", 0, 0)
            pd.AddFormData("climgw", form_climgw.Text, "Width", "N", 0, 0)
            pd.AddFormData("climgh", form_climgh.Text, "Height", "N", 0, 0)
             
             
            pd.AddFormData("imgwinw", form_imgwinw.Text, "Width", "N", 0, 0)
            pd.AddFormData("imgwinh", form_imgwinh.Text, "Height", "N", 0, 0)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Upload Images", "images-upload.aspx")
                    pd.createadmintab("File Manager", "images-filemanager.aspx")
                    pd.createadmintab("Settings", "setup-images.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Images Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Item Thumbnail Sizes</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_fiximgen" runat="server" />
                        Fix Thumbnail Image sizes?</div>
                    <div class="helptext">
                        (Check this box if want to specify thumbnail image sizes. To keep your site design
                        consistent, you can enter the pixels below. You can also specify one parameter,
                        Ex. 100 x 0)</div>
                    <div class="helptext">
                        <div class="formheading">
                            Various Pages (Thumbnails for Featured, Related, Recommended, Best Sellers, and
                            Mobile pages)</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_fimgw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_fimgh" runat="server" />
                        </div>
                        <div class="formheading">
                            Category/Feature/Search Pages (List View)</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_limgw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_limgh" runat="server" />
                        </div>
                        <div class="formheading">
                            Category/Feature/Search Pages (Grid View)</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_gimgw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_gimgh" runat="server" />
                        </div>
                        <div class="formheading">
                            Shopping Cart Page</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_cimgw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_cimgh" runat="server" />
                        </div>
                        <div class="check_div">
                            <asp:CheckBox ID="form_hidecimg" runat="server" />
                            Hide Shopping Cart Images</div>
                        <div class="pageheading2">
                            Item Large Image Sizes</div>
                        <div>
                            <div class="formheading">
                                Item Detail Page (Large Image)</div>
                            <div class="formheading">
                                <asp:TextBox class="formfieldnumber" ID="form_iimgw" runat="server" />
                                X
                                <asp:TextBox class="formfieldnumber" ID="form_iimgh" runat="server" />
                            </div>
                            <div class="helptext">
                                (Image is resized to these dimensions on Item Detail page when "resize" option is
                                checked for that item.)</div>
                            <div class="formheading">
                                Pop-Up Window/Gallery (Large Image)</div>
                            <div class="formheading">
                                <asp:TextBox class="formfieldnumber" ID="form_imgwinw" runat="server" />
                                X
                                <asp:TextBox class="formfieldnumber" ID="form_imgwinh" runat="server" />
                            </div>
                            <div class="helptext">
                                (Image is shown inside this window, image will be actual size)</div>
                        </div>
                    </div>
                </div>
                <div class="pageheading2">
                    Pop Up Windows Type</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_popuptype" runat="server" />
                    Use Standard Browser Pop Up?</div>
                <div class="pageheading2">
                    Enable Multiple Images (Gallery View)</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_galleryon" runat="server" />
                    Enable Image Gallery?</div>
                <div class="formheading">
                    Gallery Thumbnail Size</div>
                <div class="formheading">
                    <asp:TextBox class="formfieldnumber" ID="form_galimgw" runat="server" />
                    X
                    <asp:TextBox class="formfieldnumber" ID="form_galimgh" runat="server" />
                </div>
                <div class="pageheading2">
                    Category Image Sizes</div>
                <div>
                    <div class="formheading">
                        Large size</div>
                    <div class="formheading">
                        <asp:TextBox class="formfieldnumber" ID="form_climgw" runat="server" />
                        X
                        <asp:TextBox class="formfieldnumber" ID="form_climgh" runat="server" />
                    </div>
                    <div class="formheading">
                        Thumbnail size</div>
                    <div class="formheading">
                        <asp:TextBox class="formfieldnumber" ID="form_csimgw" runat="server" />
                        X
                        <asp:TextBox class="formfieldnumber" ID="form_csimgh" runat="server" />
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
