<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage, checkallservicesval As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        
        Dim i As Int32
        Dim rc As RepeaterItemCollection = itemrepeater.Items
       

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            interfromcountry.DataSource = pd.getcountrylist()
            interfromcountry.DataBind()

            pd.OpenSetupDataReader("setupxml", "shipping")

            If pd.ReadDataN("interen") = 1 Then interen.Checked = True

            If pd.ReadDataN("interrateerr") = 1 Then interrateerr1.Checked = True
            If pd.ReadDataN("interrateerr") = 2 Then interrateerr2.Checked = True
            If pd.ReadDataN("interrateerr") = 3 Then interrateerr3.Checked = True
            interlogin.Text = pd.ReadData("interuser")
            interpass.Text = pd.ReadData("interpass")

            interfromcity.Text = pd.ReadData("interfromcity")
            interfromzip.Text = pd.ReadData("interfromzip")
            interfromstate.Text = pd.ReadData("interfromstate")
            interfromcountry.SelectedIndex = interfromcountry.Items.IndexOf(interfromcountry.Items.FindByText(pd.ReadData("interfromcountry")))

            interpickup.SelectedIndex = interpickup.Items.IndexOf(interpickup.Items.FindByValue(pd.ReadData("interpickup")))
            interpack.SelectedIndex = interpack.Items.IndexOf(interpack.Items.FindByValue(pd.ReadData("interpack")))
            interdimunit.SelectedIndex = interdimunit.Items.IndexOf(interdimunit.Items.FindByValue(pd.ReadData("interdimunit")))
            interL.Text = pd.ReadDataN("interL")
            interW.Text = pd.ReadDataN("interW")
            interH.Text = pd.ReadDataN("interH")
            If pd.ReadDataN("interinsure") = 1 Then interinsure.Checked = True
                 
            If pd.ReadDataN("interL") = 0 Then interL.Text = 10
            If pd.ReadDataN("interW") = 0 Then interW.Text = 10
            If pd.ReadDataN("interH") = 0 Then interH.Text = 10

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            
            
            'Check All services if necessary
            If checkallservices.Value = "Y" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = True
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            
            'Check All services if necessary
            If checkallservices.Value = "N" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = False
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "shipping")
             
            If interen.Checked = True Then
                pd.AddData("interen", 1, "N")
            Else
                pd.AddData("interen", 0, "N")
            End If
            If interinsure.Checked = True Then
                pd.AddData("interinsure", 1, "N")
            Else
                pd.AddData("interinsure", 0, "N")
            End If

            If interrateerr1.Checked = True Then pd.AddData("interrateerr", 1, "N")
            If interrateerr2.Checked = True Then pd.AddData("interrateerr", 2, "N")
            If interrateerr3.Checked = True Then pd.AddData("interrateerr", 3, "N")

            pd.AddFormData("interuser", interlogin.Text, "Login", "T", 0, 25)
            pd.AddFormData("interpass", interpass.Text, "Password", "T", 0, 25)

            pd.AddFormData("interfromstate", interfromstate.Text, "State", "T", 0, 50)
            pd.AddFormData("interfromcity", interfromcity.Text, "City", "T", 0, 50)
            pd.AddFormData("interfromcountry", interfromcountry.SelectedItem.Text, "Country", "T", 0, 50)
            pd.AddFormData("interfromzip", interfromzip.Text, "Zip/Postal Code", "T", 0, 50)

            pd.AddData("interpickup", interpickup.SelectedItem.Value, "T")
            pd.AddData("interpack", interpack.SelectedItem.Value, "T")

            pd.AddFormData("interL", interL.Text, "Dimension", "N", 0, 0)
            pd.AddFormData("interW", interW.Text, "Dimension", "N", 0, 0)
            pd.AddFormData("interH", interH.Text, "Dimension", "N", 0, 0)

            pd.AddFormData("interdimunit", interdimunit.SelectedItem.Value, "Unit", "T", 0, 50)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                 
                 
                pd.OpenSetupDataWriter("setupxml", "shipping/services")
                pd.AddData("inter", "", "T")
                pd.SaveData()
                                             
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    If tempctrl.checked Then
                         
                        tempctrl = Item.FindControl("service")
                        pd.OpenSetupDataWriter("setupxml", "shipping/services/inter/" & tempctrl.text)

                        tempctrl = Item.FindControl("altname")
                        pd.AddData("altname", tempctrl.text, "T")
                             
                        tempctrl = Item.FindControl("minimum")
                        pd.AddData("minimum", tempctrl.text, "N")
                             
                        tempctrl = Item.FindControl("handling")
                        pd.AddData("handling", tempctrl.text, "N")
                                                         
                        tempctrl = Item.FindControl("active")
                        pd.AddData("active", "Yes", "T")
                        pd.SaveData()
                             
                    End If

                    i = i + 1

                Next
                 
                 
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
                 
            End If

        End If

        'Force Password fields to show masked passwords.
        If Not interpass.Text = "" Then
            ViewState(interpass.Text) = interpass.Text
            interpass.Attributes.Add("value", ViewState(interpass.Text).ToString())
        End If
         
         
        If Not (Page.IsPostBack) Then
            itemrepeater.DataSource = pd.bindservicestoedit("INTER")
            itemcount = itemrepeater.DataSource.Count
            itemrepeater.DataBind()
        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" value="<% =checkallservicesval %>" id="checkallservices" runat="server" />
            <div>
                <%
                    pd.createadmintab("Custom Rates", "setup-shipping.aspx")
                    pd.createadmintab("USPS", "setup-usps.aspx")
                    pd.createadmintab("UPS", "setup-ups.aspx")
                    pd.createadmintab("FedEx", "setup-fedex.aspx")
                    pd.createadmintab("InterShipper", "setup-intershipper.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    InterShipper Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="interen" runat="server" />Enable InterShipper Rates?</div>
                </div>
                <div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="shoprates('INTER')" value="Shop Rates"></div>
                </div>
                <div class="pageheading2">
                    Error Handling</div>
                <div class="helptext">
                    If an error occurs while processing rates, or the rate cannot be retrieved for a
                    carrier, how should the rate be displayed.</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="interrateerr" ID="interrateerr1" runat="server" />Show
                        "Minimum Charge"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="interrateerr" ID="interrateerr2" runat="server" />Show
                        Cost as "Unavailable"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="interrateerr" ID="interrateerr3" runat="server" />Hide
                        Selection (RECOMMENDED)</div>
                </div>
                <div class="pageheading2">
                    InterShipper Login</div>
                <div class="formheading">
                    User Name</div>
                <div>
                    <asp:TextBox class="formfield2" ID="interlogin" runat="server" /></div>
                <div class="formheading">
                    Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="interpass" runat="server" /></div>
                <div>
                    <div class="pageheading2">
                        Enable Services &nbsp; <span class="helptext"><a href="javascript: checkallshippingservices('Y');">
                            Check All</a> | <a href="javascript: checkallshippingservices('N');">UnCheck All</a></span></div>
                </div>
                <div class="inner_div">
                    <div class="tdl2head">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Display Name</div>
                    <div class="tdmhead">
                        Handling</div>
                    <div class="tdshead">
                        Minimum Charge</div>
                    <div class="tr">
                    </div>
                    <div xstyle="height: 400px; overflow: auto;">
                        <asp:Repeater ID="itemrepeater" runat="server">
                            <ItemTemplate>
                                <div class="td">
                                    <asp:TextBox Visible="false" ID="service" Text='<%# DataBinder.Eval(Container.DataItem,"service").ToString() %>'
                                        runat="server" />
                                    <asp:CheckBox ID="active" Checked='<%# DataBinder.Eval(Container.DataItem,"active").ToString() %>'
                                        runat="server" /><%# DataBinder.Eval(Container.DataItem,"name").ToString() %></div>
                                <div class="tr">
                                </div>
                                <div class="tdl2">
                                    &nbsp;&nbsp;&nbsp;
                                    <asp:TextBox class="formfield1" MaxLength="50" ID="altname" Text='<%# left(DataBinder.Eval(Container.DataItem,"altname").ToString(),50) %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="handling" Text='<%# DataBinder.Eval(Container.DataItem,"handling").ToString() %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="minimum" Text='<%# DataBinder.Eval(Container.DataItem,"minimum").ToString() %>'
                                        runat="server" /></div>
                                <div class="tr" style="height: 15px;">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                </div>
                <div class="helptext">
                    For a service to appear during checkout, you must enable it above.</div>
                <div class="pageheading2">
                    From Address</div>
                <div class="helptext">
                    The location from which you will be shipping.</div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="interfromcity" runat="server" /></div>
                <div class="formheading">
                    State/Province: (Abbreviation, "NY")</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="interfromstate" runat="server" /></div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="interfromzip" runat="server" /></div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:DropDownList ID="interfromcountry" runat="server" DataValueField="abbr" DataTextField="name" />
                </div>
                <div class="pageheading2">
                    Default Package Settings</div>
                <div class="formheading">
                    Ship Method</div>
                <div>
                    <asp:DropDownList ID="interpickup" runat="server">
                        <asp:ListItem Value="DRP" Text="Drop-Off at Carrier Location" />
                        <asp:ListItem Value="PCK" Text="Schedule A Special Pickup" />
                        <asp:ListItem Value="SCD" Text="Regularly Scheduled Pickup" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Package Type</div>
                <div>
                    <asp:DropDownList ID="interpack" runat="server">
                        <asp:ListItem Value="BOX" Text="Box" />
                        <asp:ListItem Value="ENV" Text="Envelope" />
                        <asp:ListItem Value="LTR" Text="Letter" />
                        <asp:ListItem Value="MEM" Text="Media Mail" />
                        <asp:ListItem Value="TUB" Text="Tube" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Dimensions</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="interL" runat="server" />x<asp:TextBox class="formfieldnumber"
                        ID="interW" runat="server" />x<asp:TextBox class="formfieldnumber" ID="interH" runat="server" /></div>
                <div class="formheading">
                    Dimension Unit</div>
                <div>
                    <asp:DropDownList ID="interdimunit" runat="server">
                        <asp:ListItem Value="CM" Text="Centimeters" />
                        <asp:ListItem Value="IN" Text="Inches" />
                    </asp:DropDownList>
                </div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="interinsure" runat="server" />Automatically Add Insurance to charge
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
