<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "design")

            form_pdpagewidth.Text = pd.ReadData("pdpagewidth")
            form_pdcontentwidth.Text = pd.ReadData("pdcontentwidth")
            form_leftcolw.Text = pd.ReadDataN("leftcolw")
            form_middlecolw.Text = pd.ReadDataN("middlecolw")
            form_rightcolw.Text = pd.ReadDataN("rightcolw")
            form_spacercolw.Text = pd.ReadDataN("spacercolw")
            form_spacercolw2.Text = pd.ReadDataN("spacercolw2")
            form_spacercolh.Text = pd.ReadDataN("spacercolh")
                 
            form_imgwinw.Text = pd.ReadDataN("imgwinw")
            form_imgwinh.Text = pd.ReadDataN("imgwinh")
            form_ordwinw.Text = pd.ReadDataN("ordwinw")
            form_ordwinh.Text = pd.ReadDataN("ordwinh")
            form_alertwinw.Text = pd.ReadDataN("alertwinw")
            form_alertwinh.Text = pd.ReadDataN("alertwinh")
            
            form_colwidth1.Text = pd.ReadDataN("colwidth1")
            form_colwidth2.Text = pd.ReadDataN("colwidth2")
            form_colwidth3.Text = pd.ReadDataN("colwidth3")
            form_colwidth4.Text = pd.ReadDataN("colwidth4")
            
            If Convert.ToDecimal(form_colwidth1.Text) + Convert.ToDecimal(form_colwidth2.Text) + Convert.ToDecimal(form_colwidth3.Text) + Convert.ToDecimal(form_colwidth4.Text) = 0 Then
                
                form_colwidth1.Text = 20
                form_colwidth2.Text = 50
                form_colwidth3.Text = 15
                form_colwidth4.Text = 15
                
            End If
            
            If pd.ReadDataN("subpagetype") = 1 Or pd.ReadDataN("subpagetype") = 0 Then form_subpagetype1.Checked = True
            If pd.ReadDataN("subpagetype") = 2 Then form_subpagetype2.Checked = True
            form_submaxcols.Text = pd.ReadDataN("submaxcols")
            
            If pd.ReadDataN("tlshowsub") = 1 Then
                form_tlshowsub.Checked = True
            End If

            If pd.ReadDataN("searchconfig") = 1 Then searchconfig1.Checked = True
            If pd.ReadDataN("searchconfig") = 0 Then searchconfig0.Checked = True
            If pd.ReadDataN("searchconfig") = 3 Then searchconfig3.Checked = True
            
            pd.CloseData()
            
            'backward compatiblilty
            If form_pdcontentwidth.Text = "" Then
                form_pdcontentwidth.Text = form_pdpagewidth.Text
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "design")

            If form_tlshowsub.Checked = True Then
                pd.AddData("tlshowsub", 1, "N")
            Else
                pd.AddData("tlshowsub", 0, "N")
            End If

            pd.AddFormData("pdpagewidth", form_pdpagewidth.Text, "Page Width", "T", 3, 0)
            pd.AddFormData("pdcontentwidth", form_pdcontentwidth.Text, "Content Width", "T", 3, 0)
            pd.AddFormData("leftcolw", form_leftcolw.Text, "Left", "N", 0, 0)
            pd.AddFormData("rightcolw", form_rightcolw.Text, "Right", "N", 0, 0)
            pd.AddFormData("middlecolw", form_middlecolw.Text, "Middle", "N", 0, 0)
            pd.AddFormData("spacercolw", form_spacercolw.Text, "Spacer", "N", 0, 0)
            pd.AddFormData("spacercolw2", form_spacercolw2.Text, "Spacer", "N", 0, 0)
            pd.AddFormData("spacercolh", form_spacercolh.Text, "Spacer Height", "N", 0, 0)
             
            pd.AddFormData("colwidth1", form_colwidth1.Text, "Column Width", "N", 0, 0)
            pd.AddFormData("colwidth2", form_colwidth2.Text, "Column Width", "N", 0, 0)
            pd.AddFormData("colwidth3", form_colwidth3.Text, "Column Width", "N", 0, 0)
            pd.AddFormData("colwidth4", form_colwidth4.Text, "Column Width", "N", 0, 0)
            
            pd.AddFormData("imgwinw", form_imgwinw.Text, "Width", "N", 0, 0)
            pd.AddFormData("imgwinh", form_imgwinh.Text, "Height", "N", 0, 0)
            pd.AddFormData("ordwinw", form_ordwinw.Text, "Width", "N", 0, 0)
            pd.AddFormData("ordwinh", form_ordwinh.Text, "Height", "N", 0, 0)
            pd.AddFormData("alertwinw", form_alertwinw.Text, "Width", "N", 0, 0)
            pd.AddFormData("alertwinh", form_alertwinh.Text, "Height", "N", 0, 0)
            
            pd.AddFormData("submaxcols", form_submaxcols.Text, "Columns", "N", 0, 0)
            If form_subpagetype1.Checked = True Then
                pd.AddData("subpagetype", "1", "N")
            Else
                pd.AddData("subpagetype", "2", "N")
            End If

            If searchconfig1.Checked = True Then pd.AddData("searchconfig", 1, "N")
            If searchconfig0.Checked = True Then pd.AddData("searchconfig", 0, "N")
            If searchconfig3.Checked = True Then pd.AddData("searchconfig", 3, "N")
            
            If pd.formerror = "" Then
                If Convert.ToDecimal(form_leftcolw.Text) + Convert.ToDecimal(form_rightcolw.Text) + Convert.ToDecimal(form_middlecolw.Text) + Convert.ToDecimal(form_spacercolw.Text) + Convert.ToDecimal(form_spacercolw2.Text) <> 100 Then
                    pd.formerror = "Main Page Columns Must total 100, currently equals " & Convert.ToDecimal(form_leftcolw.Text) + Convert.ToDecimal(form_rightcolw.Text) + Convert.ToDecimal(form_middlecolw.Text) + Convert.ToDecimal(form_spacercolw.Text) + Convert.ToDecimal(form_spacercolw2.Text)
                End If
                
                If Convert.ToDecimal(form_colwidth1.Text) + Convert.ToDecimal(form_colwidth2.Text) + Convert.ToDecimal(form_colwidth3.Text) + Convert.ToDecimal(form_colwidth4.Text) <> 100 Then
                    pd.formerror = "Other Columns Must total 100, currently equals " & Convert.ToDecimal(form_colwidth1.Text) + Convert.ToDecimal(form_colwidth2.Text) + Convert.ToDecimal(form_colwidth3.Text) + Convert.ToDecimal(form_colwidth4.Text)
                End If
                
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                 
                pd.gotonextpage()
                 
            End If

        End If

        repeater1.DataSource = pd.bindpddata("SELECT headname, id FROM custompages")
        repeater1.DataBind()


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-layout.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Page Layout</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Page Size</div>
                <div class="formheading">
                    Width of page</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="form_pdpagewidth" runat="server" />
                </div>
                <div class="formheading">
                    Width of Content</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="form_pdcontentwidth" runat="server" />
                </div>
                <div class="pageheading2">
                    Conent Column Widths</div>
                <div>
                    <div class="helptext">
                        Below determines how wide the main content columns will be.</div>
                    <div class="helptext">
                        <div class="tds2">
                            Left</div>
                        <div class="tds2">
                            Space</div>
                        <div class="tds2">
                            Middle</div>
                        <div class="tds2">
                            Space</div>
                        <div class="tds2">
                            Right</div>
                        <div class="tr">
                        </div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_leftcolw" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_spacercolw" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_middlecolw" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_spacercolw2" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_rightcolw" runat="server" />
                            % &nbsp;</div>
                        <div class="tr">
                        </div>
                    </div>
                </div>
                <div class="pageheading2">
                    Other Column Widths</div>
                <div>
                    <div class="helptext">
                        Below determins the widths of the Item columns (How items are seen on the Category,
                        Features, and Search pages).</div>
                    <div class="helptext">
                        <div class="tds2">
                            Column 1</div>
                        <div class="tds2">
                            Column 2</div>
                        <div class="tds2">
                            Column 3</div>
                        <div class="tds2">
                            Column 4</div>
                        <div class="tr">
                        </div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_colwidth1" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_colwidth2" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_colwidth3" runat="server" />
                            % &nbsp;</div>
                        <div class="tds2">
                            <asp:TextBox class="formfieldnumber2" ID="form_colwidth4" runat="server" />
                            % &nbsp;</div>
                        <div class="tr">
                        </div>
                    </div>
                </div>
                <div class="pageheading2">
                    Window Sizes</div>
                <div>
                    <div class="helptext">
                        Below determines how large any pop-up windows will be.</div>
                    <div class="helptext">
                        <div class="formheading">
                            Large Image Window</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_imgwinw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_imgwinh" runat="server" />
                        </div>
                        <div class="formheading">
                            Order Receipt Window</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_ordwinw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_ordwinh" runat="server" />
                        </div>
                        <div class="formheading">
                            Alert/Message Window</div>
                        <div class="formheading">
                            <asp:TextBox class="formfieldnumber" ID="form_alertwinw" runat="server" />
                            X
                            <asp:TextBox class="formfieldnumber" ID="form_alertwinh" runat="server" />
                        </div>
                    </div>
                </div>
                <div class="formheading">
                    Section Spacing</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="form_spacercolh" runat="server" />
                </div>
                <div class="pageheading2">
                    Sub Categories</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_tlshowsub" runat="server" />
                        Show Sub-Categories on Top Level Category Section (TLC Menu)</div>
                    <div class="helptext">
                        Check this box to show sub categories with the main TLC, this will not affect category
                        pages</div>
                    <div class="formheading">
                        Category Detail Page</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="subpagetype" ID="form_subpagetype1" runat="server" />
                        Display Sub-Categories in Standard List</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="subpagetype" ID="form_subpagetype2" runat="server" />
                        Display Sub-Categories in Columns</div>
                    <div class="formheading">
                        &nbsp;&nbsp;&nbsp;&nbsp;# of Columns</div>
                    <div>
                        &nbsp;&nbsp;<asp:TextBox class="formfieldnumber" ID="form_submaxcols" runat="server" /></div>
                </div>
                <div class="pageheading2">
                    Search Settings</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="searchconfig" ID="searchconfig1" runat="server" />
                        Simple Search (Recommended)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="searchconfig" ID="searchconfig0" runat="server" />
                        Search with Options</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="searchconfig" ID="searchconfig3" runat="server" />
                        Disable/Hide Search</div>
                </div>
                <div class="pageheading2">
                    Page Layout</div>
                <div class="inner_div">
                    <div class="helptext">
                        Built in Pages</div>
                    <div class="">
                        <a href="javascript: editdetail('pg1')">Home</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg2')">Category List</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg3')">Contact Us</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg4')">Featured Items \ Email A Friend</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg5')">Category Detail</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg6')">Item Detail</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg12')">Item Reviews</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg8')">Search Results</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg9')">Checkout Pages</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg7')">Affiliate Pages</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg10')">Gift Certificate Pages</a></div>
                    <div class="">
                        <a href="javascript: editdetail('pg11')">WishList Pages</a></div>
                    <div class="helptext">
                        &nbsp;</div>
                    <div class="helptext">
                        Custom Pages</div>
                    <asp:Repeater ID="repeater1" runat="server">
                        <ItemTemplate>
                            <div class="">
                                <a href="javascript: editdetail('<%# Container.DataItem("id") %>')">
                                    <%# pd.DoHtmlEncode(Container.DataItem("headname")) %></a></div>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
