<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")

            form_ord8.SelectedIndex = form_ord8.Items.IndexOf(form_ord8.Items.FindByValue(pd.ReadData("ord8")))
                
            pd.CloseData()
             
            pd.OpenSetupDataReader("setupxml", "design")
                 
            form_rcitemhp.Text = pd.ReadDataN("rcitemhp")
            form_rcitemop.Text = pd.ReadDataN("rcitemop")
            form_rcitemhpcol.Text = pd.ReadDataN("rcitemhpcol")
            form_rcitemopcol.Text = pd.ReadDataN("rcitemopcol")
            
            rcconfig = pd.ReadData("rcconfig")
            If InStr(rcconfig, "AC") > 0 Then rcconfig1.Checked = True
            If InStr(rcconfig, "MD") > 0 Then rcconfig2.Checked = True
            If InStr(rcconfig, "SP") > 0 Then rcconfig3.Checked = True
            If InStr(rcconfig, "SD") > 0 Then rcconfig4.Checked = True
            If InStr(rcconfig, "SI") > 0 Then rcconfig5.Checked = True
            If InStr(rcconfig, "ST") > 0 Then rcconfig6.Checked = True
            If InStr(rcconfig, "SN") > 0 Then rcconfig7.Checked = True
            If InStr(rcconfig, "SS") > 0 Then rcconfig8.Checked = True
                 
            pd.CloseData()
             
             
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
            pd.AddFormData("ord8", form_ord8.SelectedItem.Value, "", "T", 0, 50)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
             
                pd.OpenSetupDataWriter("setupxml", "design")
                
                pd.AddFormData("rcitemhp", form_rcitemhp.Text, "How Many", "N", 0, 0)
                pd.AddFormData("rcitemop", form_rcitemop.Text, "How Many", "N", 0, 0)
                pd.AddFormData("rcitemhpcol", form_rcitemhpcol.Text, "Columns", "N", 0, 0)
                pd.AddFormData("rcitemopcol", form_rcitemopcol.Text, "Columns", "N", 0, 0)
                rcconfig = ""
                If rcconfig1.Checked = True Then rcconfig = rcconfig & ",AC"
                If rcconfig2.Checked = True Then rcconfig = rcconfig & ",MD"
                If rcconfig3.Checked = True Then rcconfig = rcconfig & ",SP"
                If rcconfig4.Checked = True Then rcconfig = rcconfig & ",SD"
                If rcconfig5.Checked = True Then rcconfig = rcconfig & ",SI"
                If rcconfig6.Checked = True Then rcconfig = rcconfig & ",ST"
                If rcconfig7.Checked = True Then rcconfig = rcconfig & ",SN"
                If rcconfig8.Checked = True Then rcconfig = rcconfig & ",SS"
                pd.AddFormData("rcconfig", rcconfig, "Config", "T", 0, 0)
                 

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                    pd.gotonextpage()
                     
                End If
                 
            End If
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-items.aspx")
                    pd.createadmintab("Inventory", "setup-inventory.aspx")
                    pd.createadmintab("Featured", "setup-featured.aspx")
                    pd.createadmintab("Best Sellers", "setup-bestsellers.aspx")
                    pd.createadmintab("Related Items", "setup-relateditems.aspx")
                    pd.createadmintab("Recommended", "setup-recommended.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Recommended Items</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    Recommended Items are displayed on the item detail & item reviews pages, and are
                    determined automatically based on sales. This feature is also known as "People who
                    purchased this... Also purchased" feature.</div>
                <div class="pageheading2">
                    Default Sorting</div>
                <div class="formheading">
                    Recommended Items</div>
                <div>
                    <asp:DropDownList ID="form_ord8" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="pageheading2">
                    Display Settings</div>
                <div class="helptext">
                    Where to Display</div>
                <div class="button_div">
                    <input type="button" onclick="editdetail('pg6')" class="formbutton" value="Page Layout" />
                </div>
                <div class="helptext">
                    <br>
                    How Many to Display</div>
                <div>
                    <div class="tds2head">
                    </div>
                    <div class="tds2head">
                        Middle Column</div>
                    <div class="tds2head">
                        L & R Columns</div>
                    <div class="tr">
                    </div>
                    <div class="tds2">
                        How Many</div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_rcitemhp" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_rcitemop" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                    <div class="tds2">
                        # of Columns</div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_rcitemhpcol" runat="server" />
                    </div>
                    <div class="tds2">
                        <asp:TextBox class="formfieldnumber" ID="form_rcitemopcol" runat="server" />
                    </div>
                    <div class="tr">
                    </div>
                </div>
                <div class="helptext">
                    <br>
                    What to Display</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig1" runat="server" />
                        Buy Now (Add to Cart) button</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig2" runat="server" />
                        'More Details' button</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig3" runat="server" />
                        Price</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig4" runat="server" />
                        Description</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig8" runat="server" />
                        In/Out Stock Messages</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig7" runat="server" />
                        Item Name</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig5" runat="server" />
                        Item Number</div>
                    <div class="check_div">
                        <asp:CheckBox ID="rcconfig6" runat="server" />
                        Thumbmail (small image)</div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
