<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public updatestatelist, statesneedupdating, deletecountries, fixstates, impcountries, deleterecord, confirmdelete As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
         
         
        'Handle Interactive State/Country lists
        If pd.autostlist = 1 Then
            country.AutoPostBack = True
            If Request.Form("__EVENTTARGET") = country.UniqueID Then
                updatestatelist = "Yes"
            End If
        End If
        
        
 
        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
        deletecountries = pd.getrequest("deletecountries")
        fixstates = pd.getrequest("fixstates")
        impcountries = pd.getrequest("impcountries")

        If deletecountries = "yes" And confirmdelete = "yes" And pd.demomode <> "Yes" Then
            pd.sqlexecute("DELETE FROM states")
            pd.sqlexecute("DELETE FROM countries")
            pd.formerror = "All Countries/States have been Deleted!"
            pd.pdRedirect("setup-statecountry.aspx?task=view")
        End If

        If impcountries = "yes" And confirmdelete = "yes" Then
            pd.importcountries()
            pd.importstates(0)
            pd.pdRedirect("setup-statecountry.aspx?task=view")
        End If
         
        If fixstates = "yes" And confirmdelete = "yes" Then
            pd.importstates(1)
            pd.pdRedirect("setup-statecountry.aspx?task=view")
        End If
         
         
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")
                 
            tempcountry = pd.ReadData("defaultcountry")
            tempstate = pd.ReadData("defaultstate")
            If pd.ReadDataN("autostlist") = 1 Then form_autostlist.Checked = True

            pd.CloseData()
         
            'Get States & Countries Lists
            country.DataSource = pd.getcountrylist()
            country.DataBind()
            state.DataSource = pd.getstatelist(tempcountry)
            state.DataBind()
            
            If state.Items.Count = 1 Then
                state.Enabled = False
            Else
                state.Enabled = True
            End If
                
            'Set Selected State/Country          
            state.SelectedIndex = state.Items.IndexOf(state.Items.FindByValue(tempstate))
            country.SelectedIndex = country.Items.IndexOf(country.Items.FindByText(tempcountry))
         
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And updatestatelist <> "Yes" Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
             
            pd.AddFormData("defaultcountry", country.SelectedItem.Text, "Country", "T", 0, 0)
            pd.AddFormData("defaultstate", state.SelectedItem.Value, "State", "T", 0, 0)
             
            If form_autostlist.Checked = True Then
                pd.AddData("autostlist", 1, "N")
            Else
                pd.AddData("autostlist", 0, "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
             
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                pd.pdRedirect("setup-statecountry.aspx?task=view")
                 
                 
                 
            End If
              
        End If
         
        'Update State List for country selected
        If updatestatelist = "Yes" Then
            state.DataSource = pd.getstatelist(country.SelectedItem.Text)
            state.DataBind()
          
            If state.Items.Count = 1 Then
                state.Enabled = False
            Else
                state.Enabled = True
            End If
                 
        End If
        
        
          
        'Test states, make sure states and countries are linked
        pd.OpenDataReader("SELECT countryid From states WHERE countryid IS NULL")
        If pd.ReadDataItem.Read Then
            statesneedupdating = "Y"
        End If
        pd.CloseData()
                
        
             
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">


    </script>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-statecountry.aspx")
                    pd.createadmintab("Countries", "setup-countries.aspx")
                    pd.createadmintab("States/Provinces/Regions", "setup-states.aspx")
                    pd.createadmintab("Taxes", "setup-taxes.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Countries, States, Provinces, Regions</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deletecountries = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete ALL the Countries and States?<br />
                    <a href="?deletecountries=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=0">NO</a></div>
                <% End If%>
                <% If impcountries = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete all Countries/States and Import the Defaults?<br />
                    <a href="?impcountries=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=0">NO</a></div>
                <% End If%>
                <% If fixstates = "yes" Then%>
                <div class="message">
                    Are you sure you want to Fix the States & Provinces (this cannot be undone)?<br />
                    <a href="?fixstates=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp; <a href="?id=0">
                        NO</a></div>
                <% End If%>
                <div class="pageheading2">
                    Set System Default</div>
                <div class="formheading">
                    Default Country</div>
                <div>
                    <asp:DropDownList ID="country" runat="server" DataValueField="name" DataTextField="name" />
                </div>
                <div class="formheading">
                    Default State/Province</div>
                <div>
                    <asp:DropDownList ID="state" runat="server" DataValueField="abbr" DataTextField="name" />
                </div>
                <div class="helptext">
                    Above you can select the default Country &amp; State or Province that will be displayed
                    when your customers first encounter these.</div>
                <% If statesneedupdating = "Y" Then%>
                <div class="message">
                    It appears you were using a different version when you setup your states/provinces.
                    The default State/Provinces are not properly associated with a Country. You can
                    fix this below</div>
                <div class="button_div">
                    <input type="button" onclick="window.location='setup-statecountry.aspx?fixstates=yes'"
                        class="formbutton" value="Fix Now"></div>
                <% End If%>
                <div class="pageheading2">
                    Interactive Lists</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_autostlist" runat="server" />
                    Enable Interactive State/Province Lists</div>
                <div class="helptext">
                    (This feature will make your country & state/province lists interact with each other.&nbsp;
                    When a customer changes the selected country for example, the state/province list
                    will be updated immediately and only the appropriate states/provinces will appear)</div>
                <div class="pageheading2">
                    Remove/Restore</div>
                <div class="button_div">
                    <input type="button" onclick="window.location='setup-statecountry.aspx?deletecountries=yes'"
                        class="formbutton" value="Delete All" /><input type="button" onclick="window.location='setup-statecountry.aspx?impcountries=yes'"
                            class="formbutton" value="Import Defaults" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
