<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenSetupDataReader("setupxml", "setup")

            form_storename.Text = pd.ReadData("storename")
            form_sitetitle.Text = pd.ReadData("title")
            form_sitedesc.Value = pd.ReadData("sitedesc")
            form_keywords.Value = pd.ReadData("keywords")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("storename", form_storename.Text, "Name", "T", 1, 255)
            pd.AddFormData("title", form_sitetitle.Text, "Title", "T", 0, 255)
            pd.AddFormData("sitedesc", form_sitedesc.Value, "Description", "T", 0, 255)
            pd.AddFormData("keywords", form_keywords.Value, "Keywords", "T", 0, 255)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-title.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Default Title/Keywords</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Store Name</div>
                <div class="helptext">
                    (short name for internal purposes)</div>
                <div>
                    <asp:TextBox class="formfield2" ID="form_storename" runat="server" /></div>
                <div class="pageheading2">
                    Default Meta Tags</div>
                <div class="formheading">
                    Website Title</div>
                <div class="helptext">
                    (will appear as default title for all web pages)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="form_sitetitle" runat="server" /></div>
                <div class="formheading">
                    Description</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="form_sitedesc" cols="50"  
                        runat="server" /></div>
                <div class="formheading">
                    Keywords</div>
                <div class="helptext">
                    (words or short phrases separated by commas)</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="form_keywords" cols="50"  
                        runat="server" /></div>
                <div class="helptext">
                    This software is pre-optimized for the major search engines, making good use of
                    "Meta" and "Alt" tags. Here you can modify the name, descriptions, and keywords
                    that are used by search engine robots.
                    <br />
                    <br />
                    *** When submitting to search engines, it is recommended that you submit the "/shop/"
                    directory, ex. http://www.yourstore.com/shop/
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
