<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public paymentdue, nexturl As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.enforceSSL = True
        pd.LoadPDshop()

        'Verify if can Checkout.
        If pd.hasCartItems() = "No" Then pd.pdRedirect("showcart.aspx")
        If pd.hasShipping() = "No" Then pd.pdRedirect("checkout3.aspx")

        'Get and check/sanitize ids
        orderid = pd.getcookie("orderid")
        cartid = pd.getcookie("cartid")

        'Get Order Total, determine if payment is due.
        'After calling the functions below, some Public Variables will then be available...
        pd.getOrderVariables("", orderid, cartid)

        'Check Inventory
        pd.bindorderdetail(cartid, "")
        If pd.inventoryerror = "Yes" Then pd.pdRedirect("showcart.aspx")

        'Do Calculations
        If pd.dOrdergrandtotal > 0 Then
            paymentdue = "Y"
        End If

        'Determine what form elements to display
        pd.getgatewayoptions()

        If Not (Page.IsPostBack) Then

            'Get Drop Down Lists
            cctype.DataSource = pd.getcctypes()
            cctype.DataBind()
            expmonth.DataSource = pd.getmonths()
            expmonth.DataBind()
            expyear.DataSource = pd.getyears() 'explist2
            expyear.DataBind()

            'Determine which payment option you want pre-selected.
            methodcc.Checked = True
            methodpp.Checked = True
            methodpbm.Checked = True
            method2c.Checked = True
            methodan.Checked = True
            methodpf.Checked = True
            methodwp.Checked = True
            methodlp.Checked = True
            methodcg.Checked = True

            'If Already submitted Credit Card, okay to redisplay
            If pd.getcookie("cc") = "Y" Then

                cctype.SelectedIndex = cctype.Items.IndexOf(cctype.Items.FindByValue(pd.sCctype))
                ccardno.Text = pd.sCcardno
                ccnoc.Text = pd.sCcnoc
                cccode.Text = pd.sCccode
                expmonth.SelectedIndex = expmonth.Items.IndexOf(expmonth.Items.FindByValue(pd.sExpmonth))
                expyear.SelectedIndex = expyear.Items.IndexOf(expyear.Items.FindByValue(pd.sExpyear))
                method = "cc"
                methodcc.Checked = True

            ElseIf pd.authtest = "ON" Then
                cctype.SelectedIndex = cctype.Items.IndexOf(cctype.Items.FindByValue("Mastercard"))
                ccardno.Text = "5424000000000015"
                ccnoc.Text = "Test Person"
                cccode.Text = "541"
                expmonth.SelectedIndex = expmonth.Items.IndexOf(expmonth.Items.FindByValue("10"))
                expyear.SelectedIndex = expyear.Items.IndexOf(expyear.Items.FindByValue("2016"))

            End If
            
            'Payment/Billing Notes
            If pd.notes5en = 1 Then
                notes5.Value = pd.sNotes5
            End If

        End If

        If Page.IsPostBack Then

            'Prepare Database
            pd.OpenDataWriter("orders WHERE id=" & orderid & " AND cartid='" & cartid & "'")

            If methodpbm.Checked = True Then
                'Pay By Mail
                pd.AddData("cctype", pd.getsystext("sys44"), "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("status", "New", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "checkout5.aspx?method=pbm"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            ElseIf methodcc.Checked = True Then
                'Credit Card
                pd.AddFormData("cctype", cctype.SelectedItem.Text, pd.getsystext("sys47"), "T", 1, 50)
                pd.AddFormData("ccardno", ccardno.Text, pd.getsystext("sys48"), "X", 10, 20)
                If pd.showccvoption = "Yes" And (pd.processthecc = "Yes" Or pd.savecardcodes = "ON") Then 'Only process Card Code if real-time processing is enabled.
                    pd.AddFormData("cccode", cccode.Text, pd.getsystext("sys49"), "T", 3, 4)
                End If
                pd.AddFormData("expmonth", expmonth.SelectedItem.Text, pd.getsystext("sys51"), "T", 2, 2)
                pd.AddFormData("expyear", expyear.SelectedItem.Text, pd.getsystext("sys52"), "T", 2, 4)
                pd.AddFormData("ccnoc", ccnoc.Text, pd.getsystext("sys58"), "T", 3, 50)

                'Check Credit Card Number (tests against standard CC Algorithm)
                If pd.formerror = "" Then
                    If pd.checkcc(ccardno.Text) = False Then pd.formerror = pd.formerror & pd.geterrtext("err29")
                    If pd.checkexp(expmonth.SelectedItem.Text & "/" & expyear.SelectedItem.Text) = False Then pd.formerror = pd.formerror & pd.geterrtext("err31")
                End If

                'Credit Card Processing
                If pd.processthecc = "Yes" Then

                    If pd.authver = "AIM" Then
                        'Authorize.net
                        pd.AddData("status", "Incomplete", "T")
                        pd.AddData("downen", 0, "N") 'make downloads unavailable
                        nexturl = "processcc.aspx"
                    ElseIf pd.authver = "PP" Then
                        'PayPal Pro
                        pd.AddData("status", "Incomplete", "T")
                        pd.AddData("downen", 0, "N") 'make downloads unavailable
                        nexturl = "processcc_paypal.aspx"
                    ElseIf pd.authver = "PF" Then
                        'PayFlow Gateway
                        pd.AddData("status", "Incomplete", "T")
                        pd.AddData("downen", 0, "N") 'make downloads unavailable
                        nexturl = "processcc_payflow.aspx"
                    ElseIf pd.authver = "CG" Then
                        'Your own Custom real-time Gateway
                        pd.AddData("status", "Incomplete", "T")
                        pd.AddData("downen", 0, "N") 'make downloads unavailable
                        nexturl = "processcc_custom.aspx"
                    End If

                Else
                    'No Processing - Offline Mode
                    pd.AddData("downen", pd.downen, "N")
                    pd.AddData("status", "New", "T")
                    nexturl = "checkout5.aspx"
                    updateinv = "Yes"
                    dofinalizegc = "Yes"
                    updategc = "Yes"
                End If

            ElseIf methodpp.Checked = True Then
                'PayPal
                If pd.ppipnen = "ON" Then
                    'IPN
                    pd.AddData("downen", 0, "N") 'make downloads unavailable
                    pd.AddData("cctype", "PayPal", "T")
                    pd.AddData("status", "Incomplete", "T")
                    pd.AddData("ccardno", "", "T")
                    pd.AddData("cccode", "", "T")
                    nexturl = "gateway_out.aspx"
                Else
                    'no IPN
                    pd.AddData("downen", pd.downen, "N")
                    pd.AddData("cctype", "PayPal", "T")
                    pd.AddData("status", "New", "T")
                    pd.AddData("ccardno", "", "T")
                    pd.AddData("cccode", "", "T")
                    nexturl = "gateway_out.aspx"
                    updateinv = "Yes"
                    dofinalizegc = "Yes"
                    updategc = "Yes"
                End If

            ElseIf methodppec.Checked = True Then
                'PayPal Express Checkout
                pd.AddData("downen", 0, "N") 'make downloads unavailable
                pd.AddData("cctype", "PayPal", "T")
                pd.AddData("status", "Incomplete", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "paypal_express1.aspx"

            ElseIf method2c.Checked = True Then
                '2Checkout
                pd.AddData("cctype", "2Checkout.com", "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("status", "New", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "gateway_out.aspx"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            ElseIf methodan.Checked = True Then
                'Authorize.net (SIM)
                pd.AddData("cctype", "Authorize.net", "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("status", "New", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "gateway_out.aspx"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            ElseIf methodpf.Checked = True Then
                
                If pd.pfmode = "1" Then
                    'Payflow Link, with Silent Post
                    pd.AddData("cctype", "PayFlow", "T")
                    pd.AddData("downen", 0, "N") 'make downloads unavailable
                    pd.AddData("status", "Incomplete", "T")
                    pd.AddData("ccardno", "", "T")
                    pd.AddData("cccode", "", "T")
                    nexturl = "gateway_out.aspx"
                Else
                    'Legacy Payflow Link/Verisign
                    pd.AddData("cctype", "PayFlow", "T")
                    pd.AddData("downen", pd.downen, "N")
                    pd.AddData("status", "New", "T")
                    pd.AddData("ccardno", "", "T")
                    pd.AddData("cccode", "", "T")
                    nexturl = "gateway_out.aspx"
                    updateinv = "Yes"
                    dofinalizegc = "Yes"
                    updategc = "Yes"
                End If
             
                
            ElseIf methodwp.Checked = True Then
                'WorldPay
                pd.AddData("cctype", "WorldPay", "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("status", "New", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "gateway_out.aspx"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            ElseIf methodlp.Checked = True Then
                'LinkPoint
                pd.AddData("cctype", "LinkPoint", "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("status", "New", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "gateway_out.aspx"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            ElseIf methodcg.Checked = True Then
                'Custom Gateway
                pd.AddData("cctype", "Payment Gateway", "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("status", "New", "T")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "gateway_custom.aspx"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            ElseIf pd.dOrdergrandtotal = 0 Then
                'No Payment Due
                pd.AddData("cctype", "None", "T")
                pd.AddData("status", "New", "T")
                pd.AddData("downen", pd.downen, "N")
                pd.AddData("ccardno", "", "T")
                pd.AddData("cccode", "", "T")
                nexturl = "checkout5.aspx"
                updateinv = "Yes"
                dofinalizegc = "Yes"
                updategc = "Yes"

            Else
                pd.formerror = pd.geterrtext("err61")
                nexturl = ""

            End If
            
            'Billing/Payment Notes
            If pd.notes5en = 1 Then
                pd.AddFormData("notes5", notes5.Value, pd.getsystext("sys150"), "T", 0, 255)
            End If
            
            'Click to Accept Terms
            If pd.clickterms = "ON" And coterms.Checked = False Then
                pd.formerror = pd.geterrtext("err75")
            End If

            'If no errors, Add record to database
            If pd.formerror = "" And nexturl <> "" Then

                pd.AddData("giftamt", pd.dGiftamt, "N")
                pd.SaveData()

                'Link Orderdetail to Order
                pd.linkorderdetail(cartid, "", orderid)

                'Adjust inventory and Create download keys
                If updateinv = "Yes" Then pd.updateinventory(orderid)

                'Finalize Gift Certificate if buying a GC
                If dofinalizegc = "Yes" Then pd.finalizegc(orderid)

                'Update Gift Certificate upon redemption (if applicable)
                If updategc = "Yes" Then pd.updategcstatus(orderid)
                
                'Auth/Capture Tax Cloud
                If updateinv = "Yes" Then pd.dotaxcloudauth(orderid)
                
                'Clear mini cart
                pd.removeCookie("mc1")
                pd.removeCookie("mc2")

                pd.pdRedirect(nexturl)
            End If

        End If
        
        'Set Page Layout Type
        Master.pgtype = pd.pg9

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads7")%>
    <div class="form_container">
        <form method="POST" action="checkout4.aspx" id="aspnetForm" name="aspnetForm" runat="server">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings2">
            <%=pd.getsystext("sys42")%></div>
        <div class="formordertotal">
            <%=pd.showCurr(pd.dOrdergrandtotal)%>
            <% If pd.currrate <> 1 Then%>(<%= pd.showPrimaryCurr(pd.dOrdergrandtotal)%>) &nbsp;<% End If%>
            <%= pd.getButton("butts6", "", pd.shopsslurl & "orderreview.aspx", "")%></div>
        <% If paymentdue = "Y" Then%>
        <div class="formheadings2">
            <%=pd.getsystext("sys43")%></div>
        <!-- Pay By Mail Option -->
        <% If pd.showpbmoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodpbm" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys44")%></div>
        <% End If%>
        <!-- PayPal Option -->
        <% If pd.showppoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodpp" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys45")%></div>
        <div class="gatewaylogo">
            <img border="0" src="img/ppcclogo.gif">
        </div>
        <% End If%>
        <!-- PayPal Express Checkout Option -->
        <% If pd.showppexpress = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodppec" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys45")%></div>
        <div class="gatewaylogo">
            <a href="paypal_express1.aspx">
                <img border="0" src="img/pplogo.gif"></a>
        </div>
        <% End If%>
        <!-- 2Checkout Option -->
        <% If pd.show2coption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="method2c" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys53")%></div>
        <div class="gatewaylogo">
            <img border="0" src="img/2checkoutlogo.gif" width="150" height="41"></div>
        <% End If%>
        <!-- Authorize.net Weblink Option -->
        <% If pd.showanoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodan" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys54")%></div>
        <div class="gatewaylogo">
            <img border="0" src="img/authnetlogo.gif" width="186" height="40"></div>
        <% End If%>
        <!-- Verisign PayFlow Link Option -->
        <% If pd.showpfoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodpf" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys55")%></div>
        <div class="gatewaylogo">
            <img border="0" src="img/logo_payflow.gif"></div>
        <% End If%>
        <!-- WorldPay Option -->
        <% If pd.showwpoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodwp" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys56")%></div>
        <div class="gatewaylogo">
            <img border="0" src="img/worldpay-logo.gif" width="200" height="42"></div>
        <% End If%>
        <!-- LinkPoint Option -->
        <% If pd.showlpoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodlp" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys57")%></div>
        <% End If%>
        <!-- Custom Gateway -->
        <% If pd.showcgoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodcg" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys116")%></div>
        <% End If%>
        <% If pd.showccoption = "Yes" Then%>
        <div class="radiobuttons_container">
            <asp:RadioButton GroupName="method" ID="methodcc" runat="server" class="radiobuttons" />
            <%=pd.getsystext("sys46")%></div>
        <!-- BEGIN Credit Card Form -->
        <div class="formheadings2">
            <%= pd.getsystext("sys46")%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys47")%></div>
        <div>
            <asp:DropDownList ID="cctype" runat="server" DataValueField="name" DataTextField="name" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys48")%></div>
        <div>
            <asp:TextBox class="formfield" ID="ccardno" runat="server" />
        </div>
        <% If pd.showccvoption = "Yes" Then%>
        <div class="formheadings">
            <%=pd.getsystext("sys49")%></div>
        <div>
            <asp:TextBox class="formfield2" ID="cccode" runat="server" />
        </div>
        <% End If%>
        <div class="formheadings">
            <%=pd.getsystext("sys50")%></div>
        <div>
            <div class="formheadings" style="float: left;">
                <%=pd.getsystext("sys51")%><br />
                <asp:DropDownList class="formfield3" ID="expmonth" runat="server" />
            </div>
            <div class="formheadings" style="float: left;">
                <%=pd.getsystext("sys52")%><br />
                <asp:DropDownList class="formfield3" ID="expyear" runat="server" />
            </div>
            <div style="clear: both;">
                <!-- -->
            </div>
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys58")%></div>
        <div>
            <asp:TextBox class="formfield" ID="ccnoc" runat="server" />
        </div>
        <!-- END Credit Card Form -->
        <% End If%>
        <%Else%>
        <% End If%>
        <% If pd.notes5en = 1 Then%>
        <div>
            <br>
            <div class="formheadings2">
                <%= pd.getsystext("sys150")%></div>
            <div class="formheadings">
                <%= pd.geterrtext("err80")%></div>
            <div>
                <textarea class="formtextarea2" rows="3" id="notes5" name="notes5" cols="55"  
                    runat="server" />
            </div>
        </div>
        <% End If%>
        <% If pd.clickterms = "ON" Then%>
        <div>
            <br>
            <span class="formheadings2">
                <%= pd.getsystext("sys136")%>&nbsp;</span>
            <% If pd.popuptype = "I" Then%>
            <%= pd.getButton("butts40", "", "javascript: showPopWin('popup_terms.aspx', 600, 500, null, true, false)", "")%>
            <% Else%>
            <%= pd.getButton("butts40", "", "javascript: showwindow('popup_terms.aspx', 600, 500, null)", "")%>
            <% End If%>
        </div>
        <div class="checkboxes_container">
            <asp:CheckBox ID="coterms" runat="server" class="checkboxes" />
            <span class="messages">
                <%= pd.geterrtext("err74")%></span></div>
        <% End If%>
        <div class="formbuttons_container">
            <%=pd.getButton("butts14","","","aspnetForm")%></div>
        </form>
    </div>
    <%= pd.endSection()%>
</asp:Content>
