<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public recid, headname, customcontent, custpglayout As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()
        recid = pd.getrequest("recid")

        'Not Used
        If Not (Page.IsPostBack) Then
        End If

        'Get Custom Page from database
        If pd.checkInt(recid) = True Then
            pd.OpenDataReader("SELECT * FROM custompages WHERE id=" & recid)
        ElseIf pd.shoprewriteSql <> "" Then
            'Find record based on a friendly Url name instead of id
            pd.OpenDataReader("SELECT * FROM custompages WHERE " & pd.shoprewriteSql)
        Else
            pd.pdRedirect(pd.shopurl)
        End If
        
        If pd.ReadDataItem.Read Then
            recid = pd.ReadData("id")
            headname = pd.ReadData("headname")
            customcontent = pd.ReadData("description")
            custpglayout = pd.ReadData("pglayout")
            metatitle = pd.ReadData("metatitle")
            metakeyw = pd.ReadData("metakeyw")
            metadesc = pd.ReadData("metadesc")
        Else
            pd.CloseData()
            pd.pdRedirect(pd.shopurl)
        End If
        pd.CloseData()
        
        'Fix Urls in Description Html, Change Relative to Virtual
        customcontent = pd.makeurlsrelative(customcontent)

        'Set Search engine meta tags.
        If metatitle <> "" Then
            pd.pagetitle = metatitle
        End If
        If metakeyw <> "" Then
            pd.keywords = metakeyw
        End If
        If metadesc <> "" Then
            pd.sitedesc = metadesc
        End If
        
        If customcontent = "" Then
            'Indicates that page only contains dynamic content (1=Yes, 0=No)
            pd.dynamiccontentonly = 1
        End If

        'Set Page Layout Type
        Master.pgtype = custpglayout
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <%  If pd.dynamiccontentonly <> 1 Then%>
    <%= pd.startSection("custom" & recid)%>
    <div>
        <%=customcontent%>
    </div>
    <%= pd.endSection()%>
    <%  Else%>
    <%  End If%>
</asp:Content>
