<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public mainpage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        If Not (Page.IsPostBack) Then
        End If
        repeater1.DataSource = pd.bindpddata("SELECT * FROM custompages")
        repeater1.DataBind()
         
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Orders", "search.aspx?showdiv=orders")
                    pd.createadmintab("Customers", "search.aspx?showdiv=customer")
                    pd.createadmintab("Items", "search.aspx?showdiv=items")
                    pd.createadmintab("Categories", "search.aspx?showdiv=category")
                    If pd.adminlevel = 1 Then
                        pd.createadmintab("Custom Pages", "custompagelist.aspx")
                        pd.createadmintab("Page Content", "showsectioncontent.aspx")
                    End If
                    pd.createadmintab("Discounts", "search.aspx?showdiv=discounts")
                    pd.createadmintab("Gift Cards", "search.aspx?showdiv=giftcert")
                    pd.createadmintab("Affiliates", "search.aspx?showdiv=affiliates")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Custom Content Pages</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="inner_div">
                    <div class="tdmhead">
                        Page Name</div>
                    <div class="tdlhead">
                        Description</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="repeater1" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="editcustompage.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# pd.DoHtmlEncode(Container.DataItem("headname")) %></a></div>
                            <div class="tdl2">
                                <%# pd.DoHtmlEncode(Container.DataItem("metadesc")) %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="window.location='editcustompage.aspx'"
                            value="New Page" /></div>
                </div>
                <div class="helptext">
                    Click on edit to modify existing pages, or click on 'New Page' to create a new page.</div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
