<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows resultcodes, dbtab, showlog, statusmessage, dbtestcodes As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadminSetup(0)
        pd.gotonextpage()
         
        'task=pd.getRequest("task")
        dbtab = pd.getrequest("dbtab")
        If dbtab = "" Then pd.pdRedirect("dbsetup.aspx?dbtab=dbtest")
        dbtestcodes = pd.getcookie("dbtest")
 
        If Not (Page.IsPostBack) And pd.shopdemomode <> "Yes" Then
            'Test Database
            If dbtestcodes = "" Or dbtab = "dbtest" Then
                dbtestcodes = pd.testdb()
            End If
        End If
         
        If (Page.IsPostBack) And pd.shopdemomode <> "Yes" Then
                 
            showlog = "Yes"
            statusmessage = ""
            
            'Verify Captcha
            pd.formerror = ""
            If pd.passAdminCaptcha(pd.getform("captcha")) = False Then
                pd.formerror = "Please try again, you must enter the correct Verification Code that was shown!"
                statusmessage = "Invalid Verification Code!"
            End If

            'Procedures Run on this page
            If pd.formerror = "" Then
             
                'Verify Posted Username & Password
                If pd.verifyadmin() = True Then
                  
                    pd.dbformat()
                     
                    If pd.formaterror = "Yes" Then
                        statusmessage = "Task Completed but with ERRORS - An error may have occurred, check Log file!"
                    Else
                        statusmessage = "Task Completed Successfully!"
                    End If
                 
                Else
                    statusmessage = "Access Denied!"
                    pd.formaterror = "Yes"
                End If
                         
            End If

            'Clear Cache.
            pd.clearpdshopcache()
            
        End If


    End Sub
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
    <!--

        <% if statusmessage<>"" then %>
        alert("<% =pd.fixjavavar(statusmessage) %>");
        <% end if %>

        function docleanupnow() {

            var scleanuptype = '';
            var sopt1 = '';
            var sopt2 = '';
            var sopt3 = '';
            var sopt4 = '';
            var sopt5 = '';
            
            if (document.getElementById('confirm').checked) {

                //if (document.aspnetForm.cleanuptype[1].checked) {
                //    scleanuptype = 'removecc';
                //}

                if (document.getElementById('opt1').checked) {
                    sopt1 = 'yes';
                }

                if (document.getElementById('opt2').checked) {
                    sopt2 = 'yes';
                }

                if (document.getElementById('opt3').checked) {
                    sopt3 = 'yes';
                }

                if (document.getElementById('opt4').checked) {
                    sopt4 = 'yes';
                }

                if (document.getElementById('opt5').checked) {
                    sopt5 = 'yes';
                }

                popuphelp('popup_dbcleanup.aspx?confirm=yes&opt1=' + sopt1 + '&opt2=' + sopt2 + '&opt3=' + sopt3 + '&opt4=' + sopt4 + '&opt5=' + sopt5);
            }
            else {
                alert('You must confirm before you can continue!')
            }
        }


        function doprotectnow() {

            if (document.getElementById('confirmdbprotect').checked) {
                popuphelp('popup_dbprotect.aspx?task=protect');
            }
            else {
                alert('You must confirm before you can continue!')
            }
        }

        function dounprotectnow() {

            if (document.getElementById('confirmdbprotect').checked) {
                popuphelp('popup_dbprotect.aspx?task=unprotect');
            }
            else {
                alert('You must confirm before you can continue!')
            }
        }

        function dorecryptnow() {

            if (document.getElementById('confirmrecrypt').checked) {
                popuphelp('popup_dbrecrypt.aspx');
            }
            else {
                alert('You must confirm before you can continue!')
            }
        }


        function doxmleditnow(swhichxml) {

            if (document.getElementById('confirmxml').checked) {
                // alert('WARNING! Incorrectly editing these settings can cause your shop/admin to stop working.  We recommend that you make a backup of your database before proceeding!')
                poptexteditor('xml', swhichxml, '750');
            }
            else {
                alert('You must confirm before you can continue!')
            }
        }    
    
    -->
    </script>
    <div id="pleasewait" style="display: none;">
        <div class="errors2">
            <br />
            <br />
            <br />
            Working... Please Wait!<br />
            <br />
            <br />
            <!-- <img src="img/loadingpage.gif"> -->
            <br />
            <br />
            <br />
        </div>
    </div>
    <div id="entirepage" class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Test Database", "dbsetup.aspx?dbtab=dbtest")
                    pd.createadmintab("Format/Upgrade", "dbsetup.aspx?dbtab=dbformat")
                    If InStr(dbtestcodes, ":301:") > 0 Then
                        pd.createadmintab("Version 2 Upgrade", "dbsetup.aspx?dbtab=dbtransform")
                    End If
                    If pd.getcookie("aid") <> "" Then
                        pd.createadmintab("Cleanup", "dbsetup.aspx?dbtab=dbcleanup")
                    End If
                    If pd.getcookie("aid") <> "" Then
                        pd.createadmintab("Advanced", "dbsetup.aspx?dbtab=dbadvanced")
                    End If
                    If pd.admindevmode = "OFF" Then
                        pd.createadmintab("Help", "help.aspx?dbtab=Y")
                    End If
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Database Setup & Maintenance Tools
                </div>
                <div id="showlog">
                    <% If showlog = "Yes" Then%>
                    <div class="pageheading2">
                        Procedure Log</div>
                    <div class="inner_div">
                        <% If pd.formaterror = "Yes" Then%>
                        <div class="errors">
                            ERRORS MAY HAVE OCCURRED, SEE LOG BELOW!</div>
                        <% End If%>
                        <div class="helptext" style="height: 100px; overflow: auto;">
                            <%=pd.formerror%><br />
                            <br />
                            ---- END OF LOG----</div>
                    </div>
                    <% End If%>
                </div>
                <!-- -------------------------DB TEST ------------------------- -->
                <div id="dbtest">
                    <% If dbtab = "dbtest" Then%>
                    <div class="pageheading2">
                        Summary</div>
                    <div class="inner_div">
                        <div class="">
                            <div class="formheading">
                                Database Type
                            </div>
                            <div>
                                <%= pd.pdm.dbtype%>
                            </div>
                            <div class="formheading">
                                Software Version
                            </div>
                            <div>
                                <%=pd.getversion%>
                            </div>
                            <div class="formheading">
                                Database Schema
                            </div>
                            <div>
                                <%= pd.pdm.dbschemaver%>
                            </div>
                            <div class="formheading">
                                Your Server's ASP.NET Runtime Version
                            </div>
                            <div>
                                <%=System.Environment.Version.ToString()%>
                            </div>
                        </div>
                    </div>
                    <div class="pageheading2">
                        Current Status</div>
                    <div class="inner_div">
                        <% If pd.formerror <> "" Then%>
                        <div class="pageheading2">
                            Error Message</div>
                        <div class="errors">
                            <%=pd.formerror%></div>
                        <% If InStr(dbtestcodes, ":101:") > 0 Or InStr(dbtestcodes, ":201:") > 0 Or InStr(dbtestcodes, ":401:") > 0 Then%>
                        <div class="button_div">
                            <!--<input type="button" onclick="gotoadmintab('dbsetup.aspx?dbtab=dbformat')" class="formbutton"
                                    value="Fix Now" />-->
                            <input class="formbutton" type="button" onclick="window.open('popup_dbformat.aspx?dbprocedure=dbformat&confirm=yes&mode_settings=A', '_blank', 'width=600,height=500,toolbar=0,status=1,location=0,menubar=0,scrollbars=yes,resizable=1');"
                                value="Fix Now" /><input type="button" onclick="gotoadmintab('dbsetup.aspx?dbtab=dbtest')"
                                    class="formbutton" value="Test Again" />
                        </div>
                        <% End If%><% Else%>
                        <div class="">
                            Basic Tests passed!</div>
                        <% End If%>
                    </div>
                    <% End If%></div>
                <!-- -------------------------DB FORMAT ------------------------- -->
                <div id="dbformat">
                    <% If dbtab = "dbformat" Then%>
                    <div>
                        <input type="hidden" id="dbprocedure" name="dbprocedure" value="dbformat" />
                        <input type="hidden" name="confirm" value="yes" />
                    </div>
                    <div class="pageheading2">
                        Format/Upgrade Tool</div>
                    <div class="inner_div">
                        <div class="radio_div">
                            <input type="radio" value="A" name="mode_settings" onclick="ReverseDisplay('mode_settings_div')"
                                checked="checked" />Automatic &nbsp;&nbsp;
                            <input type="radio" value="" name="mode_settings" onclick="ReverseDisplay('mode_settings_div')" />Override
                            Settings
                        </div>
                        <div id="mode_settings_div" style="display: none;">
                            <div class="inner_div">
                                <div class="radio_div">
                                    Default Text:<br>
                                    <input type="radio" value="A" name="implang" checked="checked" />Automatic &nbsp;&nbsp;
                                    <input type="radio" value="Y" name="implang" onclick="alert('WARNING!  This option will re-import default language/text and other settings.  Use Caution and backup your database before proceeding!')" />Restore
                                    <input type="radio" value="N" name="implang" onclick="alert('WARNING! You should only choose this option if you were instructed to do so!')" />Ignore
                                    <a href="javascript: popuphelp('popup_dbsetup_help.aspx?section=format1')">Need Help?</a>
                                </div>
                            </div>
                            <%If InStr(dbtestcodes, ":300:") > 0 Then%>
                            <div class="inner_div">
                                <div class="radio_div">
                                    Data Upgrade:<br>
                                    <input type="radio" value="A" name="impoldsetup" checked="checked" />Automatic &nbsp;&nbsp;
                                    <input type="radio" onclick="alert('WARNING!  This option will re-import data/settings from an older version, your current settings/data may be removed or overwritten!  Use Caution and backup your database before proceeding!')"
                                        value="Y" name="impoldsetup" />Re-Import
                                    <input type="radio" value="N" name="impoldsetup" onclick="alert('WARNING! You should only choose this option if you were instructed to do so!')" />Ignore
                                    <a href="javascript: popuphelp('popup_dbsetup_help.aspx?section=format2')">Need Help?</a></div>
                            </div>
                            <% End If%><div class="inner_div">
                                <div class="radio_div">
                                    Mode:<br>
                                    <input type="radio" value="" name="showoldschema" checked="checked" />Automatic
                                    &nbsp;&nbsp;<input type="radio" value="Y" name="showoldschema" onclick="alert('WARNING!  This option will cause the Procedure to run in a Read-Only mode, no changes will be made!')" />Test
                                    Mode (do not make changes).</div>
                                <div class="helptext">
                                    In Test Mode, the procedure will run without making any changes. Also, a copy of
                                    your current db Schema will be exported to your 'export' folder.</div>
                            </div>
                            <div class="helptext">
                                "AUTOMATIC" is recommended. Use Caution if you chose to override the above settings.</div>
                        </div>
                        <div class="helptext">
                            IMPORTANT INFORMATION: <a href="javascript: popuphelp('popup_dbsetup_help.aspx?section=format0')">
                                Read This</a>!</div>
                    </div>
                    <% End If%>
                </div>
                <!-- -------------------------DB CLEANUP ------------------------- -->
                <div id="dbcleanup">
                    <% If dbtab = "dbcleanup" Then%>
                    <div class="pageheading2">
                        Database Cleanup Tool</div>
                    <div class="inner_div">
                        <div class="formheading">
                            Options</div>
                        <div class="radio_div">
                            <input type="checkbox" checked="checked" value="yes" id="opt1" name="opt1" />Remove
                            old/abandoned Shopping Carts
                            <br />
                            <input type="checkbox" checked="checked" value="yes" id="opt4" name="opt4" />Remove
                            ALL temporarily stored credit card data (CVV/CVC/CID)
                            <br />
                            <input type="checkbox" onclick="alert('WARNING! This option will delete some orders, any order with an Incomplete status.  This procedure is not reversible')"
                                value="yes" id="opt2" name="opt2" />Delete all 'Incomplete' orders (Abandoned
                            orders)
                            <br />
                            <input type="checkbox" onclick="alert('WARNING! This option will delete all credit card information stored in any orders.  This procedure is not reversible!')"
                                value="yes" id="opt3" name="opt3" />Remove ALL credit card data
                            <br />
                            <input type="checkbox" onclick="alert('WARNING! This option will delete credit card information stored in orders.  This procedure is not reversible!')"
                                value="yes" id="opt5" name="opt5" />Remove ALL credit card data (in orders older
                            than 7 days)
                        </div>
                        <div class="formheading">
                            Confirm</div>
                        <div class="check_div">
                            <input type="checkbox" value="yes" id="confirm" name="confirm" />
                            Check this box to Confirm that you want to run this procedure!</div>
                        <div class="button_div">
                            <input type="button" onclick="docleanupnow();" class="formbutton" value="Start Procedure" />
                        </div>
                    </div>
                    <div class="helptext">
                        IMPORTANT INFORMATION: <a href="javascript: popuphelp('popup_dbsetup_help.aspx?section=dbcleanup')">
                            Read This</a>!</div>
                    <% End If%></div>
                <!-- -------------------------DB TRANSFORM ------------------------- -->
                <div id="dbtransform">
                    <% If dbtab = "dbtransform" Then%>
                    <input type="hidden" name="dbprocedure" value="dbtransform" />
                    <input type="hidden" name="confirm" value="yes" />
                    <div class="pageheading2">
                        Version 2.0 Upgrade Procedure</div>
                    <div class="helptext">
                        NOTES:<br />
                        This procedure will transform some of your existing v2.0/Standard data to work with
                        this Edition.&nbsp; This procedure will convert your existing categories and item
                        options as well as other system fields.<br />
                        <br />
                        WE DO NOT RECOMMEND RUNNING THIS PROCEDURE UNLESS YOU JUST RECEIVED AN UPDATE/ENHANCEMENT
                        FROM PAGEDOWN TECH. THAT REQUIRES THIS PROCEDURE.&nbsp; ALSO, IF YOU HAVE MADE YOUR
                        OWN CHANGES TO THE DATABASE STRUCTURE DO NOT RUN THIS PROCEDURE AS IT MAY NOT WORK
                        AS EXPECTED!<br />
                        <br />
                    </div>
                    <%End If%></div>
                <!-- -------------------------DB ADVANCED ------------------------- -->
                <div id="dbadvanded">
                    <% If dbtab = "dbadvanced" Then%>
                    <div class="pageheading2">
                        Advanced Tools</div>
                    <div class="inner_div">
                        <div class="helptext">
                            THE TOOLS BELOW ARE ADVANCED AND SHOULD ONLY BE RUN BY THE SERVER ADMINISTRATOR
                            OR QUALIFIED WEB MASTER/DEVELOPER! IT IS STRONGLY RECOMMENDED THAT YOU MAKE A BACKUP
                            COPY OF ALL YOUR WEBSITE FILES/DATABASE BEFORE RUNNING ANY OF THESE PROCEDURES!<br />
                            <br />
                            NOTICE: Some tools may be hidden, you may need to enable them in your web.config!
                            See the web.config section of the Installation Guide for more details.
                            <br />
                            <br />
                        </div>
                    </div>
                    <div id="webconfigprotect">
                        <div class="pageheading2">
                            Web.Config Protection (Encrypt Connection Strings)</div>
                        <div class="inner_div">
                            <div class="helptext">
                                This procedure will encrypt the web.config file located on your server, hiding all
                                connection strings and other application settings. ASP.NET 2.0 OR HIGHER REQUIRED!
                            </div>
                            <div class="formheading">
                                Confirm</div>
                            <div class="check_div">
                                <input type="checkbox" onclick="alert('NOTE: We strongly recommend that you make a backup of your website files before using this tool!')"
                                    value="yes" id="confirmdbprotect" name="confirmdbprotect" />
                                Check this box to Confirm that you want to run this procedure!</div>
                            <div class="button_div">
                                <input type="button" onclick="doprotectnow()" class="formbutton" value="Protect" />
                                <input type="button" onclick="dounprotectnow()" class="formbutton" value="Remove Protection" />
                            </div>
                        </div>
                    </div>
                    <div id="recrypttool">
                        <div class="pageheading2">
                            Re-Encrypt Data (Change Encryption Key)</div>
                        <div class="inner_div">
                            <div class="helptext">
                                This procedure will re-encrypt all data previously encrypted with the new encryption
                                key you enter.<br />
                                <br />
                                Please see the Advanced Tools section of the User Guide for more information on
                                using this tool. Make sure you fully understand the implications this tool has before
                                using.
                            </div>
                            <% If pd.pdrecrypttool = "ON" Then%>
                            <div class="formheading">
                                Confirm</div>
                            <div class="check_div">
                                <input type="checkbox" onclick="alert('NOTE: We strongly recommend that you make a backup of your database before using this tool!')"
                                    value="yes" id="confirmrecrypt" name="confirmrecrypt" />
                                Check this box to Confirm that you want to run this procedure!</div>
                            <div class="button_div">
                                <input type="button" onclick="dorecryptnow()" class="formbutton" value="Run Procedure" />
                            </div>
                            <% Else%>
                            <div class="pageheading2">
                                This Feature is not enabled.</div>
                            <div class="helptext">
                                Before you can use this feature you must enable (by adding the key below to your
                                web.config):
                                <br />
                                &lt;add key=&quot;pdrecrypttool&quot; value=&quot;ON&quot; /&gt;</div>
                            <% End If%>
                        </div>
                    </div>
                    <div id="modifyxml">
                        <% If pd.pdxmldebug = "ON" Then%>
                        <div class="pageheading2">
                            Modify XML Settings</div>
                        <div class="inner_div">
                            <div class="helptext">
                                WARNING! USE EXTREME CAUTION: We do not recommend using this tool, unless directed
                                by a qualified web master/developer.</div>
                            <div class="formheading">
                                Confirm</div>
                            <div class="check_div">
                                <input type="checkbox" onclick="alert('WARNING! Incorrectly editing these settings can cause your shop/admin to stop working.  We recommend that you make a backup of your database before proceeding!')"
                                    value="yes" id="confirmxml" name="confirmxml" />
                                Check this box to Confirm that you want to run this procedure!</div>
                            <div class="button_div">
                                <input type="button" onclick="doxmleditnow('setupxml')" class="formbutton" value="Edit 'setupxml'" />
                                <input type="button" onclick="doxmleditnow('langxml')" class="formbutton" value="Edit 'langxml'" />
                                <input type="button" onclick="doxmleditnow('otherxml')" class="formbutton" value="Edit 'otherxml'" />
                            </div>
                        </div>
                        <% End If%></div>
                    <% End If%>
                </div>
                <!-- -------------------------LOGIN BOXES------------------------- -->
                <div id="loginboxes">
                    <% If dbtab = "dbformat" Or dbtab = "dbtransform" Then%>
                    <div class="pageheading2">
                        Run Procedure
                    </div>
                    <div class="inner_div">
                        <div class="formheading">
                            Admin User Name</div>
                        <div class="formheading">
                            <input type="text" id="username" name="username" size="20" /></div>
                        <div class="formheading">
                            Admin Password</div>
                        <div>
                            <input type="password" id="password" name="password" size="10" /></div>
                        <div class="helptext">
                            <a href="javascript: popuphelp('popup_dbsetup_help.aspx?section=dblogins')">Need Help?</a><br>
                            <br>
                        </div>
                        <% If pd.admincaptcha = "ON" Then%>
                        <div class="captcha_div">
                            <div class="formheading">
                                Verification Code</div>
                            <div>
                                <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" />
                            </div>
                            <div class="formheading">
                                Enter Verification Code</div>
                            <div class="captchaimg_div">
                                <input type="text" id="captcha" name="captcha" size="10" />
                            </div>
                            <% If pd.shopdemomode = "Yes" Then%>
                            <div class="helptext">
                                DEMO NOTE: This is one of many optional security features.
                            </div>
                            <% End If%>
                        </div>
                        <% End If%>
                        <div class="formbutton_div">
                            <input class="formbutton" type="submit" onclick="document.all.entirepage.style.display='none'; document.all.pleasewait.style.display='block';"
                                value="Run Procedure" />
                        </div>
                    </div>
                    <% End If%></div>
                <!--
                <div class="helptext">
                    If you are done return to the <a href="home.aspx">Administrator</a></div>-->
            </div>
            </form>
        </div>
    </div>
</asp:Content>
