<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

   
    '************************************************************
    '*        TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
        
    Public helppage, onloadhtml As String
    Public ccrecs As Integer
    Public pd As Object
    
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)
         
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If

        statusrepeater1.DataSource = pd.bindpddata("SELECT orders.status as statusname, COUNT(orders.orderno) as ordercount FROM orders WHERE status='New' GROUP BY orders.status ORDER BY orders.status")
        statusrepeater1.DataBind()

        statusrepeater2.DataSource = pd.bindpddata("SELECT orders.status as statusname, COUNT(orders.orderno) as ordercount FROM orders WHERE status<>'New' AND status<>'Incomplete' GROUP BY orders.status ORDER BY orders.status")
        statusrepeater2.DataBind()

        itemrepeater1.DataSource = pd.bindpddata("SELECT items.active, COUNT(items.id) as itemcount FROM items WHERE active='Yes' GROUP BY items.active")
        itemrepeater1.DataBind()

        itemrepeater2.DataSource = pd.bindpddata("SELECT items.onsale, COUNT(items.id) as itemcount FROM items WHERE onsale='Yes' GROUP BY items.onsale")
        itemrepeater2.DataBind()


        itemrepeater3.DataSource = pd.bindpddata("SELECT items.feature, COUNT(items.id) as itemcount FROM items WHERE feature='Yes' GROUP BY items.feature")
        itemrepeater3.DataBind()

        itemrepeater4.DataSource = pd.bindpddata("SELECT items.active, COUNT(items.id) as itemcount FROM items WHERE active='No' GROUP BY items.active")
        itemrepeater4.DataBind()
        
        'Test for temporary credit card data, warn if any records are found!
        If pd.savecardcodes = "ON" And pd.demomode <> "Yes" Then
            If pd.pdm.dbtype = "MSSQL" Then
                ccrecs = pd.getScalar("SELECT COUNT(id) AS thecount FROM orders WHERE DATEDIFF(""y"",orderdate,getdate())>7 AND LEN(cccode)>2")
            Else
                ccrecs = pd.getScalar("SELECT COUNT(id) AS thecount FROM orders WHERE DateDiff(""y"",orderdate,Now())>7 AND LEN(cccode)>2")
            End If
        End If
        
        'pd.write(pd.pdm.lictype)
        'pd.pdm.pdlictype = "Testing"
        'pd.pdm.pdlictype = "Testing"
        'pd.write(pd.pdm.lictype2)
        
    End Sub
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Orders", "search.aspx?showdiv=orders")
                    pd.createadmintab("Customers", "search.aspx?showdiv=customer")
                    pd.createadmintab("Items", "search.aspx?showdiv=items")
                    pd.createadmintab("Categories", "search.aspx?showdiv=category")
                    If pd.adminlevel = 1 Then
                        pd.createadmintab("Custom Pages", "custompagelist.aspx")
                        pd.createadmintab("Page Content", "showsectioncontent.aspx")
                    End If
                    pd.createadmintab("Discounts", "search.aspx?showdiv=discounts")
                    pd.createadmintab("Gift Cards", "search.aspx?showdiv=giftcert")
                    pd.createadmintab("Affiliates", "search.aspx?showdiv=affiliates")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    <%=pd.storename%>
                    Administrator</div>
                <div class="helptext">
                    Welcome to the
                    <%=pd.storename%>
                    Administrator. The Website Address (Shop URL) is
                    <%=pd.url%>. The Secure URL is
                    <%=pd.sslurl%>.
                </div>
                <% If pd.formerror <> "" Then%>
                <div class="pageheading2">
                    Message</div>
                <%End If%>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If pd.firstlogin = "Yes" Then%>
                <div class="pageheading2">
                    Welcome!</div>
                <div class="errors">
                    It appears this may be the first time you have logged in, no Admin users were found.&nbsp;
                    We recommend setting up User Security right away!&nbsp; Use the button below</div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('setup-users.aspx')"
                        value="User Security" /></div>
                <%End If%>

                <% If pd.pdm.shopactivated <> "Y" Then%>
                <div class="pageheading2">
                    Setup/Activation</div>
                <div class="errors">
                    <%= pd.pdm.activatemessage%></div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('setup-activate.aspx')"
                        value="Setup/Activate" /></div>
                <%End If%>
                <% If ccrecs > 0 Then%>
                <div class="pageheading2">
                    Database Cleanup Recommended</div>
                <div class="errors">
                    Somer orders (older than 7 days) may contain temporary credit card data (CCV/CVV/CID)
                    that should be removed.
                    <%= ccrecs%>
                    possible record(s) found.</div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('dbsetup.aspx?dbtab=dbcleanup')"
                        value="Clean Up Tool" /></div>
                <%End If%>
                <div class="inner_div">
                    <div class="tdcol">
                        <div class="pageheading2">
                            New Orders
                        </div>
                        <div class="">
                            <asp:Repeater ID="statusrepeater1" runat="server">
                                <ItemTemplate>
                                    <div class="tdm">
                                        <a href="searchresults.aspx?table=orders&field=status,orderno,shipname,orderdate&data=<%# Container.DataItem("statusname") %>&sortby=orderno%20DESC">
                                            <%# Container.DataItem("statusname")%></a></div>
                                    <div class="tds">
                                        <%# Container.DataItem("ordercount") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            <% If statusrepeater1.Items.Count = 0 Then%>
                            <div class="tdm">
                                None Found
                            </div>
                            <div class="tds">
                            </div>
                            <div class="tr">
                            </div>
                            <% End If%>
                        </div>
                        <div class="pageheading2">
                            Other Orders by Status</div>
                        <div class="">
                            <asp:Repeater ID="statusrepeater2" runat="server">
                                <ItemTemplate>
                                    <div class="tdm">
                                        <a href="searchresults.aspx?table=orders&field=status,orderno,shipname,orderdate&data=<%# Container.DataItem("statusname") %>&sortby=orderno%20DESC">
                                            <%# Container.DataItem("statusname") %></a></div>
                                    <div class="td">
                                        <%# Container.DataItem("ordercount") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            <% If statusrepeater2.Items.Count = 0 Then%>
                            <div class="tdm">
                                None Found
                            </div>
                            <div class="td">
                            </div>
                            <div class="tr">
                            </div>
                            <% End If%>
                        </div>
                    </div>
                    <div class="tdcol">
                        <div class="pageheading2">
                            Items by Status</div>
                        <div class="">
                            <asp:Repeater ID="itemrepeater1" runat="server">
                                <ItemTemplate>
                                    <div class="tdm">
                                        <a href="searchresults.aspx?table=items&field=active,itemno,name,price,saleprice&data=Yes&sortby=name">
                                            Active</a></div>
                                    <div class="td">
                                        <%# Container.DataItem("itemcount") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            <asp:Repeater ID="itemrepeater3" runat="server">
                                <ItemTemplate>
                                    <div class="tdm">
                                        <a href="searchresults.aspx?table=items&field=feature,itemno,name,price,saleprice&data=Yes&sortby=name">
                                            Featured</a></div>
                                    <div class="td">
                                        <%# Container.DataItem("itemcount") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            <asp:Repeater ID="itemrepeater2" runat="server">
                                <ItemTemplate>
                                    <div class="tdm">
                                        <a href="searchresults.aspx?table=items&field=onsale,itemno,name,price,saleprice&data=Yes&sortby=name">
                                            On Sale</a></div>
                                    <div class="td">
                                        <%# Container.DataItem("itemcount") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            <asp:Repeater ID="itemrepeater4" runat="server">
                                <ItemTemplate>
                                    <div class="tdm">
                                        <a href="searchresults.aspx?table=items&field=active,itemno,name,price,saleprice&data=No&sortby=name">
                                            Inactive</a></div>
                                    <div class="td">
                                        <%# Container.DataItem("itemcount") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                        </div>
                    </div>
                    <div class="tr">
                    </div>
                </div>

            </div>
            </form>
        </div>
    </div>
</asp:Content>
