<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public filename, filepath, helppage As String
    Public itemcount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        filename = pd.getrequest("filename")
        If filename = "" Then pd.pdRedirect("import.aspx")
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            filename = pd.getrequest("filename")

            'Get list of Excel Sheets
            sheetlist.Text = pd.getImportSheet()

        End If
        
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If
        

    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="import-map.aspx" id="aspnetForm">
            <input type="hidden" name="filename" value="<%=filename%>" />
            <div>
                <%
                    pd.createadmintab("Step 1", "link:import.aspx")
                    pd.createadmintab("Step 2", "link:import-sheet.aspx")
                    pd.createadmintab("Step 3", "link:import-map.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Import Data</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Step 2</div>
                <div class="helptext">
                    Select the Excel 'Sheet' that holds your data.</div>
                <div class="formheading">
                    File Name</div>
                <div>
                    <input readonly="readonly" class="roformfield1" name="showfilename" value="<%=filename%>" /></div>
                <div class="formheading">
                    Select Sheet/WorkBook</div>
                <div>
                    <select name="sheet">
                        <asp:Label ID="sheetlist" runat="server" />
                    </select></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Next Step" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
