<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, optcatid, opttype, nexttask, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")
        optcatid = pd.getrequest("optcatid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From optionitem WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    listord.Text = pd.ReadDataN("listord")
                    optcatid = pd.ReadDataN("optcatid")
                    itemid = pd.ReadDataN("itemid")
                    textmaxsize.Text = pd.ReadDataN("textmaxsize")
                    textminsize.Text = pd.ReadDataN("textminsize")
                    addqty.Text = pd.ReadDataN("addqty")
                    qty.Text = pd.ReadDataN("qty")
                    listord.Text = pd.ReadDataN("listord")
                    price.Text = pd.ReadDataC("price")

                    'Drop Downs
                    pricecalc.SelectedIndex = pricecalc.Items.IndexOf(pricecalc.Items.FindByValue(pd.ReadData("pricecalc")))
                    weightcalc.SelectedIndex = weightcalc.Items.IndexOf(weightcalc.Items.FindByValue(pd.ReadData("weightcalc")))
                    inven.SelectedIndex = inven.Items.IndexOf(inven.Items.FindByValue(pd.ReadData("inven")))
                    
                    'Weight Conversions
                    If pd.useoz = 1 Then
                        weightlbs.Text = Int(pd.ReadDataN("weight"))
                        weightoz.Text = (pd.ReadDataN("weight") - Int(pd.ReadDataN("weight"))) * 16
                    Else
                        weight.Text = pd.ReadDataN("weight")
                    End If

                    'CheckBoxes
                    If pd.ReadDataN("isdef") = 1 Then isdef.Checked = True
                    'If opttype = "3" Then
                    If pd.ReadDataN("hidetoggle") = 1 Then hidetoggle.Checked = True
                    'End If

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            Else
                'Default values when adding new record.
                listord.Text = 0
                price.Text = pd.showNumC(0)
                addqty.Text = 1
                qty.Text = 1
                
                'If opttype = "3" Then
                textmaxsize.Text = 1
                textminsize.Text = 0
                'End if

                'Weight Conversions
                If pd.useoz = 1 Then
                    weightlbs.Text = 0
                    weightoz.Text = 0
                Else
                    weight.Text = 0
                End If

            End If

        End If

        If IsNumeric(optcatid) Then
            'Get Option Type
            pd.OpenDataReader("SELECT * From optioncat WHERE id=" & optcatid)
            If pd.ReadDataItem.Read Then
                opttype = pd.ReadData("opttype")
            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()

            'Display Option Group Type
            Select Case opttype
                Case "0"
                    opttypename.Text = "Drop Down"
                Case "1"
                    opttypename.Text = "Check Box"
                Case "2"
                    opttypename.Text = "Radio Button"
                Case "3"
                    opttypename.Text = "Text Input Field"
                Case "4"
                    opttypename.Text = "Monetary Input Field"

                Case Else
                    opttypename.Text = "Drop Down"
                    opttype = "0"
            End Select
        End If


        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("optionitem")
                pd.AddData("itemid", itemid, "N")
                pd.AddData("optcatid", optcatid, "N")
            Else
                'Update Existing Record
                pd.OpenDataWriter("optionitem WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("listord", listord.Text, "List Order", "N", 0, 0)
            If opttype = "4" Then
                pd.AddData("pricecalc", "3", "N")
                pd.AddData("price", "0", "N")
            Else
                pd.AddFormData("pricecalc", pricecalc.SelectedItem.Value, "", "N", 0, 0)
                pd.AddFormData("price", price.Text, "Price", "C", 0, 0)
            End If
                        
            
            If opttype = "3" Then
                pd.AddFormData("textmaxsize", textmaxsize.Text, "Text Field", "N", 0, 0)
                pd.AddFormData("textminsize", textminsize.Text, "Required Characters", "N", 0, 0)
            End If
            
            pd.AddFormData("addqty", addqty.Text, "Qty", "N", 0, 0)
            
            If itemid = "0" Then
                
                pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
                pd.AddFormData("qty", qty.Text, "Qty", "N", 0, 0)
                pd.AddFormData("inven", inven.SelectedItem.Value, "", "T", 0, 0)
                 
            Else
                pd.AddData("qty", 0, "N")
                pd.AddData("inven", "", "T")
                
            End If

            'Drop Downs

            pd.AddFormData("weightcalc", weightcalc.SelectedItem.Value, "", "N", 0, 0)

            'Weight Conversions
            If pd.useoz = 1 Then
                pd.checkForm(weightlbs.Text, "Weight LBS", "N", 1, 50)
                pd.checkForm(weightoz.Text, "Weight OZ", "N", 1, 50)
                If pd.formerror = "" Then
                    tempweight = (weightlbs.Text + weightoz.Text / 16)
                    pd.AddFormData("weight", tempweight, "Weight", "N", 1, 50)
                End If
            Else
                pd.AddFormData("weight", weight.Text, "Weight", "N", 1, 50)
            End If

            If hidetoggle.Checked = True Then
                pd.AddData("hidetoggle", "1", "T")
            Else
                pd.AddData("hidetoggle", "0", "T")
            End If
            If isdef.Checked = True Then
                pd.AddData("isdef", "1", "T")
            Else
                pd.AddData("isdef", "0", "T")
            End If
            
            

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
            
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM optionitem WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            closewin = "Y"
        End If


        'Display Item Name, etc
        If IsNumeric(itemid) And itemid <> "0" Then
            pd.OpenDataReader("SELECT * From items WHERE id=" & itemid)
            If pd.ReadDataItem.Read Then
                itemname.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
                qtyonhand.Text = pd.ReadDataN("qty")
            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" action="popup_editoptionitem.aspx" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <input type="hidden" name="itemid" value="<%=itemid%>" />
        <input type="hidden" name="task" value="<%=nexttask%>" />
        <input type="hidden" name="optcatid" value="<%=optcatid%>" />
        <div class="pageheading2">
            Option Item:
            <asp:Label ID="opttypename" runat="server" /></div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <% If itemid <> "0" Then%>
        <div class="formheading">
            Item Name</div>
        <div>
            <asp:TextBox ReadOnly="true" class="roformfield1" ID="itemname" runat="server" /></div>
        <div>
            <div class="td">
                <div class="formheading">
                    Item No</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield2" ID="itemno" runat="server" /></div>
            </div>
            <div class="td">
                <div class="formheading">
                    Inventory</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfieldnumber" ID="qtyonhand" runat="server" /></div>
            </div>
            <div class="tr">
            </div>
        </div>
        <% Else%>
        <div class="formheading">
            Name</div>
        <div>
            <asp:TextBox class="formfield1" ID="name" runat="server" /></div>
        <div class="td">
            <div class="formheading">
                Track Inventory</div>
            <div>
                <asp:DropDownList ID="inven" runat="server">
                    <asp:ListItem Value="" Text="No" />
                    <asp:ListItem Value="ON" Text="Yes" />
                </asp:DropDownList>
            </div>
        </div>
        <div class="td">
            <div class="formheading">
                Inventory Qty</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="qty" runat="server" /></div>
        </div>
        <div class="tr">
        </div>
        <% End If%>
        <% If opttype = "3" Then%>
        <div class="td">
            <div class="formheading">
                Text Field Size (1-255)</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="textmaxsize" runat="server" /></div>
            <div class="helptext">
                (&lt;50 Text Box / &gt;50 Text Area)
            </div>
        </div>
        <div class="td">
            <div class="formheading">
                Required Characters</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="textminsize" runat="server" /></div>
            <div class="helptext">
                (0-255, 0=Not required)</div>
        </div>
        <div class="tr">
        </div>
        <% End If%>
        <div class="formheading">
            'Add to Cart' Qty</div>
        <div>
            <asp:TextBox class="formfieldnumber" ID="addqty" runat="server" /></div>
        <div class="formheading">
            List Order</div>
        <div>
            <asp:TextBox class="formfieldnumber" ID="listord" runat="server" /></div>
        <% If opttype = "4" Then%>
        <% Else%>
        <div class="td">
            <div class="formheading">
                Price Ajustment</div>
            <div>
                <asp:DropDownList ID="pricecalc" runat="server">
                    <asp:ListItem Value="3" Text="None" />
                    <asp:ListItem Value="1" Text="Add" />
                    <asp:ListItem Value="2" Text="Subtract" />
                    <asp:ListItem Value="4" Text="Use Item Price" />
                </asp:DropDownList>
            </div>
        </div>
        <div class="td">
            <div class="formheading">
                Price</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="price" runat="server" /></div>
        </div>
        <div class="tr">
        </div>
        <% End If%>
        <div class="td">
            <div class="formheading">
                Weight Ajustment</div>
            <div>
                <asp:DropDownList ID="weightcalc" runat="server">
                    <asp:ListItem Value="3" Text="None" />
                    <asp:ListItem Value="1" Text="Add" />
                    <asp:ListItem Value="2" Text="Subtract" />
                    <asp:ListItem Value="4" Text="Use Item Weight" />
                </asp:DropDownList>
            </div>
        </div>
        <% If pd.useoz = 1 Then%>
        <div class="td">
            <div class="formheading">
                LBS (Pounds)</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="weightlbs" runat="server" /></div>
        </div>
        <div class="td">
            <div class="formheading">
                OZ (ounces)</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="weightoz" runat="server" /></div>
        </div>
        <%Else%>
        <div class="td">
            <div class="formheading">
                Weight</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="weight" runat="server" /></div>
        </div>
        <%End If%>
        <div class="tr">
        </div>
        <div class="check_div">
            <asp:CheckBox ID="isdef" runat="server" />Set as Default/Selected?
        </div>
        <% If opttype = "3" Or opttype = "4" Then%>
        <div class="check_div">
            <asp:CheckBox ID="hidetoggle" runat="server" />Required Entry (Hide Checkbox)?
        </div>
        <% End If%>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="check_div">
            <input type="checkbox" name="deleterecord" value="yes" />Delete?
        </div>
        <% End If%>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
