<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, ratemethod, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From shipping WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    ratemethod = pd.ReadData("ratemethod")
                    rateaddon = pd.ReadData("rateaddon")
                    If rateaddon = "" And (ratemethod = "5" Or ratemethod = "6" Or ratemethod = "7") Then

                    Else
                        pd.formerror = "Variable Rates do not apply to the selected method. If you just changed the method, SAVE your changes first!"
                    End If


                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <div class="pageheading2">
            Shipping Rates</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If ratemethod = "5" Then%>
        <div class="pageheading2">
            by Order Subtotal</div>
        <div class="inner_div">
            <div class="tdshead">
                From</div>
            <div class="tdshead">
                To</div>
            <div class="tdmhead">
                Charge</div>
            <div class="tr">
            </div>
            <%

                pd.OpenDataReader("SELECT * FROM shiprates WHERE ratetype=1 AND carrierid=" & id & " ORDER BY fromamt")
                Do While pd.ReadDataItem.read

                    fromamt = pd.ReadData("fromamt")
                    toamt = pd.ReadData("toamt")
                    nrate = pd.ReadData("rate")
                    nrate2 = pd.ReadData("rate2")
                    qtymethod = pd.ReadData("method")
                    If qtymethod = 0 Then
                        If nrate2 > 0 Then
                            showqtyrate = pd.showcurr(nrate)
                        Else
                            showqtyrate = pd.showcurr(nrate)
                        End If
                    Else
                        If nrate2 > 0 Then
                            showqtyrate = pd.ReadDataN("orderpct") & "%" & " + " & pd.showcurr(nrate2)
                        Else
                            showqtyrate = pd.ReadDataN("orderpct") & "%"
                        End If
                    End If

            %>
            <div class="tds">
                <%=pd.showcurr(fromamt)%></div>
            <div class="tds">
                <%=pd.showcurr(toamt)%></div>
            <div class="tdm">
                <a href="popup_editshippingrates1.aspx?carrierid=<%=id%>&id=<%=pd.ReadDataN("id")%>">
                    <%=showqtyrate%></a></div>
            <div class="tr">
            </div>
            <%
            Loop
            pd.CloseData()
            %>
            <div class="button_div">
                <input type="button" class="formbutton" onclick="window.location='popup_editshippingrates1.aspx?id=&carrierid=<%=id%>'"
                    value="New Rate" /></div>
        </div>
        <%End If%>
        <% If ratemethod = "6" Then%>
        <div class="pageheading2">
            by Weight</div>
        <div class="inner_div">
            <div class="tdshead">
                From</div>
            <div class="tdshead">
                To</div>
            <div class="tdmhead">
                Charge</div>
            <div class="tr">
            </div>
            <%

                pd.OpenDataReader("SELECT * FROM shiprates WHERE ratetype=2 AND carrierid=" & id & " ORDER BY fromamt")
                Do While pd.ReadDataItem.read

                    fromamt = pd.ReadDataN("fromamt")
                    toamt = pd.ReadDataN("toamt")
                    fromnum = pd.ReadDataN("fromnum")
                    tonum = pd.ReadDataN("tonum")
                    nrate = pd.ReadData("rate")
                    nrate2 = pd.ReadData("rate2")
                    qtymethod = pd.ReadData("method")
                    If qtymethod = 0 Then
                        showqtyrate = pd.showcurr(nrate)
                    Else
                        showqtyrate = pd.showcurr(nrate2) & " per lb/kg"
                    End If

            %>
            <div class="tds">
                <%=(fromnum)%></div>
            <div class="tds">
                <%=(tonum)%></div>
            <div class="tdm">
                <a href="popup_editshippingrates2.aspx?carrierid=<%=id%>&id=<%=pd.ReadDataN("id")%>">
                    <%=showqtyrate%></a></div>
            <div class="tr">
            </div>
            <%
            Loop
            pd.CloseData()
            %>
            <div class="button_div">
                <input type="button" onclick="window.location='popup_editshippingrates2.aspx?id=&carrierid=<%=id%>'"
                    class="formbutton" value="New Rate" /></div>
        </div>
        <%End If%>
        <% If ratemethod = "7" Then%>
        <div class="pageheading2">
            by # of Items</div>
        <div class="inner_div">
            <div class="tdshead">
                From</div>
            <div class="tdshead">
                To</div>
            <div class="tdmhead">
                Charge</div>
            <div class="tr">
            </div>
            <%

                pd.OpenDataReader("SELECT * FROM shiprates WHERE ratetype=3 AND carrierid=" & id & " ORDER BY fromamt")
                Do While pd.ReadDataItem.read

                    fromamt = pd.ReadDataN("fromamt")
                    toamt = pd.ReadDataN("toamt")
                    fromnum = pd.ReadData("fromnum")
                    tonum = pd.ReadData("tonum")
                    nrate = pd.ReadData("rate")
                    nrate2 = pd.ReadData("rate2")
                    qtymethod = pd.ReadData("method")
                    If qtymethod = 0 Then
                        showqtyrate = pd.showcurr(nrate)
                    Else
                        showqtyrate = pd.showcurr(nrate2) & " per item"
                    End If

            %>
            <div class="tds">
                <%=(fromnum)%></div>
            <div class="tds">
                <%=(tonum)%></div>
            <div class="tdm">
                <a href="popup_editshippingrates3.aspx?carrierid=<%=id%>&id=<%=pd.ReadDataN("id")%>">
                    <%=showqtyrate%></a></div>
            <div class="tr">
            </div>
            <%
            Loop
            pd.CloseData()
            %>
            <div class="button_div">
                <input type="button" onclick="window.location='popup_editshippingrates3.aspx?id=&carrierid=<%=id%>'"
                    class="formbutton" value="New Rate" /></div>
        </div>
        <%End If%>
        <div class="popupformbutton_div">
            <input type="submit" onclick="window.close();" class="formbutton" value="Close Window"></div>
        </form>
    </div>
</asp:Content>
