<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, confirm, task, tichtml, taxcode As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")
        task = pd.getrequest("task")
        confirm = pd.getrequest("confirm")

        itemIDField = pd.getrequest("itemIDField")
        fieldID = pd.getrequest("fieldID")
        
        If IsNumeric(itemIDField) And IsNumeric(fieldID) Then
            pd.OpenDataWriter("items WHERE id=" & itemIDField)
            pd.AddData("taxcode", fieldID, "T")
            pd.SaveData()
        End If

        If IsNumeric(id) Then
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                taxcode = pd.ReadData("taxcode")
                itemno.Text = pd.ReadData("itemno")
                name.Text = pd.ReadData("name")
            End If
            pd.CloseData()
            
            If taxcode = "" Then
                'taxcode = "00000"
            End If
        End If
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
<!--
        function savechanges() {

            window.close();
            window.opener.resubmit();
        }
//-->
    </script>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <div class="formheading">
            Item No</div>
        <div>
            <asp:TextBox class="roformfield2" ReadOnly="true" ID="itemno" runat="server" /></div>
        <div class="formheading">
            Item Name:
        </div>
        <div>
            <asp:TextBox class="roformfield4" ReadOnly="true" ID="name" runat="server" /></div>
        <div class="formheading">
            <input type="hidden" id="prodId" value="XXXXXX" />
        </div>
        <div class="formheading">
            Product Taxability Code:<br />
            <input type="text" class="formfield4" id="taxClassText" /></div>
        </form>
        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"></script>
        <script type="text/javascript">

            //currentTic must be declared/set, even if TIC has not already been specified.
            var currentTic = "<%=taxcode %>";

            //the ID of the HTML form field to be replaced
            var fieldID = "taxClassText";

            //UI options
            //set the the dropdownlist match your page/form CSS
            var dropdownListCss = "font-size:small;background-color:#yellow;border:solid 1px #BBBBFF;font-family:'Trebuchet MS', Arial, Helvetica, sans-serif;";

            //CSS to be used by the drop-down-menu list
            var resultsListCss = "font-size:small;color:#666666;font-family:'Trebuchet MS';text-decoration:none;cursor:default;"

            //CSS to be used to display TIC selection path
            var linkClass = "navlink"; //CSS Class to by used for links - not used if usImageButtons set to true

            //Use image buttons instead of links for submit and reset/start-over features
            //Default = true
            var useImageButtons = true;

            //Do you want to show the "Start Over" link once selection has been made - just in case...
            //Default = true
            var showStartOverLink = true;

            //if you would like to store/save this category selection inline, set to true
            //if the page using this control already has a submit button, this should be set to false
            //Default = false
            withSubmit = true;

            //if withSubmit = true
            //you need to tell us the item id, and the (possible hidden) field name that typically holds this data
            var itemID = "<% =id %>"; //Merchant system's internal item identifier
            var itemIDField = "prodID"; //form possibly hidden) field

            //if withSubmit is set to true, what is the URL target to persist the selected TIC
            //if blank, the page will "submit" to itself.
            var submitTarget = "";
            //set to GET or POST based upon the submitTarget's expected method
            var submitMethod = "GET";

            (function () {
                var tcJsHost = (("https:" == document.location.protocol) ? "https:" : "http:");
                var ts = document.createElement('script');
                ts.type = 'text/javascript';
                ts.async = true;
                ts.src = tcJsHost + '//taxcloud.net/jquery.tic2.public.js';
                var t = document.getElementsByTagName('script')[0];
                t.parentNode.insertBefore(ts, t);
            })();
        </script>
        <div class="popupformbutton_div nonprint">
            <input type="submit" onclick="savechanges()" class="formbutton" value="Close" /></div>
    </div>
</asp:Content>
