<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.formerror = "The Server's Cache has been cleared!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                 
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-cache.aspx")
                    pd.createadmintab("Clear Cache/Memory", "setup-clearcache.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Server Cache</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Clear Server Cache?</div>
                <div class="helptext">
                    If you recently made changes... but the changes do not appear in the 'Shop', this
                    may be due to the caching functions. To make your shop faster and more efficient
                    some data is cached in your server's memory. To clear the cache and reload from
                    the database after making changes, click the 'Clear Cache Now' button below. This
                    procedure is perfectly safe, nothing will be deleted, the server's memory will simply
                    be cleared and changes should take effect.<br />
                    <br />
                    NOTE: This procedure may not work in all sitations (for example, if you have a shared
                    SSL, multiple applications/servers, or server load balancing. In some situations
                    it may be necessary to temporarily disable the <a href="setup-cache.aspx">Caching Feature</a>
                    until the cache is cleared automatically during normal recycling.</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Clear Cache Now" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
