<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, testno, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        testno = pd.getrequest("testno")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("email5en") = "ON" Then email5en.Checked = True
             
            pd.CloseData()
         
         
            pd.OpenSetupDataReader("otherxml", "email")
                 
            emailfrom5.Text = pd.ReadData("emailfrom5")
            emailfromname5.Text = pd.ReadData("emailfromname5")
            emailsubject5.Text = pd.ReadData("emailsubject5")
            emailbody5.Value = pd.ReadData("emailbody5")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("otherxml", "email")

            pd.AddFormData("emailfrom5", emailfrom5.Text, "From Email", "E", 0, 50)
            pd.AddFormData("emailfromname5", emailfromname5.Text, "Name", "T", 0, 50)
            pd.AddFormData("emailsubject5", emailsubject5.Text, "Subject", "T", 0, 50)
            pd.AddFormData("emailbody5", emailbody5.Value, "Message Body", "T", 0, 5000)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                     
                pd.OpenSetupDataWriter("setupxml", "setup")
                If email5en.Checked = True Then
                    pd.AddData("email5en", "ON", "T")
                Else
                    pd.AddData("email5en", "", "T")
                End If
                pd.SaveData()
                     
                pd.formerror = "Changes Saved!"
                     
                pd.gotonextpage()
                     
            End If
             
        End If


        'Send Test emails
        If testno <> "" Then
         
            pd.Sendemail(emailfrom5.Text, "", emailfrom5.Text, emailfromname5.Text, emailsubject5.Text, emailbody5.Value, "Text", "")
            pd.formerror = pd.formerror & pd.formaterror
            
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server"> 
 
 
     
      
      
     
 
 
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="testno" id="testno" />
            
            <div>
                <%
                    pd.createadmintab("Settings", "setup-email.aspx")
                    pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                    pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                    pd.createadmintab("Order Status", "setup-email-status.aspx")
                    pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                    pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                    pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                    pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms"><div class="pageheading1">
                Email Settings</div>
            <div class="message">
                <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Email A Friend (Tell A friend)</div>
                <div class="check_div">
                    <asp:CheckBox ID="email5en" runat="server" />Enable 'Email to a Friend'?</div>
                <div class="helptext">
                    (Check this box to allow visitors of your site to email product to a friend.)</div>
                <div class="pageheading2">
                    Default Email Message</div>
                <div class="formheading">
                    From Name: (ex. Store Name)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfromname5" runat="server" /></div>
                <div class="formheading">
                    From Email: (ex. you@yourdomain.com)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfrom5" runat="server" /></div>
                <div class="formheading">
                    Subject</div>
                <div class="helptext">
                    You can use this variable in the subject line: ##SENDERNAME##</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailsubject5" runat="server" /></div>
                <div class="formheading">
                    Message Body</div>
                <div class="helptext">
                    You can use these variables: ##SENDERNAME##, ##MESSAGE##, ##ITEMNO##, ##ITEMNAME##,
                    ##ITEMDESC##", ##ITEMURL##</div>
                <div>
                    <textarea class="formtextarea" rows="8" id="emailbody5" cols="55"   runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" />
                    <input type="button" onclick="sendtest('NO')" class="formbutton" value="Save & Send Test" /></div>
            </div>
            </form>
        </div>
    </div>
 
 </asp:Content>
