<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, testno, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        testno = pd.getrequest("testno")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenSetupDataReader("setupxml", "setup")

            emailserver.Text = pd.ReadData("emailserver")
            emailadmin.Text = pd.ReadData("emailadmin")
            
            If InStr(emailserver.Text, ":") Then
                emailport.Text = Right(emailserver.Text, Len(emailserver.Text) - InStr(emailserver.Text, ":"))
                emailserver.Text = Replace(emailserver.Text, ":" & emailport.Text, "")
            Else
                emailport.Text = pd.ReadData("emailport")
                If emailport.Text = "" Then emailport.Text = "25"
            End If
            
            If pd.ReadData("emailssl") = "ON" Then emailssl.Checked = True
            If pd.ReadData("smtpauthen") = "ON" Then smtpauthen.Checked = True
            smtpauthuser.Text = pd.ReadData("smtpauthuser")
            smtpauthpass.Text = pd.ReadData("smtpauthpass")
             
            pd.CloseData()
            pd.OpenSetupDataReader("otherxml", "email")

            If pd.ReadData("notifyadmin") = "ON" Then notifyadmin.Checked = True
            orderemailto.Text = pd.ReadData("orderemailto")
            orderemailcc.Text = pd.ReadData("orderemailcc")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Correct SMTP Port
            If InStr(emailserver.Text, ":") Then
                emailport.Text = Right(emailserver.Text, Len(emailserver.Text) - InStr(emailserver.Text, ":"))
                emailserver.Text = Replace(emailserver.Text, ":" & emailport.Text, "")
            Else
                If emailport.Text = "" Then emailport.Text = "25"
            End If
            
            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            'Text Input
            pd.AddFormData("emailserver", emailserver.Text, "Email Server", "T", 0, 50)
            pd.AddFormData("emailadmin", emailadmin.Text, "Admin Email Address", "T", 0, 50)
            pd.AddFormData("emailport", emailport.Text, "Server Port", "N", 0, 0)
            
            If emailssl.Checked = True Then
                pd.AddData("emailssl", "ON", "T")
            Else
                pd.AddData("emailssl", "", "T")
            End If
            If smtpauthen.Checked = True Then
                pd.AddData("smtpauthen", "ON", "T")
            Else
                pd.AddData("smtpauthen", "", "T")
            End If
             
            pd.AddFormData("smtpauthuser", smtpauthuser.Text, "User", "T", 0, 50)
            pd.AddFormData("smtpauthpass", smtpauthpass.Text, "Password", "T", 0, 50)

            'If no errors, Prepare Database - Set array to Add or Update data
            If pd.formerror = "" Then
                pd.SaveData()

                pd.OpenSetupDataWriter("otherxml", "email")
                 
                If notifyadmin.Checked = True Then
                    pd.AddData("notifyadmin", "ON", "T")
                Else
                    pd.AddData("notifyadmin", "", "T")
                End If
                pd.AddFormData("orderemailto", orderemailto.Text, "To Email", "E", 0, 50)
                pd.AddFormData("orderemailcc", orderemailcc.Text, "CC Email", "E", 0, 50)

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                     
                    pd.gotonextpage()
                     
                End If
             
            End If

        End If

        'Force Password fields to show masked passwords.
        If Not smtpauthpass.Text = "" Then
            ViewState(smtpauthpass.Text) = smtpauthpass.Text
            smtpauthpass.Attributes.Add("value", ViewState(smtpauthpass.Text).ToString())
        Else
            smtpauthpass.Attributes.Add("value", "")
        End If
         

        'Send Test emails
        If testno <> "" Then
            pd.emailserver = emailserver.Text
            If smtpauthen.Checked = True Then
                pd.smtpauthen = "ON"
                pd.smtpauthuser = smtpauthuser.Text
                pd.smtpauthpass = smtpauthpass.Text
            End If

            If testno = "NO" Then
                pd.Sendemail(orderemailto.Text, orderemailcc.Text, emailadmin.Text, "", "Notification Test", "Notification Body Test", "Text", "")
            End If

            'Import results
            pd.formerror = pd.formerror & pd.formaterror
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="testno" id="testno" />
            <div>
                <%
                    pd.createadmintab("Settings", "setup-email.aspx")
                    pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                    pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                    pd.createadmintab("Order Status", "setup-email-status.aspx")
                    pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                    pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                    pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                    pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Email Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Email Setup</div>
                <div class="formheading">
                    Admin Email Address</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailadmin" runat="server" />
                </div>
                <div class="pageheading2">
                    SMTP Server</div>
                <div class="formheading">
                    SMTP Server</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailserver" runat="server" />
                </div>
                <div class="formheading">
                    SMTP Port</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailport" runat="server" />
                    <div class="check_div">
                        <asp:CheckBox ID="emailssl" runat="server" />
                        Enable Secure Connection</div>
                    <div class="helptext">
                            (TLS, but may also be referred to as SSL, or SMTPS)</div>
                    <div class="pageheading2">
                        SMTP Authentication</div>
                    <div>
                        <div class="">
                            <div class="check_div">
                                <asp:CheckBox ID="smtpauthen" runat="server" />
                                Enable SMTP Authentication</div>
                            <div class="formheading">
                                UserName:
                                <asp:TextBox class="formfield2" ID="smtpauthuser" runat="server" />
                                Password:
                                <asp:TextBox class="formfield2" TextMode="password" ID="smtpauthpass" runat="server" />
                            </div>
                        </div>
                    </div>
                    <div class="pageheading2">
                        Admin Notification</div>
                    <div>
                        <div class="check_div">
                            <asp:CheckBox ID="notifyadmin" runat="server" />
                            Enable</div>
                        <div class="helptext">
                            (Check this box if want to be notified when new orders are received or new affiliates.)</div>
                    </div>
                    <div class="formheading">
                        Send Email to: (ex. you@yourdomain.com)</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="orderemailto" runat="server" />
                    </div>
                    <div class="formheading">
                        Send Copy to</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="orderemailcc" runat="server" />
                    </div>
                    <div class="pageheading2">
                        Help</div>
                    <div class="helptext">
                        Make sure you use the correct "Admin" and "From" email addresses, as your email
                        server will likely only relay mail from addresses it knows.
                        <br />
                        <br />
                        Also, check your "email server" setting, in most cases you can only send email through
                        an email server that is on the same network as your web server.
                        <br />
                        <br />
                        Contact your web host for questions related to settings, or if you are not receiving
                        test emails. &nbsp;</div>
                    <div class="formbutton_div">
                        <input type="submit" class="formbutton" value="Save Changes" />
                        <input type="button" onclick="sendtest('NO')" class="formbutton" value="Save & Send Test" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
