<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
    
    
    Public Shadows id As String
    
    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
        modifyurl = pd.getrequest("modifyurl")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenSetupDataReader("setupxml", "setup")

            form_pdadminfolder.Text = pd.url & pd.pdadminfolder
            form_pdimportfolder.Text = pd.url & pd.pdimportfolder
            form_pdexportfolder.Text = pd.url & pd.pdexportfolder
            form_pdshopfolder.Text = pd.url & pd.pdshopfolder
            form_pdmobilefolder.Text = pd.url & pd.pdmobilefolder
            form_pdimagesfolder.Text = pd.url & pd.pdimagesfolder
            form_pddownloadsfolder.Text = pd.url & pd.pddownloadsfolder
            
            pd.CloseData()


        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            pd.gotonextpage()

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-urls.aspx")
                    pd.createadmintab("Directories", "setup-folders.aspx")
                    If pd.demomode <> "Yes" Then pd.createadmintab("License/Activation", "setup-activate.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Directories (Folder Paths)</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    If you wish to change the default directories, first rename or move the folders
                    on your server, next modify your web.config to reflect the new directories.
                    <br />
                    See the Installation Guide's Web.config section for more details.</div>
                <div class="pageheading2">
                    Admin Directories</div>
                <div class="formheading">
                    Admin Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pdadminfolder" runat="server" />
                </div>
                <div class="formheading">
                    Images Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pdimagesfolder" runat="server" />
                </div>
                <div class="formheading">
                    Import Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pdimportfolder" runat="server" />
                </div>
                <div class="formheading">
                    Export Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pdexportfolder" runat="server" />
                </div>
                <div class="pageheading2">
                    Shop Directories</div>
                <div class="formheading">
                    Shop Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pdshopfolder" runat="server" />
                </div>
                <div class="formheading">
                    Mobile Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pdmobilefolder" runat="server" />
                </div>
                <div class="formheading">
                    Downloads Path</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield6" ID="form_pddownloadsfolder" runat="server" />
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
