<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
             
            pd.OpenSetupDataReader("setupxml", "design")

            If pd.ReadDataN("imenuen") = 0 Then
                imenuen0.Checked = True
            ElseIf pd.ReadDataN("imenuen") = 1 Then
                imenuen1.Checked = True
            ElseIf pd.ReadDataN("imenuen") = 2 Then
                imenuen2.Checked = True
            End If
            
            form_imenuwidth1.Text = pd.ReadDataN("imenuwidth1")
            form_imenuwidth2.Text = pd.ReadDataN("imenuwidth2")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "design")

            'pd.AddFormData("imenucode", imenucode.text, "IMenu Unlock Code", "T", 0, 255)
            If imenuen1.Checked = True Then
                pd.AddData("imenuen", 1, "N")
            ElseIf imenuen2.Checked = True Then
                pd.AddData("imenuen", 2, "N")
            Else
                pd.AddData("imenuen", 0, "N")
            End If
           
            
            pd.AddFormData("imenuwidth1", form_imenuwidth1.Text, "IMenu Width", "N", 0, 0)
            pd.AddFormData("imenuwidth2", form_imenuwidth2.Text, "IMenu Width", "N", 0, 0)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                 
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-imenu.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    DropDown Menu</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="imenuen" ID="imenuen0" runat="server" />
                        Not Enabled</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="imenuen" ID="imenuen2" runat="server" />
                        New Version 2 Menu (recommended)</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="imenuen" ID="imenuen1" runat="server" />
                        Original Menu</div>
                </div>
                <div>
                    <div class="formheading">
                        Menu Width</div>
                    <div class="formheading">
                        <asp:TextBox class="formfield5" ID="form_imenuwidth1" runat="server" />
                    </div>
                    <div class="helptext">
                        (Width of Menu in pixels, For Example: 750, a typical page width)</div>
                    <div class="formheading">
                        DropDown Width</div>
                    <div class="formheading">
                        <asp:TextBox class="formfield5" ID="form_imenuwidth2" runat="server" />
                    </div>
                    <div class="helptext">
                        (Width of each DropDown, ex: 100)</div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('menutablist.aspx')"
                            value="Manage Links" />
                        <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('setup-defaultcolors.aspx#imenus')"
                            value="Edit Colors" /></div>
                    <div class="helptext">
                        Menu created with OpenCube's Infinite Menus</div>
                    <div>
                        <img src="img/opencubelogo.gif" alt="" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
