<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public mainpage, treehtml, displayitems As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        If Not (Page.IsPostBack) Then
        End If

        'The code below will build the category tree array.
        displayitems = pd.getrequest("displayitems")

        categorytree.DataSource = pd.Getcategorytree("Page")
        categorytree.DataBind()
         
        If (Page.IsPostBack) Then
            pd.gotonextpage()
        End If

    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Summary", "search.aspx?showdiv=category")
                    pd.createadmintab("Display Categories", "showcats.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Category Tree Display</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    Below are all your categories. Click the Plus Icon to view the items in the category.
                </div>
                <div class="inner_div">
                    <asp:Repeater ID="categorytree" runat="server">
                        <ItemTemplate>
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td class="treedots" valign="top">
                                        <%# Container.DataItem("dots") %>&nbsp;
                                    </td>
                                    <td>
                                        <table border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td>
                                                    <div id="<%# Container.DataItem("id") %>divA">
                                                        <a href="javascript: showcatitemsframe('<%# Container.DataItem("id") %>', '<%# Container.DataItem("frameheight") %>')">
                                                            <img border="0" src="img/plusicon.gif" width="9" height="9"></a>
                                                    </div>
                                                    <div id="<%# Container.DataItem("id") %>divB" style="display: none;">
                                                        <a href="javascript: showcatitemsframe('<%# Container.DataItem("id") %>', '<%# Container.DataItem("frameheight") %>')">
                                                            <img border="0" src="img/minusicon.gif" width="9" height="9"></a>
                                                    </div>
                                                </td>
                                                <td>
                                                    <img border="0" src="img/pixel.gif" width="5" height="5">
                                                </td>
                                                <td class="treecat">
                                                    <%# Container.DataItem("CategoryName") %>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                </td>
                                                <td>
                                                    <div id="<%# Container.DataItem("id") %>div" style="display: none;">
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <tr>
                                        <td height="10">
                                        </td>
                                    </tr>
                            </table>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
