<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public catname, catdesc, catpgconfig As String
    Public catitemcount, subcatitemcount, catpagetype, catpagemax As Integer

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)


        pd = Master.pd
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()

        'Not Used
        If Not (Page.IsPostBack) Then
        End If
                        
        'Override
        catmaxcols = 1
        catpagemax = 5
        catpgconfig = "MD, SP, SD, SI, ST"
        pd.currentpgconfig = catpgconfig
        
        columnrepeater.DataSource = pd.bindcategoryitems("S", catpagemax)
        catitemcount = columnrepeater.DataSource.Count
        columnrepeater.RepeatColumns = catmaxcols
        columnrepeater.RepeatDirection = catsortdir
        columnrepeater.RepeatLayout = RepeatLayout.Table
        columnrepeater.GridLines = GridLines.None
        columnrepeater.DataBind()

        'Set Page Layout Type
        Master.pgtype = pd.pg8

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%=pd.startSection("heads1") %>
    <div>
        <% If catitemcount > 0 Then%>
        <%=pd.getsecspace ()%>
        <div class="messages">
            <%=pd.getFormError()%></div>
        <asp:DataList ID="columnrepeater" runat="server" Style="table-layout: fixed;" ItemStyle-VerticalAlign="Top">
            <ItemTemplate>
                <div class="listname">
                    <%# Container.DataItem("itemname") %></div>
                <div>
                    <%# Container.DataItem("itemimage") %></div>
                <div class="listdesc">
                    <%# Container.DataItem("shortdesc") %><br>
                    <%# Container.DataItem("custom1heading") %><%# Container.DataItem("custom1text") %><%# Container.DataItem("custom2heading")%><%# Container.DataItem("custom2text")%><%# Container.DataItem("custom3heading") %><%# Container.DataItem("custom3text")%></div>
                <div class="cartbuttons_container">
                    <%# Container.DataItem("buybutton") %>
                    <%# Container.DataItem("morebutton") %>
                </div>
                <div class="listitemno">
                    <%# Container.DataItem("itemno") %></div>
                <div class="listprice">
                    <%# Container.DataItem("itemprice") %></div>
                <div class="messages">
                    <%# Container.DataItem("stockmessage") %></div>
                <div>
                    <hr class="rowline" />
                </div>
            </ItemTemplate>
        </asp:DataList>
        <div class="paginglinks">
            <%=pd.paginglinks%></div>
        <% End If%>
    </div>
    <% = pd.EndSection()%>
</asp:Content>
