<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)


        pd = Master.pd
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()

        'Not Used
        If Not (Page.IsPostBack) Then
        End If

        'Get Category List
        listcategories.DataSource = pd.bindlistcats()
        listcategories.DataBind()
        
        'Set Page Layout Type
        Master.pgtype = pd.pg2
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("hdcatsP")%>
    <div>
        <asp:Repeater ID="listcategories" runat="server">
            <ItemTemplate>
                <div class="catlist_div" style="clear: both;">
                    <div class="catname">
                        <%# Container.DataItem("categoryname") %></div>
                    <div class="catdesc">
                        <%# Container.DataItem("categoryshortdesc") %></div>
                    <div>
                        <%# Container.DataItem("subimage") %></div>
                    <div class="subcats">
                        <asp:DataList Width="90%" ItemStyle-Width="50%" Style="margin-bottom: 20px;" RepeatLayout="Table"
                            RepeatColumns="2" RepeatDirection="Vertical" HorizontalAlign="Left" ID="listsubs"
                            runat="server" DataSource='<%# Container.DataItem.Row.GetChildRows("subcategories") %>'>
                            <ItemTemplate>
                                <%# Container.DataItem("categoryname") %>
                            </ItemTemplate>
                        </asp:DataList>
                    </div>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
    <%= pd.endSection()%>
</asp:Content>
